#!/bin/bash
#Check the validity of the passed input file.  Run the nova command given the passed in fcl job file.  Do the bookkeeping if the input file is corrupted.

fcl_config=$1
in_file=$2
out_file=$3
hist_file=$4
log_base=$5
book_path=$6
book_name=$7
log_path=$8

root -l -b -q '$SRT_PUBLIC_CONTEXT/Utilities/batch/ValidateRootFile.C(\"$in_file\")' &> /dev/null

goodIn=$?
echo "goodIn has captured a value of: $goodIn" >&2
echo "goodIn has captured a value of: $goodIn" 

if [ $goodIn -eq 1 ]; then
    echo "Input file checks as not corrupted begining processing" >&2
    echo "Input file checks as not corrupted begining processing" 
    echo "running: nova -c $fcl_config -s $in_file -o $out_file -T $hist_file" >&2
    echo "running: nova -c $fcl_config -s $in_file -o $out_file -T $hist_file" 
    
    nova -c $fcl_config -s $in_file -o $out_file -T $hist_file 
    
    exit 1
else
    $msg = "Could not complete $fcl_config on $in_file input file is possibly corrupted. Moving link to $book_path/bad_input/";
    
    mv $book_path/running/$book_name $book_path/bad_input/
    echo " $msg " | mail -s "NOvA: Bad Reco Input File" $USER@fnal.gov
    
    echo " $msg " >&2
    echo " $msg " 
    
    ${CPN} -D $log_base.out $log_path/bad_input
    ${CPN} -D $log_base.err $log_path/bad_output
    
    exit 0
fi
