#!/bin/bash
#Script for sourcing within a grid job.  Setups the necessary environment including the proper cpn commands
umask 002 

export DISPLAY=localhost0.0
export GROUP=nova
export SCRIPT_PATH=${SCRIPT_PATH:-$SRT_PUBLIC_CONTEXT/Utilities/batch}

source /grid/fermiapp/products/common/etc/setups.sh
setup jobsub_tools
setup ifdhc

export CPN='ifdh cp --force=cpn'
export MVN='ifdh mv --force=cpn'

mkdir ${_CONDOR_SCRATCH_DIR}/input
mkdir ${_CONDOR_SCRATCH_DIR}/output
mkdir ${_CONDOR_SCRATCH_DIR}/log

echo "Moving bookeeping file from submitted to running"
mv $book_path/submitted/$book_name $book_path/running/

source /grid/fermiapp/nova/novaart/novasvn/srt/srt.sh
export EXTERNALS=/nusoft/app/externals

echo "Input release name is $1
"
if [[ $1 == "dev" ]]; then
    echo "Using development release"
    source $SRT_DIST/setup/setup_novasoft.sh -b maxopt
else
    echo "Using $1 release"
    source $SRT_DIST/setup/setup_novasoft.sh -r $1 -b maxopt
fi

let "stagger = $RANDOM % 300"
#sleep $stagger
