#!/bin/bash


hashname() 
{ 
    local fname=$(basename $1) 
    local newdir=$(echo -n $fname | md5sum | cut -b1-3 | sed 's;.;/&;g' )
    echo $newdir
    #local newpath=$(dirname $1)$(echo -n $fname | md5sum | cut -b1-3 | sed 's;.;/&;g' )/$fname
    #echo $newpath
}


#declare -a files
declare -a args

pushd results

count=0
for file in *.root
  do
  echo "Attempting to transfer $file to $DEST"
  case "$file" in
      *%*) 
      echo "$file contains a % - do not copy"
      continue;;
      *\**) 
      echo "$file contains a \* - do not copy"
      continue;;
      *hist*)
      echo "$file contains \"hist\" - do not copy"
      continue;;
      *)
      newdir=$(hashname ${file})
      newdest=${DEST}/${newdir}/$(basename ${file})
      echo "Try to ifdh ls ${newdest}"
      if ! ifdh ls ${newdest}; then
	  echo "File does not exist in the output directory - copy out the results"
	  if [ "$count" -eq "0" ]; then 
	      args+=("$file ${newdest}")
	  else
	      args+=(" ; $file ${newdest}")
	  fi
	  #files+=("$file")
	  let count=(count+1)
      else
	  echo "File already exists in the output directory - do nothing"
      fi	  
      continue;;
  esac
done

echo "Copying out all files at once!"

#if [ "${#files[@]}" -gt "0" ]; then
#    echo "${#files[@]} files to copy out"
#    ifdh cp -D --force=gridftp ${files[*]} ${DEST}
#fi

if [ "${#args[@]}" -gt "0" ]; then
   echo "${#args[@]} files to copy out"
   echo "ifdh cp ${args[*]}"
   ifdh cp ${args[*]}
fi

popd
