#! /bin/bash
# Name: get_pid_libs.sh
# Dominick Rocco, 2014-05-02, rocco@physics.umn.edu

# Copies PID library tarball to local directory, un-tars the tarball and then  
# modfies $PID_LIB_PATH.  Uses a new directory one level deeper to avoid tar-bombing
# the scratch dir.  
# General for any tag, assuming the original $PID_LIB_DIR has a tarball called pidlibs.tar.  
# Note: run this with source so that the updated $PID_LIB_DIR gets exported to the environment.




NEW_LIB_DIR=./pidlibs

if [ ! -d "$NEW_LIB_DIR" ]; then
  mkdir $NEW_LIB_DIR
fi

pushd $NEW_LIB_DIR
ifdh cp $PID_LIB_PATH/pidlibs.tar pidlibs.tar
echo "Untarring tarball to $PWD"
tar -xvf pidlibs.tar
popd


export PID_LIB_PATH=$NEW_LIB_DIR
echo 'PID_LIB_PATH is ' $PID_LIB_PATH
echo '***'

