#!/bin/bash

project=$1
#dataset=$1
release=$2

WORKDIR=/nova/app/users/aurisano/art/GridDev/

source /grid/fermiapp/products/nova/etc/setups.sh
source /grid/fermiapp/nova/novaart/novasvn/srt/srt.sh
export EXTERNALS=/nusoft/app/externals
source $SRT_DIST/setup/setup_novasoft.sh

export PRODUCTS=/grid/fermiapp/products/common/db/:$PRODUCT
export EXTERNALS=/nusoft/app/externals
setup jobsub_tools -z /grid/fermiapp/products/common/db
setup sam_web_client

export EXPERIMENT="nova"
export SAM_EXPERIMENT="nova"
export SAM_STATION="nova"
export EXPERIMENT=nova
unset  IFDH_STAGE_VIA
export IFDH_BASE_URI=http://samweb.fnal.gov:8480/sam/nova/api
export IFDH_DEBUG=1

OUTPUT_DIR=/nova/prod/FTS_DropBoxes/Raw2Root_dropbox/

NJOBS=100
FILESPERJOB=20

msgBody="Output from submitting ${NJOBS} jobs with ${FILESPERJOB} files per job\n"
msgBody+="$(samweb project-summary ${project} | head -n 6)\n"
msgBody+="$(samweb project-summary ${project} | tail -n 4)\n"

msgBody+=$(jobsub \
    -N $NJOBS \
    --nowrapfile \
    -g \
    -e IFDH_BASE_URI \
    -e EXPERIMENT \
    -e SAM_STATION \
    -e IFDH_DEBUG \
    --opportunistic \
    --project_name=${project} \
    ${WORKDIR}/art_sam_wrap.sh	\
    --multifile \
    --vers   v1_3_1 \
    --quals  e4:nu:prof \
    --export DEST=gsiftp://fg-bestman1.fnal.gov:2811${OUTPUT_DIR} \
    --source ${WORKDIR}/'setupLocalNOVA.sh' \
    --postscript ${WORKDIR}/'copyOutFiles.sh' \
    --limit $FILESPERJOB \
    -c 'daq2rawdigitjob.fcl' \
    -X ${WORKDIR}/runNovaSAM.py \
    --outTier artdaq)

printf "$msgBody" | mail -s "Jobsub Output" adam.aurisano@gmail.com
