
set( novasoft_VERSION 01.00.00 )
set( novasoft_UPS_VERSION v01_00_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( novaddt v03_01_02 )
    find_ups_product( artdaq_core v1_03_03 )
    find_ups_boost( v1_53_0 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_product( fhiclcpp v3_04_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( novadaq v03_01_00 )
    find_ups_product( postgresql v9_1_5b )
    find_ups_product( xerces_c v3_1_1b )
    find_ups_product( libwda v2_7_0 )
    find_ups_product( nutools v1_09_00 )
    find_ups_product( genie v2_8_0 )
    find_ups_product( gsl v1_16 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XERCESC )
      cet_find_library( XERCESC NAMES xerces-c PATHS /Users/macdev/workspace/nu-release-build/v1_13_00/s12-e7/prof/build/xerces_c/v3_1_1c/Darwin64bit+14-e7-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS /Users/macdev/workspace/nu-release-build/v1_13_00/s12-e7/prof/build/lhapdf/v5_9_1b/Darwin64bit+14-e7-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS /Users/macdev/workspace/nu-release-build/v1_13_00/s12-e7/prof/build/log4cpp/v1_1_1b/Darwin64bit+14-e7-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/nu-release-build/v1_13_00/s12-e7/prof/build/libxml2/v2_9_2/Darwin64bit+14-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS /Users/macdev/workspace/nu-release-build/v1_13_00/s12-e7/prof/build/cry/v1_7c/Darwin64bit+14-e7-prof/cry_v1.7/lib NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
      set( AIRFILTER_MODULE  $ENV{NOVASOFT_LIB}/libAirFilter_module.dylib )
      set( AIRKALMANANA_MODULE  $ENV{NOVASOFT_LIB}/libAirKalmanAna_module.dylib )
      set( AIRSHOWER_MODULE  $ENV{NOVASOFT_LIB}/libAirShower_module.dylib )
      set( AIRTREE_MODULE  $ENV{NOVASOFT_LIB}/libAirTree_module.dylib )
      set( HIGHENERGYANA_MODULE  $ENV{NOVASOFT_LIB}/libHighEnergyAna_module.dylib )
      set( HIGHENERGYFILT_MODULE  $ENV{NOVASOFT_LIB}/libHighEnergyFilt_module.dylib )
      set( ALIGNINSPECT_MODULE  $ENV{NOVASOFT_LIB}/libAlignInspect_module.dylib )
      set( ALIGNMENT_MODULE  $ENV{NOVASOFT_LIB}/libAlignment_module.dylib )
      set( SPLITTRACKS_MODULE  $ENV{NOVASOFT_LIB}/libSplitTracks_module.dylib )
      set( BREAKPOINTFITTER  $ENV{NOVASOFT_LIB}/libBreakPointFitter.dylib )
      set( BPFDEDXHISTOMAKER_MODULE  $ENV{NOVASOFT_LIB}/libBPFdEdxHistoMaker_module.dylib )
      set( BPFENERGYANA_MODULE  $ENV{NOVASOFT_LIB}/libBPFEnergyAna_module.dylib )
      set( BPFENERGYESTIMATOR_MODULE  $ENV{NOVASOFT_LIB}/libBPFEnergyEstimator_module.dylib )
      set( BPFTMVATRAINER_MODULE  $ENV{NOVASOFT_LIB}/libBPFTmvaTrainer_module.dylib )
      set( BREAKPOINT_MODULE  $ENV{NOVASOFT_LIB}/libBreakPoint_module.dylib )
      set( BREAKPOINTANA_MODULE  $ENV{NOVASOFT_LIB}/libBreakPointAna_module.dylib )
      set( BREAKPOINTPROTONANA_MODULE  $ENV{NOVASOFT_LIB}/libBreakPointProtonAna_module.dylib )
      set( BREAKPOINTFITTER_DICT  $ENV{NOVASOFT_LIB}/libBreakPointFitter_dict.dylib )
      set( BREAKPOINTFITTERFUNC  $ENV{NOVASOFT_LIB}/libBreakPointFitterFunc.dylib )
      set( BREMSHOWERFILTER_MODULE  $ENV{NOVASOFT_LIB}/libBremShowerFilter_module.dylib )
      set( CAFMAKER  $ENV{NOVASOFT_LIB}/libCAFMaker.dylib )
      set( CAFREWEIGHT  $ENV{NOVASOFT_LIB}/libCAFReweight.dylib )
      set( CAFANA  $ENV{NOVASOFT_LIB}/libCAFAna.dylib )
      set( CALHIT_MODULE  $ENV{NOVASOFT_LIB}/libCalHit_module.dylib )
      set( CALHITANA_MODULE  $ENV{NOVASOFT_LIB}/libCalHitAna_module.dylib )
      set( CALIBRATIONUTILS  $ENV{NOVASOFT_LIB}/libCalibrationUtils.dylib )
      set( ABSCALIB_MODULE  $ENV{NOVASOFT_LIB}/libAbsCalib_module.dylib )
      set( ASSESSCALIB_MODULE  $ENV{NOVASOFT_LIB}/libAssessCalib_module.dylib )
      set( ATTENFIT_MODULE  $ENV{NOVASOFT_LIB}/libAttenFit_module.dylib )
      set( BETHEBLOCHFIT_MODULE  $ENV{NOVASOFT_LIB}/libBetheBlochFit_module.dylib )
      set( COSMICCALIB_MODULE  $ENV{NOVASOFT_LIB}/libCosmicCalib_module.dylib )
      set( COSMICTRENDS_MODULE  $ENV{NOVASOFT_LIB}/libCosmicTrends_module.dylib )
      set( DCMTIMINGOFFSET_MODULE  $ENV{NOVASOFT_LIB}/libDCMTimingOffset_module.dylib )
      set( DETRESPDRIFT_MODULE  $ENV{NOVASOFT_LIB}/libDetRespDrift_module.dylib )
      set( DRIFTCORRECTION_MODULE  $ENV{NOVASOFT_LIB}/libDriftCorrection_module.dylib )
      set( DRIFTRESPONSECALC_MODULE  $ENV{NOVASOFT_LIB}/libDriftResponseCalc_module.dylib )
      set( FIBERCALIBRATION_MODULE  $ENV{NOVASOFT_LIB}/libFiberCalibration_module.dylib )
      set( FINDOUTLIERS_MODULE  $ENV{NOVASOFT_LIB}/libFindOutliers_module.dylib )
      set( HITEFFICIENCY_MODULE  $ENV{NOVASOFT_LIB}/libHitEfficiency_module.dylib )
      set( MUONDEDX_MODULE  $ENV{NOVASOFT_LIB}/libMuondEdx_module.dylib )
      set( MUONDEDXANA_MODULE  $ENV{NOVASOFT_LIB}/libMuondEdxAna_module.dylib )
      set( PARTICLECORRECTIONS_MODULE  $ENV{NOVASOFT_LIB}/libParticleCorrections_module.dylib )
      set( PCHITSLIST_MODULE  $ENV{NOVASOFT_LIB}/libPCHitsList_module.dylib )
      set( PERESPONSE_MODULE  $ENV{NOVASOFT_LIB}/libPEResponse_module.dylib )
      set( RESIZEDETECTOR_MODULE  $ENV{NOVASOFT_LIB}/libResizeDetector_module.dylib )
      set( STOPPERFILTER_MODULE  $ENV{NOVASOFT_LIB}/libStopperFilter_module.dylib )
      set( STOPPERSELECTION_MODULE  $ENV{NOVASOFT_LIB}/libStopperSelection_module.dylib )
      set( STOPPERTHRESHOLD_MODULE  $ENV{NOVASOFT_LIB}/libStopperThreshold_module.dylib )
      set( SUMRUNSCALIB_MODULE  $ENV{NOVASOFT_LIB}/libSumRunsCalib_module.dylib )
      set( SUMSUBRUNSCALIB_MODULE  $ENV{NOVASOFT_LIB}/libSumSubrunsCalib_module.dylib )
      set( TESTPARTICLECORRECTIONS_MODULE  $ENV{NOVASOFT_LIB}/libTestParticleCorrections_module.dylib )
      set( THRESHOLDANA_MODULE  $ENV{NOVASOFT_LIB}/libThresholdAna_module.dylib )
      set( THROUGHGOINGSELECTION_MODULE  $ENV{NOVASOFT_LIB}/libThroughgoingSelection_module.dylib )
      set( TIMINGCALFILTER_MODULE  $ENV{NOVASOFT_LIB}/libTimingCalFilter_module.dylib )
      set( TIMINGCALIBRATION_MODULE  $ENV{NOVASOFT_LIB}/libTimingCalibration_module.dylib )
      set( CDPSTORAGE_SERVICE  $ENV{NOVASOFT_LIB}/libCDPStorage_service.dylib )
      set( CALIBRATIONFUNC  $ENV{NOVASOFT_LIB}/libCalibrationFunc.dylib )
      set( CALIBRATIONDATAPRODUCTS  $ENV{NOVASOFT_LIB}/libCalibrationDataProducts.dylib )
      set( CALIBRATIONDATAPRODUCTS_DICT  $ENV{NOVASOFT_LIB}/libCalibrationDataProducts_dict.dylib )
      set( CALIBRATOR_SERVICE  $ENV{NOVASOFT_LIB}/libCalibrator_service.dylib )
      set( CALIBRATORFUNC  $ENV{NOVASOFT_LIB}/libCalibratorFunc.dylib )
      set( BADCHANLIST_SERVICE  $ENV{NOVASOFT_LIB}/libBadChanList_service.dylib )
      set( COSMICEFF_MODULE  $ENV{NOVASOFT_LIB}/libCosmicEff_module.dylib )
      set( CMAP_SERVICE  $ENV{NOVASOFT_LIB}/libCMap_service.dylib )
      set( COMMISSIONING  $ENV{NOVASOFT_LIB}/libCommissioning.dylib )
      set( APDWATCH_MODULE  $ENV{NOVASOFT_LIB}/libAPDWatch_module.dylib )
      set( CANA_MODULE  $ENV{NOVASOFT_LIB}/libCana_module.dylib )
      set( CANAFILTER_MODULE  $ENV{NOVASOFT_LIB}/libCanaFilter_module.dylib )
      set( CHANOCC_MODULE  $ENV{NOVASOFT_LIB}/libChanOcc_module.dylib )
      set( COSMICMETRICS_MODULE  $ENV{NOVASOFT_LIB}/libCosmicMetrics_module.dylib )
      set( DATACHECK_MODULE  $ENV{NOVASOFT_LIB}/libDataCheck_module.dylib )
      set( FEBFLASH_MODULE  $ENV{NOVASOFT_LIB}/libFEBFlash_module.dylib )
      set( HARDWARESTATUSCHECK_MODULE  $ENV{NOVASOFT_LIB}/libHardwareStatusCheck_module.dylib )
      set( LEANA_MODULE  $ENV{NOVASOFT_LIB}/libLeana_module.dylib )
      set( NEARLINEANA_MODULE  $ENV{NOVASOFT_LIB}/libNearlineAna_module.dylib )
      set( COMMISSIONING_DICT  $ENV{NOVASOFT_LIB}/libCommissioning_dict.dylib )
      set( COSMICEXPOSUREINFO_MODULE  $ENV{NOVASOFT_LIB}/libCosmicExposureInfo_module.dylib )
      set( COSREJ  $ENV{NOVASOFT_LIB}/libCosRej.dylib )
      set( COSREJ_MODULE  $ENV{NOVASOFT_LIB}/libCosRej_module.dylib )
      set( MAKENUECOSREJ_MODULE  $ENV{NOVASOFT_LIB}/libMakeNueCosRej_module.dylib )
      set( COSREJ_DICT  $ENV{NOVASOFT_LIB}/libCosRej_dict.dylib )
      set( DAQ2RAWDIGIT  $ENV{NOVASOFT_LIB}/libDAQ2RawDigit.dylib )
      set( NOVARAWINPUTSOURCE_SOURCE  $ENV{NOVASOFT_LIB}/libNOvARawInputSource_source.dylib )
      set( NOVASOCKETINPUT_SOURCE  $ENV{NOVASOFT_LIB}/libNOvASocketInput_source.dylib )
      set( NOVASOFTDATABASE  $ENV{NOVASOFT_LIB}/libNovasoftDatabase.dylib )
      set( HITSANA_MODULE  $ENV{NOVASOFT_LIB}/libHitsAna_module.dylib )
      set( CLUSTERCONVERT_MODULE  $ENV{NOVASOFT_LIB}/libClusterConvert_module.dylib )
      set( DAQHIT2RAW_MODULE  $ENV{NOVASOFT_LIB}/libDAQHit2Raw_module.dylib )
      set( RAWDIGIT2DAQHIT_MODULE  $ENV{NOVASOFT_LIB}/libRawDigit2DAQHit_module.dylib )
      set( DDTTOOLS  $ENV{NOVASOFT_LIB}/libDDTTools.dylib )
      set( DEMOMODULE_MODULE  $ENV{NOVASOFT_LIB}/libDemoModule_module.dylib )
      set( TUTANALYZER_MODULE  $ENV{NOVASOFT_LIB}/libTutAnalyzer_module.dylib )
      set( TUTFILTER_MODULE  $ENV{NOVASOFT_LIB}/libTutFilter_module.dylib )
      set( TUTPRODUCER_MODULE  $ENV{NOVASOFT_LIB}/libTutProducer_module.dylib )
      set( DETECTORPERFORMANCE  $ENV{NOVASOFT_LIB}/libDetectorPerformance.dylib )
      set( CHANNELPLOTS_MODULE  $ENV{NOVASOFT_LIB}/libChannelPlots_module.dylib )
      set( TRACKPLOTS_MODULE  $ENV{NOVASOFT_LIB}/libTrackPlots_module.dylib )
      set( DISCRETETRACKER  $ENV{NOVASOFT_LIB}/libDiscreteTracker.dylib )
      set( DISCRETETRACKER_MODULE  $ENV{NOVASOFT_LIB}/libDiscreteTracker_module.dylib )
      set( VIEWMERGER_MODULE  $ENV{NOVASOFT_LIB}/libViewMerger_module.dylib )
      set( DQSPILLFLAGS  $ENV{NOVASOFT_LIB}/libDQSpillFlags.dylib )
      set( DAQDATASUMMARY_MODULE  $ENV{NOVASOFT_LIB}/libDAQDataSummary_module.dylib )
      set( DQSPILLFLAGS_MODULE  $ENV{NOVASOFT_LIB}/libDQSpillFlags_module.dylib )
      set( ELASTICARMSART  $ENV{NOVASOFT_LIB}/libElasticArmsArt.dylib )
      set( ELASTICARMSHS_MODULE  $ENV{NOVASOFT_LIB}/libElasticArmsHS_module.dylib )
      set( ELASTICARMSVALIDATE_MODULE  $ENV{NOVASOFT_LIB}/libElasticArmsValidate_module.dylib )
      set( ELASTICARMSFUNC  $ENV{NOVASOFT_LIB}/libElasticArmsFunc.dylib )
      set( CLUSTEREVA_MODULE  $ENV{NOVASOFT_LIB}/libClusterEva_module.dylib )
      set( DATASLICEEVA_MODULE  $ENV{NOVASOFT_LIB}/libDataSliceEva_module.dylib )
      set( DDTEVA_MODULE  $ENV{NOVASOFT_LIB}/libDDTEva_module.dylib )
      set( HITEVA_MODULE  $ENV{NOVASOFT_LIB}/libHitEva_module.dylib )
      set( SLICEREVA_MODULE  $ENV{NOVASOFT_LIB}/libSlicerEva_module.dylib )
      set( SMMADC_MODULE  $ENV{NOVASOFT_LIB}/libSMMADC_module.dylib )
      set( SMMEFF_MODULE  $ENV{NOVASOFT_LIB}/libSMMEff_module.dylib )
      set( SUPERDDTEVA_MODULE  $ENV{NOVASOFT_LIB}/libSuperDDTEva_module.dylib )
      set( TRACKEVA_MODULE  $ENV{NOVASOFT_LIB}/libTrackEva_module.dylib )
      set( UPMUANA_MODULE  $ENV{NOVASOFT_LIB}/libUpMuAna_module.dylib )
      set( UPMURECOANA_MODULE  $ENV{NOVASOFT_LIB}/libUpMuRecoAna_module.dylib )
      set( GEOMETRYDRAWINGOPTIONS_SERVICE  $ENV{NOVASOFT_LIB}/libGeometryDrawingOptions_service.dylib )
      set( PLOTDRAWINGOPTIONS_SERVICE  $ENV{NOVASOFT_LIB}/libPlotDrawingOptions_service.dylib )
      set( RECODRAWINGOPTIONS_SERVICE  $ENV{NOVASOFT_LIB}/libRecoDrawingOptions_service.dylib )
      set( RAWDRAWINGOPTIONS_SERVICE  $ENV{NOVASOFT_LIB}/libRawDrawingOptions_service.dylib )
      set( SIMULATIONDRAWINGOPTIONS_SERVICE  $ENV{NOVASOFT_LIB}/libSimulationDrawingOptions_service.dylib )
      set( SLICENAVIGATOR_SERVICE  $ENV{NOVASOFT_LIB}/libSliceNavigator_service.dylib )
      set( EVD_MODULE  $ENV{NOVASOFT_LIB}/libEVD_module.dylib )
      set( EVENTDISPLAY  $ENV{NOVASOFT_LIB}/libEventDisplay.dylib )
      set( ISOGEN_MODULE  $ENV{NOVASOFT_LIB}/libIsoGen_module.dylib )
      set( OCCUPIEDSPILLFILTER_MODULE  $ENV{NOVASOFT_LIB}/libOccupiedSpillFilter_module.dylib )
      set( SINGLEGEN_MODULE  $ENV{NOVASOFT_LIB}/libSingleGen_module.dylib )
      set( SUPERNOVAGEN_MODULE  $ENV{NOVASOFT_LIB}/libSupernovaGen_module.dylib )
      set( TEXTFILEGEN_MODULE  $ENV{NOVASOFT_LIB}/libTextFileGen_module.dylib )
      set( NOVAMCEMPTYEVENT_PLUGIN  $ENV{NOVASOFT_LIB}/libNovaMCEmptyEvent_plugin.dylib )
      set( COSMICPIONGEN_MODULE  $ENV{NOVASOFT_LIB}/libCosmicPionGen_module.dylib )
      set( COSMICSGEN_MODULE  $ENV{NOVASOFT_LIB}/libCosmicsGen_module.dylib )
      set( EVENTGENERATORGENIE  $ENV{NOVASOFT_LIB}/libEventGeneratorGENIE.dylib )
      set( GENIEGEN_MODULE  $ENV{NOVASOFT_LIB}/libGENIEGen_module.dylib )
      set( GENIEROCKGEN_MODULE  $ENV{NOVASOFT_LIB}/libGENIERockGen_module.dylib )
      set( MAKEGENIEREWEIGHTTABLE_MODULE  $ENV{NOVASOFT_LIB}/libMakeGENIEReweightTable_module.dylib )
      set( EVENTSUMMARY_MODULE  $ENV{NOVASOFT_LIB}/libEventSummary_module.dylib )
      set( FILTER_MODULE  $ENV{NOVASOFT_LIB}/libFilter_module.dylib )
      set( SKIPNEVENTS_MODULE  $ENV{NOVASOFT_LIB}/libSkipNEvents_module.dylib )
      set( TRUTHFILTER_MODULE  $ENV{NOVASOFT_LIB}/libTruthFilter_module.dylib )
      set( FUZZYKVERTEX  $ENV{NOVASOFT_LIB}/libFuzzyKVertex.dylib )
      set( FUZZYKVALIDATE_MODULE  $ENV{NOVASOFT_LIB}/libFuzzyKValidate_module.dylib )
      set( FUZZYKVERTEX_MODULE  $ENV{NOVASOFT_LIB}/libFuzzyKVertex_module.dylib )
      set( G4NOVA  $ENV{NOVASOFT_LIB}/libg4nova.dylib )
      set( G4GEN_MODULE  $ENV{NOVASOFT_LIB}/libG4Gen_module.dylib )
      set( TRUTHSLIM_MODULE  $ENV{NOVASOFT_LIB}/libTruthSlim_module.dylib )
      set( GEOMETRY_SERVICE  $ENV{NOVASOFT_LIB}/libGeometry_service.dylib )
      set( LIVEGEOMETRY_SERVICE  $ENV{NOVASOFT_LIB}/libLiveGeometry_service.dylib )
      set( GEOMETRYTEST_MODULE  $ENV{NOVASOFT_LIB}/libGeometryTest_module.dylib )
      set( COORDINATETRANSFORMATIONTEST_MODULE  $ENV{NOVASOFT_LIB}/libCoordinateTransformationTest_module.dylib )
      set( GEOMETRYOBJECTS  $ENV{NOVASOFT_LIB}/libGeometryObjects.dylib )
      set( GEOMETRYOBJECTS_DICT  $ENV{NOVASOFT_LIB}/libGeometryObjects_dict.dylib )
      set( HMATRIXE  $ENV{NOVASOFT_LIB}/libHMatrixE.dylib )
      set( HMATRIX_MODULE  $ENV{NOVASOFT_LIB}/libHMatrix_module.dylib )
      set( HMATRIXUSER_MODULE  $ENV{NOVASOFT_LIB}/libHMatrixUser_module.dylib )
      set( MAKEHM_MODULE  $ENV{NOVASOFT_LIB}/libMakeHM_module.dylib )
      set( HMATRIXE_DICT  $ENV{NOVASOFT_LIB}/libHMatrixE_dict.dylib )
      set( HOUGHTRANSFORM  $ENV{NOVASOFT_LIB}/libHoughTransform.dylib )
      set( HOUGHT_MODULE  $ENV{NOVASOFT_LIB}/libHoughT_module.dylib )
      set( HOUGHVALIDATE_MODULE  $ENV{NOVASOFT_LIB}/libHoughValidate_module.dylib )
      set( MULTIHOUGHT_MODULE  $ENV{NOVASOFT_LIB}/libMultiHoughT_module.dylib )
      set( HOUGHTRANSFORM_DICT  $ENV{NOVASOFT_LIB}/libHoughTransform_dict.dylib )
      set( HOUGHVERTEX  $ENV{NOVASOFT_LIB}/libHoughVertex.dylib )
      set( HOUGHVERTEX_MODULE  $ENV{NOVASOFT_LIB}/libHoughVertex_module.dylib )
      set( MCCHEATER  $ENV{NOVASOFT_LIB}/libMCCheater.dylib )
      set( CHECKBACKTRACKING_MODULE  $ENV{NOVASOFT_LIB}/libCheckBackTracking_module.dylib )
      set( CLUSTERCHEATER_MODULE  $ENV{NOVASOFT_LIB}/libClusterCheater_module.dylib )
      set( MCCHEATER_MODULE  $ENV{NOVASOFT_LIB}/libMCCheater_module.dylib )
      set( PRONGCHEATER_MODULE  $ENV{NOVASOFT_LIB}/libProngCheater_module.dylib )
      set( RECOCHECKANA_MODULE  $ENV{NOVASOFT_LIB}/libRecoCheckAna_module.dylib )
      set( SHOWERCHEATER_MODULE  $ENV{NOVASOFT_LIB}/libShowerCheater_module.dylib )
      set( TESTTRACKIDS_MODULE  $ENV{NOVASOFT_LIB}/libTestTrackIds_module.dylib )
      set( TRACKCHEATER_MODULE  $ENV{NOVASOFT_LIB}/libTrackCheater_module.dylib )
      set( BACKTRACKER_SERVICE  $ENV{NOVASOFT_LIB}/libBackTracker_service.dylib )
      set( MCCHEATER_DICT  $ENV{NOVASOFT_LIB}/libMCCheater_dict.dylib )
      set( CLOSEINTIME_MODULE  $ENV{NOVASOFT_LIB}/libCloseInTime_module.dylib )
      set( COSMICANA_MODULE  $ENV{NOVASOFT_LIB}/libCosmicAna_module.dylib )
      set( DETANA_MODULE  $ENV{NOVASOFT_LIB}/libDetAna_module.dylib )
      set( DETSIMANA_MODULE  $ENV{NOVASOFT_LIB}/libDetSimAna_module.dylib )
      set( LEPTONANA_MODULE  $ENV{NOVASOFT_LIB}/libLeptonAna_module.dylib )
      set( MONOPOLEANA_MODULE  $ENV{NOVASOFT_LIB}/libMonopoleAna_module.dylib )
      set( NEUTRINOANA_MODULE  $ENV{NOVASOFT_LIB}/libNeutrinoAna_module.dylib )
      set( NULLANA_MODULE  $ENV{NOVASOFT_LIB}/libNullAna_module.dylib )
      set( POTANA_MODULE  $ENV{NOVASOFT_LIB}/libPOTAna_module.dylib )
      set( ROCKANA_MODULE  $ENV{NOVASOFT_LIB}/libRockAna_module.dylib )
      set( SHOWERANACHECK_MODULE  $ENV{NOVASOFT_LIB}/libShowerAnaCheck_module.dylib )
      set( SUPERNOVAANA_MODULE  $ENV{NOVASOFT_LIB}/libSupernovaAna_module.dylib )
      set( TRUTHEXPAND_MODULE  $ENV{NOVASOFT_LIB}/libTruthExpand_module.dylib )
      set( METADATA  $ENV{NOVASOFT_LIB}/libMetadata.dylib )
      set( MICHELEFILTER  $ENV{NOVASOFT_LIB}/libMichelEFilter.dylib )
      set( MICHELEANA_MODULE  $ENV{NOVASOFT_LIB}/libMichelEAna_module.dylib )
      set( MICHELEFILTER_MODULE  $ENV{NOVASOFT_LIB}/libMichelEFilter_module.dylib )
      set( SLICEMEF_MODULE  $ENV{NOVASOFT_LIB}/libSliceMEF_module.dylib )
      set( MICHELEFILTER_DICT  $ENV{NOVASOFT_LIB}/libMichelEFilter_dict.dylib )
      set( MOCKDATADAQ  $ENV{NOVASOFT_LIB}/libMockDataDAQ.dylib )
      set( MOCKDATADAQANA_MODULE  $ENV{NOVASOFT_LIB}/libMockDataDAQAna_module.dylib )
      set( MUONREMOVEART  $ENV{NOVASOFT_LIB}/libMuonRemoveart.dylib )
      set( FINDPARENT_MODULE  $ENV{NOVASOFT_LIB}/libFindParent_module.dylib )
      set( MERGEDIGITS_MODULE  $ENV{NOVASOFT_LIB}/libMergeDigits_module.dylib )
      set( MERGETRUTH_MODULE  $ENV{NOVASOFT_LIB}/libMergeTruth_module.dylib )
      set( MUONREMOVE_MODULE  $ENV{NOVASOFT_LIB}/libMuonRemove_module.dylib )
      set( MUONREMOVEANA_MODULE  $ENV{NOVASOFT_LIB}/libMuonRemoveAna_module.dylib )
      set( MUONREMOVE_ART_DICT  $ENV{NOVASOFT_LIB}/libMuonRemove_art_dict.dylib )
      set( MRE_MODULE  $ENV{NOVASOFT_LIB}/libMRE_module.dylib )
      set( NDROCKMUON_MODULE  $ENV{NOVASOFT_LIB}/libNDRockMuon_module.dylib )
      set( MERGECOLLECTIONS_MODULE  $ENV{NOVASOFT_LIB}/libMergeCollections_module.dylib )
      set( MERGEG4COLLECTIONS_MODULE  $ENV{NOVASOFT_LIB}/libMergeG4Collections_module.dylib )
      set( MERGEGENCOLLECTIONS_MODULE  $ENV{NOVASOFT_LIB}/libMergeGenCollections_module.dylib )
      set( MIXSIMEVENTS_MODULE  $ENV{NOVASOFT_LIB}/libMixSimEvents_module.dylib )
      set( FILLNUESANDBOX_MODULE  $ENV{NOVASOFT_LIB}/libFillNueSandbox_module.dylib )
      set( NUESANDBOX_DICT  $ENV{NOVASOFT_LIB}/libNueSandbox_dict.dylib )
      set( NUMUENERGY  $ENV{NOVASOFT_LIB}/libNumuEnergy.dylib )
      set( NUMUEANA_MODULE  $ENV{NOVASOFT_LIB}/libNumuEAna_module.dylib )
      set( NUMUENERGY_MODULE  $ENV{NOVASOFT_LIB}/libNumuEnergy_module.dylib )
      set( NUMUENERGY_DICT  $ENV{NOVASOFT_LIB}/libNumuEnergy_dict.dylib )
      set( NUMUSANDBOX  $ENV{NOVASOFT_LIB}/libNumuSandbox.dylib )
      set( FILLSANDBOX_MODULE  $ENV{NOVASOFT_LIB}/libFillSandbox_module.dylib )
      set( NUMUSANDBOX_DICT  $ENV{NOVASOFT_LIB}/libNumuSandbox_dict.dylib )
      set( OSCLIBFUNC  $ENV{NOVASOFT_LIB}/libOscLibFunc.dylib )
      set( OSCCALCGENSERVICE_SERVICE  $ENV{NOVASOFT_LIB}/libOscCalcGenService_service.dylib )
      set( OSCCALCPMNSOPTSERVICE_SERVICE  $ENV{NOVASOFT_LIB}/libOscCalcPMNSOptService_service.dylib )
      set( OSCCALCPMNSSERVICE_SERVICE  $ENV{NOVASOFT_LIB}/libOscCalcPMNSService_service.dylib )
      set( OSCCALCSERVICE_SERVICE  $ENV{NOVASOFT_LIB}/libOscCalcService_service.dylib )
      set( IMPROVEDTRANSPORT_MODULE  $ENV{NOVASOFT_LIB}/libImprovedTransport_module.dylib )
      set( LIGHTLEVELS_MODULE  $ENV{NOVASOFT_LIB}/libLightLevels_module.dylib )
      set( PHOTONTRANSPORT_MODULE  $ENV{NOVASOFT_LIB}/libPhotonTransport_module.dylib )
      set( PRESELECTION  $ENV{NOVASOFT_LIB}/libPreselection.dylib )
      set( PRESELECTION_DICT  $ENV{NOVASOFT_LIB}/libPreselection_dict.dylib )
      set( COSMICVETO_MODULE  $ENV{NOVASOFT_LIB}/libCosmicVeto_module.dylib )
      set( NUEPRESEL_MODULE  $ENV{NOVASOFT_LIB}/libNuePresel_module.dylib )
      set( NUMIFILTERINGANA_MODULE  $ENV{NOVASOFT_LIB}/libNumiFilteringAna_module.dylib )
      set( NUMIFILTERING_MODULE  $ENV{NOVASOFT_LIB}/libNumiFiltering_module.dylib )
      set( QEEVENTFINDER  $ENV{NOVASOFT_LIB}/libQEEventFinder.dylib )
      set( QEFINDER_MODULE  $ENV{NOVASOFT_LIB}/libQeFinder_module.dylib )
      set( QEFINDERVAL_MODULE  $ENV{NOVASOFT_LIB}/libQeFinderVal_module.dylib )
      set( QEEVENTFINDER_DICT  $ENV{NOVASOFT_LIB}/libQEEventFinder_dict.dylib )
      set( RAWDATA  $ENV{NOVASOFT_LIB}/libRawData.dylib )
      set( RAWDATA_DAQHEADERANA_MODULE  $ENV{NOVASOFT_LIB}/libRawData_DAQHeaderAna_module.dylib )
      set( RAWDATA_DICT  $ENV{NOVASOFT_LIB}/libRawData_dict.dylib )
      set( READOUTSIM  $ENV{NOVASOFT_LIB}/libReadoutSim.dylib )
      set( MAKENOISESPECTRUMFILE_MODULE  $ENV{NOVASOFT_LIB}/libMakeNoiseSpectrumFile_module.dylib )
      set( READOUTSIM_MODULE  $ENV{NOVASOFT_LIB}/libReadoutSim_module.dylib )
      set( RECORDNOISESPECTRUMFILE_MODULE  $ENV{NOVASOFT_LIB}/libRecordNoiseSpectrumFile_module.dylib )
      set( RECOBASE  $ENV{NOVASOFT_LIB}/libRecoBase.dylib )
      set( RECOBASE_DICT  $ENV{NOVASOFT_LIB}/libRecoBase_dict.dylib )
      set( RECOBASEHIT  $ENV{NOVASOFT_LIB}/libRecoBaseHit.dylib )
      set( RECOJMSHOWER  $ENV{NOVASOFT_LIB}/libRecoJMShower.dylib )
      set( JMCLUSTERMERGE_MODULE  $ENV{NOVASOFT_LIB}/libJMClusterMerge_module.dylib )
      set( JMTRACKMERGE_MODULE  $ENV{NOVASOFT_LIB}/libJMTrackMerge_module.dylib )
      set( NUESEL_MODULE  $ENV{NOVASOFT_LIB}/libNueSel_module.dylib )
      set( NUESELLID_MODULE  $ENV{NOVASOFT_LIB}/libNueSelLID_module.dylib )
      set( RECOJMSHOWER_MODULE  $ENV{NOVASOFT_LIB}/libRecoJMShower_module.dylib )
      set( RECOJMSHOWERANA_MODULE  $ENV{NOVASOFT_LIB}/libRecoJMShowerAna_module.dylib )
      set( RECOJMSHOWERFILTER_MODULE  $ENV{NOVASOFT_LIB}/libRecoJMShowerFilter_module.dylib )
      set( RECOJMSHOWER_DICT  $ENV{NOVASOFT_LIB}/libRecoJMShower_dict.dylib )
      set( RECVARPID  $ENV{NOVASOFT_LIB}/libRecVarPID.dylib )
      set( RECVARPID_MODULE  $ENV{NOVASOFT_LIB}/libRecVarPID_module.dylib )
      set( RECVARPID_DICT  $ENV{NOVASOFT_LIB}/libRecVarPID_dict.dylib )
      set( REMID  $ENV{NOVASOFT_LIB}/libReMId.dylib )
      set( RECOMUON_MODULE  $ENV{NOVASOFT_LIB}/libRecoMuon_module.dylib )
      set( REMIDTRAIN_MODULE  $ENV{NOVASOFT_LIB}/libReMIdTrain_module.dylib )
      set( REMIDVALIDATE_MODULE  $ENV{NOVASOFT_LIB}/libReMIdValidate_module.dylib )
      set( REMID_DICT  $ENV{NOVASOFT_LIB}/libReMId_dict.dylib )
      set( RUNHISTORY  $ENV{NOVASOFT_LIB}/libRunHistory.dylib )
      set( DETECTOR_SERVICE  $ENV{NOVASOFT_LIB}/libDetector_service.dylib )
      set( RUNHISTORY_SERVICE  $ENV{NOVASOFT_LIB}/libRunHistory_service.dylib )
      set( BADDATAFILTER_MODULE  $ENV{NOVASOFT_LIB}/libBadDataFilter_module.dylib )
      set( SHOWERLID  $ENV{NOVASOFT_LIB}/libShowerLID.dylib )
      set( LIDBUILDER_MODULE  $ENV{NOVASOFT_LIB}/libLIDBuilder_module.dylib )
      set( LIDTRAINING_MODULE  $ENV{NOVASOFT_LIB}/libLIDTraining_module.dylib )
      set( RECLUSTER_MODULE  $ENV{NOVASOFT_LIB}/libRecluster_module.dylib )
      set( SPIDBUILDER_MODULE  $ENV{NOVASOFT_LIB}/libSPIDBuilder_module.dylib )
      set( SHOWERLID_DICT  $ENV{NOVASOFT_LIB}/libShowerLID_dict.dylib )
      set( SHOWERLIDTRAIN  $ENV{NOVASOFT_LIB}/libShowerLIDtrain.dylib )
      set( SIMULATION  $ENV{NOVASOFT_LIB}/libSimulation.dylib )
      set( SIMULATION_DICT  $ENV{NOVASOFT_LIB}/libSimulation_dict.dylib )
      set( SLICER  $ENV{NOVASOFT_LIB}/libSlicer.dylib )
      set( IDENTICALSLICERANA_MODULE  $ENV{NOVASOFT_LIB}/libIdenticalSlicerAna_module.dylib )
      set( S4DPARAMCALC_MODULE  $ENV{NOVASOFT_LIB}/libS4DParamCalc_module.dylib )
      set( SLICER4D_MODULE  $ENV{NOVASOFT_LIB}/libSlicer4D_module.dylib )
      set( SLICER_MODULE  $ENV{NOVASOFT_LIB}/libSlicer_module.dylib )
      set( SLICERANA_MODULE  $ENV{NOVASOFT_LIB}/libSlicerAna_module.dylib )
      set( TRUTHSLICER_MODULE  $ENV{NOVASOFT_LIB}/libTruthSlicer_module.dylib )
      set( STANDARDRECORD  $ENV{NOVASOFT_LIB}/libStandardRecord.dylib )
      set( SUMMARYDATA  $ENV{NOVASOFT_LIB}/libSummaryData.dylib )
      set( SUMMARYDATA_DICT  $ENV{NOVASOFT_LIB}/libSummaryData_dict.dylib )
      set( TIMINGFIT  $ENV{NOVASOFT_LIB}/libTimingFit.dylib )
      set( TIMINGFIT_MODULE  $ENV{NOVASOFT_LIB}/libTimingFit_module.dylib )
      set( TIMINGFIT_DICT  $ENV{NOVASOFT_LIB}/libTimingFit_dict.dylib )
      set( TRACKFIT  $ENV{NOVASOFT_LIB}/libTrackFit.dylib )
      set( COSMICTRACK_MODULE  $ENV{NOVASOFT_LIB}/libCosmicTrack_module.dylib )
      set( COSMICTRACKANA_MODULE  $ENV{NOVASOFT_LIB}/libCosmicTrackAna_module.dylib )
      set( KALMANTRACK_MODULE  $ENV{NOVASOFT_LIB}/libKalmanTrack_module.dylib )
      set( KALMANTRACKANA_MODULE  $ENV{NOVASOFT_LIB}/libKalmanTrackAna_module.dylib )
      set( KALMANTRACKMERGE_MODULE  $ENV{NOVASOFT_LIB}/libKalmanTrackMerge_module.dylib )
      set( TRKASSN_MODULE  $ENV{NOVASOFT_LIB}/libTrkAssn_module.dylib )
      set( UTILITIES  $ENV{NOVASOFT_LIB}/libUtilities.dylib )
      set( MERGESUBRUNS_MODULE  $ENV{NOVASOFT_LIB}/libMergeSubruns_module.dylib )
      set( RUNEVENTFILTER_MODULE  $ENV{NOVASOFT_LIB}/libRunEventFilter_module.dylib )
      set( HOUGHCALC_SERVICE  $ENV{NOVASOFT_LIB}/libHoughCalc_service.dylib )
      set( UTILITIESFUNC  $ENV{NOVASOFT_LIB}/libUtilitiesFunc.dylib )
      set( VALIDATECHANNELINFO_MODULE  $ENV{NOVASOFT_LIB}/libValidateChannelInfo_module.dylib )
      set( VALIDATEDAQ2RAWDIGIT_MODULE  $ENV{NOVASOFT_LIB}/libValidateDAQ2RawDigit_module.dylib )
      set( VERTEXFINDER  $ENV{NOVASOFT_LIB}/libVertexFinder.dylib )
      set( VERTEXEVA_MODULE  $ENV{NOVASOFT_LIB}/libVertexEva_module.dylib )
      set( VERTEXFINDER_MODULE  $ENV{NOVASOFT_LIB}/libVertexFinder_module.dylib )
      set( ZUKCLUSTER  $ENV{NOVASOFT_LIB}/libZukCluster.dylib )
      set( FMMTRACKER_MODULE  $ENV{NOVASOFT_LIB}/libFMMTracker_module.dylib )
      set( FMMTRACKERANA_MODULE  $ENV{NOVASOFT_LIB}/libFmmTrackerAna_module.dylib )
      set( FMMTRACKERVALIDATION_MODULE  $ENV{NOVASOFT_LIB}/libFmmTrackerValidation_module.dylib )
      set( FMMTRIGGERANA_MODULE  $ENV{NOVASOFT_LIB}/libFmmTriggerAna_module.dylib )
      set( MMCHEATER_MODULE  $ENV{NOVASOFT_LIB}/libMMCheater_module.dylib )
      set( MMSLICER_MODULE  $ENV{NOVASOFT_LIB}/libMMSlicer_module.dylib )
      set( SMMCLUSTER_MODULE  $ENV{NOVASOFT_LIB}/libSMMCluster_module.dylib )
      set( SMMTRIGGERANA_MODULE  $ENV{NOVASOFT_LIB}/libSMMTriggerAna_module.dylib )
      set( SPCLUSTER_MODULE  $ENV{NOVASOFT_LIB}/libSPCluster_module.dylib )
      include_directories ( $ENV{NOVASOFT_INC} )

check_required_components(novasoft)
