////////////////////////////////////////////////////////////////////////
// \file    Channel.h
// \version $Id: Channel.h,v 1.5 2012-05-22 02:47:11 bckhouse Exp $
// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef DTCHANNEL_H
#define DTCHANNEL_H

#include "art/Persistency/Common/Ptr.h"

#include "GeometryObjects/OfflineChan.h"

namespace rb{class CellHit;}

namespace dt
{
  /// Representation of the state of a single detector channel
  class Channel : public geo::OfflineChan
  {
  public:
    Channel(int plane, int cell); // Unhit by default
    void SetDead();
    void SetHit(art::Ptr<rb::CellHit> chit);
    void MarkHitFound();
    bool EverHit() const;
    enum Type_t{kHit, kUnhit, kDead, kFound};
    Type_t Type() const;
    art::Ptr<rb::CellHit> GetHit() const;
  protected:
    Type_t fType;
    art::Ptr<rb::CellHit> fHit;
  };

} // namespace

#endif
