////////////////////////////////////////////////////////////////////////
// \file   SliceButtonBar.h
// \brief  Controls for navigating between slices
// \author Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef EVD_SLICEBUTTONBAR_H
#define EVD_SLICEBUTTONBAR_H

#include "RQ_OBJECT.h"

#include "TGFrame.h"

class TGCheckButton;
class TGTextButton;
class TGLabel;
class TGTextEntry;

namespace evd
{
  /// Controls for navigating between slices
  class SliceButtonBar: public TGCompositeFrame
  {
    RQ_OBJECT("evd::SliceButtonBar")
  public:
    SliceButtonBar(const TGWindow* p);
    virtual ~SliceButtonBar();

    // Signal handlers
    void Enable();
    void Previous();
    void Next();
    void GoTo();

    void Update();

  protected:
    TGTextButton* fPrevButton;
    TGTextButton* fNextButton;
    TGCheckButton* fEnableButton;
    TGTextEntry* fSliceTextEntry;
    TGLabel* fNSlicesLabel;

    ClassDef(SliceButtonBar, 0);
  };
}

#endif
