#ifndef SliceMEFCluster_h
#define SliceMEFCluster_h

#include "RecoBase/Cluster.h"
#include "art/Persistency/Common/Ptr.h"

namespace me {  
  class SliceMEFCluster: public rb::Cluster
  {
  public:
    SliceMEFCluster(); 
    ~SliceMEFCluster(); 

    double MID() const;
    double DistToSlc() const;
    double DeltaT() const;
    int    NSlcMatches() const;
    bool   AssocWithSlc() const;
    int    NRetriggeredCells() const;
    double ADCRetriggeredCells() const;
    double PERetriggeredCells() const;

    void SetMID(double);
    void SetDistToSlc(double);
    void SetDeltaT(double);
    void SetNSlcMatches(int);
    void SetAssocWithSlc(bool);
    void SetNRetriggeredCells(int);
    void SetADCRetriggeredCells(double);
    void SetPERetriggeredCells(double);

  protected:

    double            fMID;
    double            fDistToSlc;
    double            fDeltaT;
    int               fNSlcMatches;
    bool              fAssocWithSlc;
    int               fNRetriggeredCells;
    double            fADCRetriggeredCells;
    double            fPERetriggeredCells;
  };
  
} // end namespace me

#endif


