/* 
 * File:   Sorter.h
 * Author: denis
 *
 * Class to sort indeces by numbers that one assignes the numbers for
 * Accending order.
 *
 * Created on February 13, 2012, 10:09 AM
 */

#ifndef _SORTER_H
#define	_SORTER_H

#include <vector>
#include <stdint.h>

// using unsigned long long rather than uint64_t to ensure consisent behavior on OSX and LINUX

namespace mcdatadaq {
    
    typedef std::pair  < unsigned long long, uint32_t  > number_index_pair_t;
    typedef std::vector< number_index_pair_t > number_index_pair_vector_t;

    class Sorter {

        public:
            Sorter();
            ~Sorter();

            /// Add number. The index assigned to the number is the order in which the number is added
            bool addNumber(const unsigned long long);
            
            /// Sorting the indeces by numbers
            bool sort();

            /// Get indeces
            std::vector <uint32_t> getIndeces() const;
            bool                   getIndeces(std::vector <uint32_t>&) const;

            /// Print the numbers and current order of indeces
            bool print() const;

        private:

            number_index_pair_vector_t _numberIndexPair; // vector of indeces and numbers

    };
}// end of namespace mcdatadaq
#endif	/* _SORTER_H */

