////////////////////////////////////////////////////////////////////////
// \file    EID.h
// \brief   A pid object for electron identification based on Jianming 
//          Bian's original EID
// \version 
// \author  Alex Smith - smith@physics.umn.edu
////////////////////////////////////////////////////////////////////////
#ifndef EventLID_H
#define EventLID_H

#include <vector>
#include "RecoBase/PID.h"

namespace slid {

  class EventLID : public rb::PID {
  public:
    
  EventLID() : fPIDWithE(-5.0){};
    ~EventLID(){}
#ifndef __GCCXML__
    EventLID(int pdg, double val);
    
    void SetValWithE   (float in) { fPIDWithE = in; }
    
    float ValueWithE   () const { return fPIDWithE; }
    
#endif // __GCCXML__

  private:
    float fPIDWithE;
    
  };

};
#endif
