////////////////////////////////////////////////////////////////////////
// \file    SRElastic.h
// \brief   An  SRElastic represents a potential interaction point.
// \version $Id: SRElastic.h,v 1.4 2012-11-13 22:06:10 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-13 22:06:10 $
////////////////////////////////////////////////////////////////////////
#ifndef SRHOUGHVERTEX_H
#define SRHOUGHVERTEX_H

#include "TVector3.h"

namespace caf
{
  /// An  SRHoughVertex represents a potential interaction point.
  /// It inherits from SRVertex, a simple 3-vector and time.
  /// SRHoughVertex adds vectors of prong objects.
  /// This class is meant to be used in Common Analysis Files as
  /// part of the StandardRecord.

  class SRHoughVertex
  {
  public:
    ///  Default constructor for SRHoughVertex.
    SRHoughVertex();

    /// Default destuctor.
    virtual ~SRHoughVertex();

    float      time;    ///< Time      [ns]
    TVector3   vtx;     ///< Vertex position in detector coordinates. [cm]
  };

} // end namespace

#endif // SRELASTIC_H
//////////////////////////////////////////////////////////////////////////////
