////////////////////////////////////////////////////////////////////////
// \file    SRMichelE.h
// \brief   An SRMichelE represents output from MichelEFilter
// \version $Id: SRProng.h,v 1.4 2012-11-13 22:06:10 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-13 22:06:10 $
////////////////////////////////////////////////////////////////////////
#ifndef SRMICHELE_H
#define SRMICHELE_H

#include "StandardRecord/SRTrkME.h"
#include "StandardRecord/SRSlcME.h"

namespace caf
{
  
  class SRMichelE
    {
    public:
      ///  Default constructor for SRProng. 
      SRMichelE();
      ~SRMichelE();

      std::vector<SRTrkME>   trkkalman;
      std::vector<SRTrkME>   trkdiscrete;
      std::vector<SRTrkME>   trkcosmic;
      std::vector<SRSlcME>   slc;

      size_t nkalman;
      size_t ndiscrete;
      size_t ncosmic;
      size_t nslc;

      void fillSizes();
    };
  
} // end namespace

#endif // SRMICHELE_H
//////////////////////////////////////////////////////////////////////////////
