////////////////////////////////////////////////////////////////////////
// \file    SRJMEnergy.h
// \brief   This is a class for the NueSel energy estimate
// \version $Id: SRJMEnergy.h,v 1.2 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#ifndef SRSLIDENERGY_H
#define SRSLIDENERGY_H

namespace caf
{
  /// This is a class for the NueSel energy estimate.  
  class SRSLidEnergy
    {
    public:
      ///  Default constructor. 
      SRSLidEnergy();
      
      /// Default destuctor.
      virtual ~SRSLidEnergy();

      float      E;       ///< Energy      [GeV]

      float      depE;    ///< Total energy deposited in shower [GeV]
      float      shwE;    ///< Energy of shower [GeV]
      float      hadE;    ///< Hadronic energy [GeV]

      virtual void setDefault();
      
    };
  
} // end namespace

#endif // SRSLIDENERGY_H
//////////////////////////////////////////////////////////////////////////////
