////////////////////////////////////////////////////////////////////////
// \file    SRSandbox.h
// \brief   Class for storing information necessary for analysis that 
//          may not fit elsewhere. 
//          This information might not exist here forever, it may 
//          eventually be moved somewhere else. 
// \version $Id: SRSandbox.h,v 1.2 2012-12-07 21:06:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-07 21:06:22 $
////////////////////////////////////////////////////////////////////////

#ifndef SRSANDBOX_H
#define SRSANDBOX_H
#include "StandardRecord/SRNueSandbox.h"
#include "StandardRecord/SRNumuSandbox.h"


namespace caf
{
  /// Class for storing information necessary for analysis that 
  /// may not fit elsewhere. 
  /// This information might not exist here forever, it may 
  /// eventually be moved somewhere else. eventually be moved somewhere else.   class SRSlice
    class SRSandbox{
    public:
      ///  Default constructor.
      SRSandbox();
      
      /// Default destuctor.
      ~SRSandbox();

      SRNueSandbox    nue;       ///< Sandbox for \f$ \nu_e \f$ group.
      SRNumuSandbox   numu;      ///< Sandbox for \f$ \nu_\mu \f$ group.

      
      
    };
  
} // end namespace

#endif // SRSANDBOX_H
//////////////////////////////////////////////////////////////////////////////
