///
/// \brief  Print material and dedx tables as they are known to GEANT4
/// \author messier@indiana.edu
///
#ifndef G4NOVA_PRINTTABLES_H
#define G4NOVA_PRINTTABLES_H
#include "Geant4/G4ParticleTable.hh"
#include "Geant4/G4Material.hh"
namespace g4n {
  class PrintTables {
  public:
    PrintTables();
    ///
    /// Print the materials table
    ///
    void Materials();
    ///
    /// Print dEdx tables
    ///
    void dEdx();
  public:
    const G4MaterialTable* fMaterialTable;
    G4ParticleTable*       fParticleTable;
  };
}
#endif
