///////////////////////////////////////////////////////////
//
// \file    BPFEnergy.cxx
// \brief   Energy object created by BPFEnergy_module.cc.
// \version
// \author  Michael Baird - mbaird42@fnal.gov
//
///////////////////////////////////////////////////////////

#include "BreakPointFitter/BPFEnergy.h"

using namespace bpfit;

//.........................................................

BPFEnergy::BPFEnergy()
{
  SetE1       (-5.0);
  SetEres1    (-5.0);
  SetE2       (-5.0);
  SetEres2    (-5.0);
  SetE3       (-5.0);
  SetEres3    (-5.0);
  SetEventID  (-5.0);
  SetPMuon    (-5.0);
  SetDirZMuon (-5.0);
  SetN3DProngs(-5.0);
  SetEFuzzyK3D(-5.0);
  SetERemain  (-5.0);
  SetSumPE    (-5.0);
}

//.........................................................

BPFEnergy::BPFEnergy(float E1, float Eres1,
		     float E2, float Eres2,
		     float E3, float Eres3,
		     float EventID, float PMuon,
		     float DirZMuon, float N3DProngs,
		     float EFuzzyK3D, float ERemain,
		     float SumPE)
{
  SetE1       (E1);
  SetEres1    (Eres1);
  SetE2       (E2);
  SetEres2    (Eres2);
  SetE3       (E3);
  SetEres3    (Eres3);
  SetEventID  (EventID);
  SetPMuon    (PMuon);
  SetDirZMuon (DirZMuon);
  SetN3DProngs(N3DProngs);
  SetEFuzzyK3D(EFuzzyK3D);
  SetERemain  (ERemain);
  SetSumPE    (SumPE);
}

//.........................................................

BPFEnergy::~BPFEnergy()
{
  // Destroy me, and I shall become more powerful than you
  // could possibly imagine...
}

///////////////////////////////////////////////////////////
