#include "BreakPointFitter/func/HitList3D.h"
#include <iostream>
#include "GeometryObjects/PlaneGeo.h"

int main(void) 
{
  unsigned int i;
  unsigned int npts = 50;
  bpfit::HitList3D hit_list(npts);
  
  double s, x, y, z;
  for (i=0; i<npts; ++i) {
    s = 2.0*(float)i/(float)npts-1;
    z = 500*s;
    x = 100*(2*s*s-1);
    y = 50*(4*s*s*s-3*s);
    
    if (i%2==0) {
      hit_list.SetHit(i, geo::kX, x, 0, z, i, 2.0, 0, 3.0, 1.0, 1.0);
    }
    else {
      hit_list.SetHit(i, geo::kY, 0, y, z, i, 0, 2.0, 3.0, 1.0, 1.0);
    }
  }
  hit_list.CompleteOrtho();
  
  for (i=0; i<hit_list.size(); ++i) {
    std::cout 
      << hit_list[i].fView << " "
      << hit_list[i].fX << " " << hit_list[i].fSigX << " "
      << hit_list[i].fY << " " << hit_list[i].fSigY << " "
      << hit_list[i].fZ << " " << hit_list[i].fSigZ << std::endl;
  }
  
  return 0;
}
////////////////////////////////////////////////////////////////////////
