void load_libs()
{
  // Mirror the optimization settings in use elsewhere
  if(gSystem->Getenv("SRT_QUAL") == TString("debug")){
    gSystem->SetAclicMode(TSystem::kDebug);
  }
  else{
    gSystem->SetAclicMode(TSystem::kOpt);
  }

  // This is the magic incantation that prevents your program spending all its
  // time doing nothing useful in TList::RecursiveRemove() under ~TH1(). I
  // haven't found the downside yet.
  gROOT->SetMustClean(false);

  // Colorize error messages. Would be better if we could just pick up the
  // flags novasoft uses, but they don't seem to be in any env var.
  gSystem->SetFlagsDebug(TString(gSystem->GetFlagsDebug())+" -fdiagnostics-color=auto");
  gSystem->SetFlagsOpt(TString(gSystem->GetFlagsOpt())+" -fdiagnostics-color=auto");



  // CAFReweight pulls in Genie which pulls in ROOT geometry
  gSystem->Load("libGeom.so");
  gSystem->Load("libTree.so");
  gSystem->Load("libMinuit2.so");

  // Magic incantation to get Reflex-based dictionaries converted into the
  // CINT-based information that ROOT needs
  gSystem->Load("libCintex.so");
  Cintex::Enable();

  gSystem->Load("libStandardRecord.so");
  gSystem->Load("libStandardRecord_dict.so");

  gSystem->Load("libCAFAnaCore.so");

  gSystem->Load("libCAFAnaVars.so");
  gSystem->Load("libCAFAnaCuts.so");
  gSystem->Load("libCAFAnaSysts.so");

  gSystem->Load("libCAFAnaDecomp.so");
  gSystem->Load("libCAFAnaExtrap.so");
  gSystem->Load("libCAFAnaPrediction.so");
  gSystem->Load("libCAFAnaExperiment.so");
  gSystem->Load("libCAFAnaFC.so");
  gSystem->Load("libCAFAnaAnalysis.so");

  gSystem->Load("libCAFAna.so");

  gSystem->Load("libOscLibFunc.so");

  gSystem->SetIncludePath("-I$SRT_PRIVATE_CONTEXT/include/ -I$SRT_PUBLIC_CONTEXT/include/ -I$ROOTSYS/include -I$NUTOOLS_INC -I$GENIE_INC/GENIE/");

  // Doesn't seem to work
  //  gSystem->Setenv("IFDH_DEBUG", "0"); // shut ifdh up
  gSystem->Load("libifdh.so");

  // Pick up standard NOvA style
  gROOT->LoadMacro("$SRT_PUBLIC_CONTEXT/Utilities/rootlogon.C");
  rootlogon();
  gROOT->ForceStyle();

  TRint* rint = dynamic_cast<TRint*>(gApplication);
  if(rint) rint->SetPrompt("cafe [%d] ");
}
