////////////////////////////////////////////////////////////////////////
/// \brief   Definition of connection map class
/// \author  brebel@fnal.gov
/// \date    Sept. 2010
////////////////////////////////////////////////////////////////////////
#ifndef CMAP_H
#define CMAP_H

#include "DAQChannelMap/DAQChannelMap.h"

#include "art/Framework/Services/Registry/ActivityRegistry.h"
#include "art/Framework/Services/Registry/ServiceMacros.h"
#include "fhiclcpp/ParameterSet.h"

namespace rawdata {
  class RawDigit;
}


namespace cmap {
  
  /// Channel masks are defined in DAQChannelMap package
  
  class CMap {
  public:
    
    CMap(fhicl::ParameterSet const& pset, art::ActivityRegistry& reg);
    virtual ~CMap();
    
    daqchannelmap::DAQChannelMap* Map() const;

    unsigned short GetPlane(const rawdata::RawDigit* dig) const;
    unsigned short GetCell(const rawdata::RawDigit* dig)  const;
  };
} // end namespace cmap

DECLARE_ART_SERVICE(cmap::CMap, LEGACY)
#endif // CMAP_H
////////////////////////////////////////////////////////////////////////
