////////////////////////////////////////////////////////////////////////
/// \brief   cmap::CMap class source code
/// \author  brebel@fnal.gov
/// \date    Sept. 2010
////////////////////////////////////////////////////////////////////////
#include "CMap/CMap.h"

// NOvA includes
#include "RawData/RawDigit.h"
#include "RunHistory/service/DetectorService.h"
#include "SummaryData/RunData.h"
#include "NovaDAQConventions/DAQConventions.h"

// ART includes
#include "art/Framework/Services/Registry/ServiceHandle.h"

namespace cmap {

  //----------------------------------------------------------------------
  CMap::CMap(fhicl::ParameterSet const& pset, art::ActivityRegistry& reg)
  {
  }
  
  //----------------------------------------------------------------------  
  CMap::~CMap() 
  { 
  }

  //----------------------------------------------------------------------  
  daqchannelmap::DAQChannelMap* CMap::Map() const
  {
    art::ServiceHandle<rh::DetectorService> ds;
    return daqchannelmap::DAQChannelMap::getInstance(ds->DetId());
  }

  //----------------------------------------------------------------------
    unsigned short CMap::GetPlane(const rawdata::RawDigit* dig) const
  {
    if (!dig) return 30000;

    const daqchannelmap::lchan local_channel  = dig->Channel();

    return this->Map()->getPlane(local_channel);
    
  }
  
  //----------------------------------------------------------------------
  unsigned short CMap::GetCell(const rawdata::RawDigit* dig) const
  {
    if (!dig) return 30000;
    
    const daqchannelmap::lchan local_channel = dig->Channel();

    return this->Map()->getCell(local_channel);
  }  

  DEFINE_ART_SERVICE(CMap)

} // end namespace cmap
////////////////////////////////////////////////////////////////////////
