// Put a "NOvA Preliminary" tag in the corner
void Preliminary()
{
  TLatex* prelim = new TLatex(.9, .95, "Preliminary");
  prelim->SetTextColor(kBlue);
  prelim->SetNDC();
  prelim->SetTextSize(2/30.);
  prelim->SetTextAlign(32);
  prelim->Draw();
}

void plot_beam_peak()
{
  gROOT->ForceStyle();

  TFile* f = new TFile("calhits.root");
  TTree* tr = (TTree*)f->Get("Events");

  TH1* h = new TH1F("h", "NO#nuA ND Data;Hit time (#mus);10^{3} hits / 2#mus", 350, -100, 600);

  tr->Draw("rb::CellHits_calhit__Hits.obj.fTNS/1e3>>h", "1e-3*(!rb::CellHits_calhit__Hits.obj.fCoarseTiming)");

  h->SetMinimum(0);

  CenterTitles(h);

  Preliminary();

  gPad->Print("multipoint.eps");
  gPad->Print("multipoint.png");


  new TCanvas;

  TH1* hZoom = new TH1F("hZoom", "NO#nuA ND Data;Hit time (#mus);10^{3} hits / 50ns", 320, 215, 231);
  tr->Draw("rb::CellHits_calhit__Hits.obj.fTNS/1e3>>hZoom", "1e-3*(!rb::CellHits_calhit__Hits.obj.fCoarseTiming)");

  hZoom->SetMinimum(0);

  CenterTitles(hZoom);

  Preliminary();

  gPad->Print("multipoint_zoom.eps");
  gPad->Print("multipoint_zoom.png");
}
