void plot_atten_csv()
{
  TTree tr;
  tr.ReadFile("/nova/ana/calibration/FarDet/S13-09-04/csvs/calib_atten_consts_allplanes_filtered.csv", "coeff:len:bkg:a:b:c:d:chisq:chan:t");

  //  tr.Draw("chisq>>foo(100,0,0.2)");
  //  return;

  tr.Draw("chan%1000:chan/1000>>foo(65,0,130,400,0,400)", "(chan/1000)%2==0", "colz");
  gPad->Print("plots/coverage_horiz.eps");
  
  new TCanvas;
  tr.Draw("chan%1000:chan/1000>>bar(65,0,130,400,0,400)", "(chan/1000)%2==1", "colz");
  gPad->Print("plots/coverage_vert.eps");


  new TCanvas;
  tr.Draw("bkg+coeff>>hc(80,0,20)", "(chan/1000)%2==0");
  tr.Draw("bkg+coeff>>vc(80,0,20)", "(chan/1000)%2==1", "same");
  hc->SetTitle(";Mean response at cell centers (PE / cm);Cells");
  hc->SetLineColor(kRed);
  vc->SetLineColor(kBlue);
  hc->SetLineWidth(2);
  vc->SetLineWidth(2);
  vc->SetFillStyle(0);

  TLegend* leg = new TLegend(.15, .6, .45, .85);
  leg->SetFillStyle(0);
  leg->AddEntry(hc, "Horizontal cells", "l");
  leg->AddEntry(vc, "Vertical cells", "l");
  leg->Draw();

  gPad->Print("plots/response_mid.eps");

  new TCanvas;
  tr.Draw("bkg+coeff*exp(780/len)>>hn(80,0,80)", "(chan/1000)%2==0");
  tr.Draw("bkg+coeff*exp(780/len)>>vn(80,0,80)", "(chan/1000)%2==1", "same");
  hn->SetTitle(";Mean response at near end of cells (PE / cm);Cells");
  hn->SetLineColor(kRed);
  vn->SetLineColor(kBlue);
  hn->SetLineWidth(2);
  vn->SetLineWidth(2);
  vn->SetFillStyle(0);

  leg->Draw();

  gPad->Print("plots/response_near.eps");

  new TCanvas;
  tr.Draw("bkg+2*coeff*exp(-780/len)>>hf(60,0,15)", "(chan/1000)%2==0");
  tr.Draw("bkg+2*coeff*exp(-780/len)>>vf(60,0,15)", "(chan/1000)%2==1", "same");
  hf->SetTitle(";Mean response at far end of cells (PE / cm);Cells");
  hf->SetLineColor(kRed);
  vf->SetLineColor(kBlue);
  hf->SetLineWidth(2);
  vf->SetLineWidth(2);
  vf->SetFillStyle(0);

  leg->Draw();

  gPad->Print("plots/response_far.eps");

  new TCanvas;
  tr.Draw("chan%1000:chan/1000>>mhc(65,0,130,400,0,400)", "((chan/1000)%2==0)*(bkg+coeff)", "colz");
  mhc->GetZaxis()->SetRangeUser(0, 20);
  mhc->SetTitle("Response (PE / cm) center of horizontal cells;Plane;Cell");
  gPad->Print("plots/response_map_horiz_mid.eps");

  new TCanvas;
  tr.Draw("chan%1000:chan/1000>>mvc(65,0,130,400,0,400)", "((chan/1000)%2==1)*(bkg+coeff)", "colz");
  mvc->GetZaxis()->SetRangeUser(0, 20);
  mvc->SetTitle("Response (PE / cm) center of vertical cells;Plane;Cell");
  gPad->Print("plots/response_map_vert_mid.eps");

  new TCanvas;
  tr.Draw("chan%1000:chan/1000>>mhn(65,0,130,400,0,400)", "((chan/1000)%2==0)*(bkg+coeff*exp(780/len))", "colz");
  mhn->GetZaxis()->SetRangeUser(0, 80);
  mhn->SetTitle("Response (PE / cm) near end of horizontal cells;Plane;Cell");
  gPad->Print("plots/response_map_horiz_near.eps");

  new TCanvas;
  tr.Draw("chan%1000:chan/1000>>mvn(65,0,130,400,0,400)", "((chan/1000)%2==1)*(bkg+coeff*exp(780/len))", "colz");
  mvn->GetZaxis()->SetRangeUser(0, 80);
  mvn->SetTitle("Response (PE / cm) near end of vertical cells;Plane;Cell");
  gPad->Print("plots/response_map_vert_near.eps");

  new TCanvas;
  tr.Draw("chan%1000:chan/1000>>mhf(65,0,130,400,0,400)", "((chan/1000)%2==0)*(bkg+2*coeff*exp(-780/len))", "colz");
  mhf->GetZaxis()->SetRangeUser(0, 15);
  mhf->SetTitle("Response (PE / cm) far end of horizontal cells;Plane;Cell");
  gPad->Print("plots/response_map_horiz_far.eps");

  new TCanvas;
  tr.Draw("chan%1000:chan/1000>>mvf(65,0,130,400,0,400)", "((chan/1000)%2==1)*(bkg+2*coeff*exp(-780/len))", "colz");
  mvf->GetZaxis()->SetRangeUser(0, 15);
  mvf->SetTitle("Response (PE / cm) far end of vertical cells;Plane;Cell");
  gPad->Print("plots/response_map_vert_far.eps");
}
