///////////////////////////////////////////////////////////////////////////
/// \brief   A DCMStat contains a vector of DCMTimes for the timing calibration
/// \author  edniner@indiana.edu
/// \date    Feb. 2013
///////////////////////////////////////////////////////////////////////////
#ifndef DCMStat_H
#define DCMStat_H

#include <vector>

/// Calibration data products
namespace caldp
{
  struct DCMTime{
  DCMTime() : dcmNum(), dcmHits(), dcmTime(), sigma() {}
    ~DCMTime() {}

    int   dcmNum;  ///< Number of the dcm
    int   dcmHits; ///< number of hits in dcm
    float dcmTime; ///< weighted average time of hits in dcm, correcting for time-of-flight and path lenght
    float sigma;   ///< uncertainty in average hit time
  };

  class DCMStat
  {
  public:
    DCMStat();
    
    virtual ~DCMStat();
    
    std::vector<DCMTime> dcmList;
    
  };
  
} // end namespace

#endif // DCMStat_H
