/////////////////////////////////////////////////////////////////////////////
/// \brief   A PCHit contains the basic information from cosmic track data 
///          needed for calibration.
/// \author  rtoner@physics.harvard.edu
/// \date    Jan. 2013
///////////////////////////////////////////////////////////////////////////// 
 #include "CalibrationDataProducts/PCHit.h"

#include <iomanip>

#include <iostream>

 
 namespace caldp 
 {
   PCHit::PCHit():
   plane(-1),
   cell(-1),
   diblock(-1),
   dcm(-1),
   apd(-1),
   pixel(-1),
   view(geo::kXorY),
   pe(0),
   path(0),
   w(-1.0e4),
   trueMeV(0),
   truePE(0),
   tns(-1.0e4),
   goodTime(true),
   flightLen(-1.0),
   readDist(-1.0),
   poissonLambda(0)
   {  }
   
   PCHit::~PCHit(){  }

   
 } // end namespace calib
