#include "art/Persistency/Common/Wrapper.h"
#include "art/Persistency/Common/Assns.h"
#include "art/Persistency/Common/Ptr.h"

#include "CalibrationDataProducts/AttenHists.h"
#include "CalibrationDataProducts/PCHit.h"
#include "CalibrationDataProducts/TCTrack.h"
#include "CalibrationDataProducts/DriftResponse.h"
#include "CalibrationDataProducts/DCMStat.h"
#include "CalibrationDataProducts/DCMOffset.h"
#include "CalibrationDataProducts/DCMSummary.h"

#include "RecoBase/Track.h"

// No-one in Calibration wants default constructors on these classes, they just
// lead to things accidentally getting the wrong binning, much better to be
// explicit. But we need them to be able to make reflex dictionaries, so enable
// them with this #define
#define ATTENPROFILES_DEFAULT_CONSTRUCTORS
#include "CalibrationDataProducts/AttenProfiles.h"

template class std::vector<caldp::PCHit>;
template class art::Ptr<caldp::PCHit>;
template class std::vector<art::Ptr<caldp::PCHit> >;
template class art::Wrapper< std::vector<caldp::PCHit> >;
template class art::Assns<caldp::PCHit, rb::Track,  void>;
template class art::Assns<rb::Track, caldp::PCHit,  void>;
template class art::Wrapper<art::Assns<caldp::PCHit, rb::Track,  void> >;
template class art::Wrapper<art::Assns<rb::Track, caldp::PCHit, void> >;

template class std::vector<caldp::TCTrack>;
template class art::Ptr<caldp::TCTrack>;
template class std::vector<art::Ptr<caldp::TCTrack> >;
template class art::Wrapper< std::vector<caldp::TCTrack> >;
template class art::Assns<caldp::TCTrack, rb::Track,  void>;
template class art::Assns<rb::Track, caldp::TCTrack,  void>;
template class art::Wrapper<art::Assns<caldp::TCTrack, rb::Track,  void> >;
template class art::Wrapper<art::Assns<rb::Track, caldp::TCTrack, void> >;

template class std::vector<caldp::DCMStat>;
template class std::vector<caldp::DCMTime>;
template class art::Ptr<caldp::DCMStat>;
template class std::vector<art::Ptr<caldp::DCMStat> >;
template class art::Wrapper<std::vector<caldp::DCMStat> >;
template class art::Assns<caldp::DCMStat, rb::Track, void>;
template class art::Assns<rb::Track, caldp::DCMStat, void>;
template class art::Wrapper<art::Assns<caldp::DCMStat, rb::Track, void> >;
template class art::Wrapper<art::Assns<rb::Track, caldp::DCMStat, void> >;

template class std::vector<caldp::DCMSummary>;
template class std::vector<std::vector<float> >;
template class art::Wrapper<caldp::DCMSummary>;
template class art::Ptr<caldp::DCMSummary>;
template class std::vector<art::Ptr<caldp::DCMSummary> >;
template class art::Wrapper<std::vector<caldp::DCMSummary> >;

template class std::vector<caldp::DCMOffset>;
template class art::Wrapper<std::vector<caldp::DCMOffset> >;

template class std::pair<geo::OfflineChan,caldp::AttenHists>;

template class std::map<geo::OfflineChan, caldp::AttenHists>;
template class art::Ptr<caldp::AttenHists>;
template class art::Wrapper<caldp::AttenHists>;
template class art::Ptr<std::map<geo::OfflineChan, caldp::AttenHists> >;
template class art::Wrapper<std::map<geo::OfflineChan, caldp::AttenHists> >;
template class art::Wrapper<caldp::AttenHistsMap>;

template class art::Ptr<caldp::LiteProfile>;
template class art::Wrapper<caldp::LiteProfile>;

template class std::pair<geo::OfflineChan,caldp::AttenProfiles>;

template class std::map<geo::OfflineChan, caldp::AttenProfiles>;
template class art::Ptr<caldp::AttenProfiles>;
template class art::Wrapper<caldp::AttenProfiles>;
template class art::Ptr<std::map<geo::OfflineChan, caldp::AttenProfiles> >;
template class art::Wrapper<std::map<geo::OfflineChan, caldp::AttenProfiles> >;
template class art::Wrapper<caldp::AttenProfilesMap>;

template class std::vector<caldp::DriftResponse>;
template class art::Ptr<caldp::DriftResponse>;
template class std::vector<art::Ptr<caldp::DriftResponse> >;
template class art::Wrapper<std::vector<caldp::DriftResponse> >;
template class std::map<int,caldp::MeanStruct>;
template class art::Wrapper<std::map<int,caldp::MeanStruct> >;
