#include <iostream>
#include <iomanip>
#include <vector>
#include "NovaDatabase/Table.h"

using namespace nova::database;
using namespace std;

int main(int argc, char *argv[])
{

  if (argc != 2) {
    cout << "Usage: testBadChanThresh [run]" << endl;
    exit(1);    
  }
  
  int runNum = atoi(argv[1]);
  
  nova::database::Table table2("/ChannelInfo/BadChanThresh.xml");
  table2.SetDetector("NDOS");
  table2.SetValidityRange("detector", "NDOS");
  std::ostringstream vldStr;
  vldStr << runNum << "<=max_run and " << runNum << ">min_run";
  table2.SetValiditySQL(vldStr.str());
  std::cerr << " READING BAD CHANNELS THRESHOLDS from the Data Base" << std::endl;
  table2.LoadFromDB();
  if(table2.NRow() != 1) {
    std::cerr << "No thresholds found, will fall back to fhicl or "
	      << "previous settings." << std::endl;
  }
  else {
    float hot_thresh, cold_thresh;
    bool ok = table2.GetRow(0)->Col("hot_thresh")->Get(hot_thresh);
    ok &= table2.GetRow(0)->Col("cold_thresh")->Get(cold_thresh);
    if (!ok) {
      std::cerr << "Problem reading thresholds, will fall back to "
		<< "fhicl or previous settings." << std::endl;
    }
    else {
      std::cout << "hot_thresh = " << hot_thresh << std::endl;
      std::cout << "cold_thresh = " << cold_thresh << std::endl;
    }
  }
    
  return 0;
}
