#include "CosRej/CosRejObj.h"

namespace cosrej
{
  //---------------------------------------------------------
  CosRejObj::CosRejObj():
     fAngleKal    (-5.0)
    ,fAngleCos    (-5.0)
    ,fConCosPID  (-5.0)
    ,fOldCosPID   (-5.0)
    ,fPreCosPID   (-5.0)
    ,fPostCosPID  (-5.0)
    ,fUnconCosPID (-5.0)
    ,fNTracks3D   (-5)
    ,fKFitSpeed   (-5.0)
    ,fCFitSpeed   (-5.0)
    ,fKDirScore   (-5.0)
    ,fCDirScore   (-5.0)
    ,fKScoreDiff  (-5.0)
    ,fCScoreDiff  (-5.0)
    ,fKalSlope    (-5.0)
    ,fKalChisq    (-5.0)
    ,fCosSlope    (-5.0)
    ,fCosChisq    (-5.0)
    ,fCosFwdDist  (-5.0)
    ,fCosFwdAir   (-5.0)
    ,fCosFwdSteel (-5.0)
    ,fCosBakDist  (-5.0)
    ,fCosFwdCell  (-5)
    ,fCosFwdCellND(-5)
    ,fCosBakCell  (-5)
    ,fCosBakCellND(-5)
    ,fCosBakAir   (-5.0)
    ,fCosBakSteel (-5.0)
    ,fKalFwdDist  (-5.0)
    ,fKalBakDist  (-5.0)
    ,fKalFwdCell  (-5)
    ,fKalFwdCellND(-5)
    ,fKalBakCell  (-5)
    ,fKalBakCellND(-5)
    ,fKalFwdAir   (-5.0)
    ,fKalFwdSteel (-5.0)
    ,fKalBakAir   (-5.0)
    ,fKalBakSteel (-5.0)
    ,fCosYPosAtTrans (-5.0)
    ,fKalYPosAtTrans (-5.0)
    ,fMinDist     (999999.0)
    ,fMinCell     (999999)
    ,fNHadTracks  (-5)
    ,fERatio      (-5.0)
    ,fScatt       (-5.0)
    ,fStartAct    (-5.0)
    ,fCosThetaTrue(-5.0)
    ,fKalThetaTrue(-5.0)
    ,fPDGBest     (-5)
    ,fKalChiDiff  (-5.0)
    ,fCosChiDiff  (-5.0)
    ,fVtxDist     (-5.0)
    ,fEndDist     (-5.0)
    ,fFScattMax   (-5.0)
    ,fFScattSum   (-5.0)
    ,fFScattExt   (-5.0)
    ,fFScattSig   (-5.0)
    ,fCosHitRatio (-5.0)
  {
  }

  //---------------------------------------------------------
  CosRejObj::~CosRejObj()
  {
  }

  //---------------------------------------------------------
  void CosRejObj::SetAngleKal(float anglek)
  {
    fAngleKal = anglek;
  }

  //---------------------------------------------------------
  void CosRejObj::SetAngleCos(float anglec)
  {
    fAngleCos = anglec;
  }

  //---------------------------------------------------------
  void CosRejObj::SetConCosPID(float concospid)
  {
    fConCosPID = concospid;
  }

  //---------------------------------------------------------
  void CosRejObj::SetOldCosPID(float oldcospid)
  {
    fOldCosPID = oldcospid;
  }

  //---------------------------------------------------------
  void CosRejObj::SetPreCosPID(float precospid)
  {
    fPreCosPID = precospid;
  }

  //---------------------------------------------------------
  void CosRejObj::SetPostCosPID(float postcospid)
  {
    fPostCosPID = postcospid;
  }

  //---------------------------------------------------------
  void CosRejObj::SetUnconCosPID(float unconcospid)
  {
    fUnconCosPID = unconcospid;
  }

  //---------------------------------------------------------
  void CosRejObj::SetNTracks3D(int ntracks3d)
  {
    fNTracks3D = ntracks3d;
  }

  //---------------------------------------------------------
  void CosRejObj::SetNHadTracks(int nhadtracks)
  {
    fNHadTracks = nhadtracks;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKFitSpeed(float kfitspeed)
  {
    fKFitSpeed = kfitspeed;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCFitSpeed(float cfitspeed)
  {
    fCFitSpeed = cfitspeed;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKDirScore(float kdirscore)
  {
    fKDirScore = kdirscore;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCDirScore(float cdirscore)
  {
    fCDirScore = cdirscore;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKScoreDiff(float kscorediff)
  {
    fKScoreDiff = kscorediff;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCScoreDiff(float cscorediff)
  {
    fCScoreDiff = cscorediff;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalSlope(float kalslope)
  {
    fKalSlope = kalslope;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalChisq(float kalchisq)
  {
    fKalChisq = kalchisq;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosSlope(float cosslope)
  {
    fCosSlope = cosslope;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosChisq(float coschisq)
  {
    fCosChisq = coschisq;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosFwdDist(float cfdist)
  {
    fCosFwdDist = cfdist;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosFwdAir(float cfair)
  {
    fCosFwdAir = cfair;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosFwdSteel(float cfsteel)
  {
    fCosFwdSteel = cfsteel;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosBakDist(float cbdist)
  {
    fCosBakDist = cbdist;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosBakAir(float cbair)
  {
    fCosBakAir = cbair;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosBakSteel(float cbsteel)
  {
    fCosBakSteel = cbsteel;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalFwdDist(float kfdist)
  {
    fKalFwdDist = kfdist;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalFwdAir(float kfair)
  {
    fKalFwdAir = kfair;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalFwdSteel(float kfsteel)
  {
    fKalFwdSteel = kfsteel;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalBakDist(float kbdist)
  {
    fKalBakDist = kbdist;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalBakAir(float kbair)
  {
    fKalBakAir = kbair;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalBakSteel(float kbsteel)
  {
    fKalBakSteel = kbsteel;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosFwdCell(int cfcell)
  {
    fCosFwdCell = cfcell;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosFwdCellND(int cfcellnd)
  {
    fCosFwdCellND = cfcellnd;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosBakCell(int cbcell)
  {
    fCosBakCell = cbcell;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosBakCellND(int cbcellnd)
  {
    fCosBakCellND = cbcellnd;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalFwdCell(int kfcell)
  {
    fKalFwdCell = kfcell;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalFwdCellND(int kfcellnd)
  {
    fKalFwdCellND = kfcellnd;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalBakCell(int kbcell)
  {
    fKalBakCell = kbcell;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalBakCellND(int kbcellnd)
  {
    fKalBakCellND = kbcellnd;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosYPosAtTrans(float cosytrans)
  {
    fCosYPosAtTrans = cosytrans;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalYPosAtTrans(float kalytrans)
  {
    fKalYPosAtTrans = kalytrans;
  }

  //---------------------------------------------------------
  void CosRejObj::SetMinDist(float mindist)
  {
    fMinDist = mindist;
  }

  //---------------------------------------------------------
  void CosRejObj::SetMinCell(int mincell)
  {
    fMinCell = mincell;
  }

  //---------------------------------------------------------
  void CosRejObj::SetERatio(float eratio)
  {
    fERatio = eratio;
  }

  //---------------------------------------------------------
  void CosRejObj::SetScatt(float scatt)
  {
    fScatt = scatt;
  }

  //---------------------------------------------------------
  void CosRejObj::SetStartAct(float startact)
  {
    fStartAct = startact;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosThetaTrue(float cosqtrue)
  {
    fCosThetaTrue = cosqtrue;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalThetaTrue(float kalqtrue)
  {
    fKalThetaTrue = kalqtrue;
  }

  //---------------------------------------------------------
  void CosRejObj::SetPDGBest(int pdgbest)
  {
    fPDGBest = pdgbest;
  }

  //---------------------------------------------------------
  void CosRejObj::SetKalChiDiff(float kalchidiff)
  {
    fKalChiDiff = kalchidiff;
  }

  //---------------------------------------------------------
  void CosRejObj::SetCosChiDiff(float coschidiff)
  {
    fCosChiDiff = coschidiff;
  }

  //---------------------------------------------------------
  void CosRejObj::SetVtxDist(float vtxdist)
  {
    fVtxDist = vtxdist;
  }

  //---------------------------------------------------------
  void CosRejObj::SetEndDist(float enddist)
  {
    fEndDist = enddist;
  }

  //---------------------------------------------------------
  void CosRejObj::SetFScattMax(float fscattmax)
  {
    fFScattMax = fscattmax;
  }

  //---------------------------------------------------------
  void CosRejObj::SetFScattSum(float fscattsum)
  {
    fFScattSum = fscattsum;
  }

  //---------------------------------------------------------
  void CosRejObj::SetFScattExt(float fscattext)
  {
    fFScattExt = fscattext;
  }

  //---------------------------------------------------------
  void CosRejObj::SetFScattSig(float fscattsig)
  {
    fFScattSig = fscattsig;
  }

  //---------------------------------------------------------

  void CosRejObj::SetCosHitRatio(float ratio)
  {
    fCosHitRatio = ratio;
  }

  //---------------------------------------------------------
  float CosRejObj::AngleKal() const
  {
    return fAngleKal;
  }

  //---------------------------------------------------------
  float CosRejObj::AngleCos() const
  {
    return fAngleCos;
  }

  //---------------------------------------------------------
  float CosRejObj::ConCosPID() const
  {
    return fConCosPID;
  }

  //---------------------------------------------------------
  float CosRejObj::OldCosPID() const
  {
    return fOldCosPID;
  }

  //---------------------------------------------------------
  float CosRejObj::PreCosPID() const
  {
    return fPreCosPID;
  }

  //---------------------------------------------------------
  float CosRejObj::PostCosPID() const
  {
    return fPostCosPID;
  }

  //---------------------------------------------------------
  float CosRejObj::UnconCosPID() const
  {
    return fUnconCosPID;
  }

  //---------------------------------------------------------
  int CosRejObj::NTracks3D() const
  {
    return fNTracks3D;
  }

  //---------------------------------------------------------
  float CosRejObj::KFitSpeed() const
  {
    return fKFitSpeed;
  }

  //---------------------------------------------------------
  float CosRejObj::CFitSpeed() const
  {
    return fCFitSpeed;
  }

  //---------------------------------------------------------
  float CosRejObj::KDirScore() const
  {
    return fKDirScore;
  }

  //---------------------------------------------------------
  float CosRejObj::CDirScore() const
  {
    return fCDirScore;
  }

  //---------------------------------------------------------
  float CosRejObj::KScoreDiff() const
  {
    return fKScoreDiff;
  }

  //---------------------------------------------------------
  float CosRejObj::CScoreDiff() const
  {
    return fCScoreDiff;
  }

  //---------------------------------------------------------
  int CosRejObj::NHadTracks() const
  {
    return fNHadTracks;
  }

  //---------------------------------------------------------
  float CosRejObj::KalSlope() const
  {
    return fKalSlope;
  }

  //---------------------------------------------------------
  float CosRejObj::KalChisq() const
  {
    return fKalChisq;
  }

  //---------------------------------------------------------
  float CosRejObj::CosSlope() const
  {
    return fCosSlope;
  }

  //---------------------------------------------------------
  float CosRejObj::CosChisq() const
  {
    return fCosChisq;
  }

  //---------------------------------------------------------
  float CosRejObj::CosFwdDist() const
  {
    return fCosFwdDist;
  }

  //---------------------------------------------------------
  float CosRejObj::CosFwdAir() const
  {
    return fCosFwdAir;
  }

  //---------------------------------------------------------
  float CosRejObj::CosFwdSteel() const
  {
    return fCosFwdSteel;
  }

  //---------------------------------------------------------
  float CosRejObj::CosBakDist() const
  {
    return fCosBakDist;
  }

  //---------------------------------------------------------
  float CosRejObj::CosBakAir() const
  {
    return fCosBakAir;
  }

  //---------------------------------------------------------
  float CosRejObj::CosBakSteel() const
  {
    return fCosBakSteel;
  }

  //---------------------------------------------------------
  float CosRejObj::KalFwdDist() const
  {
    return fKalFwdDist;
  }

  //---------------------------------------------------------
  float CosRejObj::KalFwdAir() const
  {
    return fKalFwdAir;
  }

  //---------------------------------------------------------
  float CosRejObj::KalFwdSteel() const
  {
    return fKalFwdSteel;
  }

  //---------------------------------------------------------
  float CosRejObj::KalBakDist() const
  {
    return fKalBakDist;
  }

  //---------------------------------------------------------
  float CosRejObj::KalBakAir() const
  {
    return fKalBakAir;
  }

  //---------------------------------------------------------
  float CosRejObj::KalBakSteel() const
  {
    return fKalBakSteel;
  }

  //---------------------------------------------------------
  int CosRejObj::CosFwdCell() const
  {
    return fCosFwdCell;
  }

  //---------------------------------------------------------
  int CosRejObj::CosFwdCellND() const
  {
    return fCosFwdCellND;
  }

  //---------------------------------------------------------
  int CosRejObj::CosBakCell() const
  {
    return fCosBakCell;
  }

  //---------------------------------------------------------
  int CosRejObj::CosBakCellND() const
  {
    return fCosBakCellND;
  }

  //---------------------------------------------------------
  int CosRejObj::KalFwdCell() const
  {
    return fKalFwdCell;
  }

  //---------------------------------------------------------
  int CosRejObj::KalFwdCellND() const
  {
    return fKalFwdCellND;
  }

  //---------------------------------------------------------
  int CosRejObj::KalBakCell() const
  {
    return fKalBakCell;
  }

  //---------------------------------------------------------
  int CosRejObj::KalBakCellND() const
  {
    return fKalBakCellND;
  }

  //---------------------------------------------------------
  float CosRejObj::CosYPosAtTrans() const
  {
    return fCosYPosAtTrans;
  }

  //---------------------------------------------------------
  float CosRejObj::KalYPosAtTrans() const
  {
    return fKalYPosAtTrans;
  }

  //---------------------------------------------------------
  int CosRejObj::MinCell() const
  {
    return fMinCell;
  }

  //---------------------------------------------------------
  float CosRejObj::MinDist() const
  {
    return fMinDist;
  }

  //---------------------------------------------------------
  float CosRejObj::ERatio() const
  {
    return fERatio;
  }

  //---------------------------------------------------------
  float CosRejObj::Scatt() const
  {
    return fScatt;
  }

  //---------------------------------------------------------
  float CosRejObj::StartAct() const
  {
    return fStartAct;
  }

  //---------------------------------------------------------
  float CosRejObj::EndAct() const
  {
    return fEndAct;
  }

  //---------------------------------------------------------
  float CosRejObj::CosThetaTrue() const
  {
    return fCosThetaTrue;
  }

  //---------------------------------------------------------
  float CosRejObj::KalThetaTrue() const
  {
    return fKalThetaTrue;
  }

  //---------------------------------------------------------
  int CosRejObj::PDGBest() const
  {
    return fPDGBest;
  }


  //---------------------------------------------------------
  float CosRejObj::KalChiDiff() const
  {
    return fKalChiDiff;
  }

  //---------------------------------------------------------
  float CosRejObj::CosChiDiff() const
  {
    return fCosChiDiff;
  }

  //---------------------------------------------------------
  float CosRejObj::VtxDist() const
  {
    return fVtxDist;
  }

  //---------------------------------------------------------
  float CosRejObj::EndDist() const
  {
    return fEndDist;
  }

  //---------------------------------------------------------
  float CosRejObj::FScattMax() const
  {
    return fFScattMax;
  }

  //---------------------------------------------------------
  float CosRejObj::FScattSum() const
  {
    return fFScattSum;
  }

  //---------------------------------------------------------
  float CosRejObj::FScattExt() const
  {
    return fFScattExt;
  }

  //---------------------------------------------------------
  float CosRejObj::FScattSig() const
  {
    return fFScattSig;
  }

  float CosRejObj::CosHitRatio() const
  {
    return fCosHitRatio;
  }

}
