#!/bin/bash

umask 022 #Ensure that files are user and group writable by default

#Read arguments
args=("$@")


REL=${args[0]} #first argument should be a software version
export PATH=$PATH:/nova/app/users/janow/scripts/ #novaart_jobsub 

NDAYS=${args[1]}

#Set software and condor 
source /grid/fermiapp/nova/novaart/novasoft/releases/development/setup/setup_novasoft_ifcluster.sh -r $REL
source /grid/fermiapp/nova/condor-scripts/setup_nova_condor.sh


export SCRIPTDIR=$CONDOR_EXEC
export RAWFILES=/nova/data/novaroot/NDOS/RAWFILES #contails links to files. Links are created after the transfer was succesful.  
export CONDORDIR=${CONDOR_TMP}/output/${SRT_BASE_RELEASE} # root files temporary  directory. 

export OUTPUTDIR=/nova/data/novaroot/NDOS/${SRT_BASE_RELEASE}/ALL
mkdir -p $CONDORDIR/log

echo $RAWFILES
echo $REL
echo $SRT_BASE_RELEASE




for FILE in $( find $RAWFILES -name 'ndos_r0001*t*raw' -mtime $NDAYS |sort -r )
  do 

export FILE=`basename $FILE`
export run=${FILE:6:8}
export smallrun=${FILE:9:5}
export stream=${FILE:20:2}

 
export nextrun=$[smallrun+1]
export nextnextrun=$[smallrun+2]

#echo $run $smallrun


export OUTFILE=${FILE}-${SRT_BASE_RELEASE}.root

#echo $OUTFILE
 


if [ -e $CONDORDIR/$OUTFILE ]; then
continue
fi

if [ -e  /nova/data/novaroot/NDOS/${SRT_BASE_RELEASE}/ALL/$OUTFILE ]; then
continue
fi

export FILESIZE=$(stat -L -c%s "$RAWFILES/$FILE")
if [ $FILESIZE -le 1024 ]; then
continue
fi


export nextrun_status=0
if [ -e $RAWFILES/ndos_r000${nextrun}_s00.raw ];then
nextrun_status=1
fi


export nextnextrun_status=0
if [ -e $RAWFILES/ndos_r000${nextnextrun}_s00.raw ];then
nextnextrun_status=1
fi



#if [ $nextrun_status -eq 0 ]; then
#continue
#fi


export SCRIPTNAME=$SCRIPTDIR/$OUTFILE-reco.sh
if [  -e $SCRIPTNAME ]; then
rm $SCRIPTNAME
fi

echo "Processing $run"

echo "#!/bin/bash"					>> $SCRIPTNAME
echo " "  						>> $SCRIPTNAME
echo "umask 022"					>> $SCRIPTNAME
echo " " 						>> $SCRIPTNAME
echo "source /grid/fermiapp/nova/novaart/novasoft/releases/development/setup/setup_novasoft_ifcluster.sh -r $SRT_BASE_RELEASE" >> $SCRIPTNAME
echo "export DISPLAY=localhost0.0 " 			>> $SCRIPTNAME
#echo "$UPS_DIR/bin/ups setup art v0_4_3 -qa1" >>  $SCRIPTNAME
#echo "cd /nova/app/users/janow/scripts/Data${SRT_BASE_RELEASE}"  >> $SCRIPTNAME
#echo ". `srt_environment -X \"-a\"` " >> $SCRIPTNAME
 
echo "if [ -e $CONDORDIR/$OUTFILE ];then" >> $SCRIPTNAME
echo "continue">> $SCRIPTNAME
echo "fi">> $SCRIPTNAME
echo "if [ -e $OUTPUTDIR/$OUTFILE ];then">> $SCRIPTNAME
echo "continue">> $SCRIPTNAME
echo "fi">> $SCRIPTNAME

echo "nova -c rawtorootconvert.fcl -s $RAWFILES/$FILE -o $CONDORDIR/$OUTFILE -T $CONDORDIR/log/$OUTFILE-histograms.root    >> $CONDORDIR/log/${OUTFILE}.log 2>&1"           >> $SCRIPTNAME

echo "chmod a+rwx $CONDORDIR/$OUTFILE $CONDORDIR/log/$OUTFILE-histograms.root $CONDORDIR/log/${OUTFILE}.log" >> $SCRIPTNAME



chmod a+x $SCRIPTNAME

export curr=$PWD
cd $SCRIPTDIR
novaart_jobsub   -q -T   $SCRIPTNAME
#sh -x $SCRIPTNAME
cd $curr

#exit




done





