#!/bin/bash
# Goal of the script is to copy files from the condor-temp to 
#/nova/data/novaroot/NDOS/$REL
#Should be run as a novadata from gpcf029
#author: nowak@physics.umn.edu

#Read arguments
args=("$@")

REL=${args[0]} #first argument should be a software version
#export REL=development  #only development for the time being

#export REL=S11.03.03

export condordir=/nova/data/condor-tmp/janow/output/$REL
export destination=/nova/data/novaroot/NDOS/$REL

mkdir -p $destination/ALL
mkdir -p $destination/log

for file in $(find  $condordir -maxdepth 1 -name 'ndos_r000*.root'  -mmin +10  )
do


export file=`basename $file`
export rawfile=${file:0:26}

ls /nova/data/novaraw/NDOS/*/$rawfile 

export raw=`ls /nova/data/novaraw/NDOS/*/${rawfile}`
export adate=${raw:24:10}

mkdir -p  $destination/$adate

/grid/fermiapp/minos/scripts/cpn -v $condordir/$file $destination/$adate
ln -s $destination/${adate}/${file}  $destination/ALL/

rm -vf $condordir/$file
done 



exit

for file in $(find  /nova/data/condor-tmp/janow/output/log -maxdepth 1 -name 'ndos*log' -mmin +15)
do
/grid/fermiapp/minos/scripts/cpn -v $file /nova/data/novaroot/NDOS/ART-DEV/log
rm -vf $file
done




#for file in $(find  /nova/data/condor-tmp/janow/reco/ -maxdepth 1 -name 'cana*root' -mmin +15 )
#do
#/grid/fermiapp/minos/scripts/cpn -v $file /nova/data/novareco/NDOS/ART-DEV/
#rm -vf $file
#done


#for file in $(find  /nova/data/condor-tmp/janow/reco/log -maxdepth 1 -name 'cana*log' -mmin +15)
#do
#/grid/fermiapp/minos/scripts/cpn -v $file /nova/data/novareco/NDOS/ART-DEV/log
#rm -vf $file
#done



#for file in $(find  /nova/data/condor-tmp/janow/ -maxdepth 1 -name 'ndos*' -mmin +360 )
#do
#/grid/fermiapp/minos/scripts/cpn -v  $file /nova/data/novaroot/NDOS/ART-DEV/log
#rm -vf $file
#done


#exit
#for file in $(find  /nova/data/condor-\exec/janow/ -maxdepth 1 -name 'ndos*' -mmin +360 )
#do
#/grid/fermiapp/minos/scripts/cpn -v $file /nova/data/novaroot/NDOS/ART-DEV/log
#rm -vf $file
#done


#Channel maps files


#for file in $(find  /nova/data/condor-tmp/janow/badchannel -maxdepth 1 -name '*root' -mmin +360 )
#do
#/grid/fermiapp/minos/scripts/cpn -v $file /nova/data/novaroot/NDOS/ART-DEV/ChannelMaps/
#rm -vf $file
#done


#for file in $(find  /nova/data/condor-tmp/janow/badchannel -maxdepth 1 -name '*badchannel*' -mmin +360 )
#do
#/grid/fermiapp/minos/scripts/cpn -v $file /nova/data/novaroot/NDOS/ART-DEV/ChannelMaps/
#rm -vf $file
#done



#for file in $(find  /nova/data/condor-\exec/janow/ -maxdepth 1 -name '*badchannel*' -mmin +360 )
#do
#/grid/fermiapp/minos/scripts/cpn -v $file /nova/data/novaroot/NDOS/ART-DEV/ChannelMaps/
#rm -vf $file
#done







