#include "DDTTools/DDTExtensions.h"

#include <iostream>



bool novaddt::operator== 
(novaddt::TriggerDecision const& lhs, novaddt::TriggerDecision const& rhs)
{
  if (lhs.start() != rhs.start())
  {
    std::cout << "MF: The trigger decision start times do not agree!"
	      << "\nMF:  lhs = " << lhs.start()
	      << "\nMF:  rhs = " << rhs.start()
	      << "\nMF:  delta = " << lhs.start() - rhs.start()
	      << std::endl;

    return false;
  }

  if (lhs.duration() != rhs.duration())
  {
    std::cout << "MF: The trigger decision duration times do not agree!"
	      << "\nMF:  lhs = " << lhs.duration()
	      << "\nMF:  rhs = " << rhs.duration()
	      << "\nMF:  delta = " << lhs.duration() - rhs.duration()
	      << std::endl;
    
    return false;
  }
  
  return true;
}



bool novaddt::is_subset_of
(novaddt::TriggerDecision const& subset, novaddt::TriggerDecision const& set)
{
  if (subset.start() < set.start())
  {
    std::cout << "MF: The trigger decision is not a subset!"
	      << "\nMF:  subset start = " << subset.start()
	      << "\nMF:     set start = " << set.start()
	      << std::endl;

    return false;
  }

  auto subset_end = subset.start() + subset.duration();
  auto set_end = set.start() + set.duration();

  if (subset_end > set_end)
  {
    std::cout << "MF: The trigger decision is not a subset!"
	      << "\nMF:  subset end = " << subset_end
	      << "\nMF:     set end = " << set_end
	      << std::endl;

    return false;
  }

  return true;
}
