#ifndef OFFLINE_DDT_HELPERS_HH
#define OFFLINE_DDT_HELPERS_HH

#include "art/Persistency/Common/Ptr.h"

#include "DDTBaseDataProducts/BaseProducts.h"
#include "DDTBaseDataProducts/DAQHit.h"
#include "DDTBaseDataProducts/TriggerDecision.h"

#include "RawData/RawDigit.h"
#include "RecoBase/CellHit.h"
#include "RecoBase/Cluster.h"

#include <vector>

//using unsigned long long rather than uint64_t to ensure consistent behavior on OSX and LINUX

namespace ddthelpers
{
  rb::Cluster
  cluster_hits(std::vector<art::Ptr<rb::CellHit> > const& hits,
	       int32_t t_start, int32_t t_end, int16_t adc_cut = 0);

  bool is_equal
  (novaddt::DAQHit const& ddthit, art::Ptr<rb::CellHit> const& cellhit,
   novaddt::TDC const& event_time);
  bool is_equal
  (novaddt::DAQHit const& ddthit, rawdata::RawDigit const& digit,
   novaddt::TDC const& event_time);
  bool is_equal
  (novaddt::DAQHit const& lhs, novaddt::DAQHit const& rhs);

  void print(novaddt::DAQHit const& h, unsigned long long const& event_time = 0);
  void print(art::Ptr<rb::CellHit> const& h);
  void print(rawdata::RawDigit const& h);
  void print(std::vector<novaddt::TriggerDecision> const& decisions);

}


#endif
