#ifdef NOVACMAKE
#include <Database/cxx/include/ColumnDef.h>
#include <Database/cxx/include/Database.h>
#else
#include <Database/ColumnDef.h>
#include <Database/Database.h>
#endif
using namespace std;

//************************************************************
namespace nova {
  namespace dbi {
    ColumnDef::ColumnDef(std::string cname, std::string ctype) :
      fCanBeNull(true),fTolerance(0.),fType(ctype),fName(cname),fValue("")
    {

    }
    
    //************************************************************
    
    ColumnDef::ColumnDef(const dBColumn_t& c) : fCanBeNull(true),
						fTolerance(0.)
    {
      fType = "string";
      fName = c.getName();
      fValue = "";
      if (c.hasColType()) 
	fType = c.getColType();
      if (c.hasValue())
	fValue = c.getValue();
      if (c.hasTolerance())
	fTolerance = c.getTolerance();
    }
    
    //************************************************************

    ColumnDef::~ColumnDef()
    {
      
    }
    
  }
}
