#include <fstream>
#include <sstream>
#include <sys/stat.h>
#include <cstdlib>
#include <cctype>
#include <string>

#ifdef NOVACMAKE
#include <Database/cxx/include/Row.h>
#else
#include <Database/Row.h>
#endif

namespace nova {
  
  namespace dbi {

    //************************************************************
    /*
    Row::Row(const std::vector<Column>& col, const dBRow_t& row) : 
      dBRow_t(row), fInDB(false), fIsVldRow(false), fNModified(0),
      fChannel(0xffffffff),fVldTime(0),fVldTimeEnd(0)
    {
      for (unsigned int i=0; i<col.size(); ++i) {
	fCol.push_back(Column(col[i]));
      }
      
      for (unsigned int i=0; i<this->getDBColCount(); ++i) {
	this->Set(i,std::string(this->getDBCol(i).getValue()));
      }
      
    }
    */
    //************************************************************
    
    Row::Row(const std::vector<Column>& col) : 
      fInDB(false), fIsVldRow(false), fNModified(0),
      fChannel(0xffffffff),fVldTime(0),fVldTimeEnd(0)      
    {
      for (unsigned int i=0; i<col.size(); ++i) {
	fCol.push_back(Column(col[i]));
      }
    }
    
    //************************************************************
    
    Row::Row(std::vector<ColumnDef>& col) : 
      fInDB(false), fIsVldRow(false), fNModified(0),
      fChannel(0xffffffff),fVldTime(0),fVldTimeEnd(0) 
    {
      for (unsigned int i=0; i<col.size(); ++i)
	fCol.push_back(Column(col[i]));
    }

    //************************************************************
    
    Row::~Row()
    {
      
    }
    
    //************************************************************
    /*
    int Row::FindColumn(std::string name) const
    {
      for(unsigned int i = 0; i < name.length(); ++i)
	name[i] = std::tolower(name[i]);
      
      for(unsigned int i = 0; i < fCol.size(); ++i){
	if(fCol[i].Name() == name)
	  return i;
      }
      
      return -1;
    }
    */

    //************************************************************
    /*
    Column* Row::Col(std::string name)
    {
      int idx = FindColumn(name);
      if(idx == -1) return 0;
      return &Col(idx);
    }
    */
    
    //************************************************************
    void Row::Clear()
    {
      for (unsigned int i=0; i<fCol.size(); ++i) 
	fCol[i].Clear();
      
    }
  }
}
    
    
