#include <string>
#include <iostream>

#include "TDirectory.h"
#include "TPaveStats.h"
#include "TCanvas.h"
#include "TH1.h"

void LoopPixels(std::string, std::string="", bool=true , unsigned int=0, unsigned int=31);

void LoopPixels(std::string pref, std::string suff, bool diff, unsigned int pi, unsigned int pf)
{
  
  for (unsigned int ip=pi; ip<=pf; ip++) {
    std::string suffi;
    if ("" != suff) suffi=suff; else suffi="_All";

    TH1* h=(TH1*)gDirectory->Get(Form("%s%2.2d%s",pref.c_str(),ip,suffi.c_str()));
    if (h) h->Draw(); else continue;
    
    // do overlay
    if ("" == suff) {
      TPaveStats *st = (TPaveStats*)gPad->GetPrimitive("stats");
      if (st) {
	float newx1=.8;
	float newx2=.9;
	float newy1=.6;
	float newy2=.75;
	st->SetName("newstats");
	st->SetX1NDC(newx1); //new x start position
	st->SetX2NDC(newx2); //new x end position
	st->SetY1NDC(newy1); //
	st->SetY2NDC(newy2); //
      }
      
      std::string suffo("_OnTracks");
      TH1* ho=(TH1*)gDirectory->Get(Form("%s%2.2d%s",pref.c_str(),ip,suffo.c_str()));
      if (diff) {
	TH1* hdiff=(TH1*)h->Clone(Form("%s_NoTrack",h->GetName()));
	hdiff->Add(ho,-1);
	hdiff->Draw();
      }
      ho->Draw("sames");
      ho->SetLineColor(kRed);
      
    }
    
    gPad->Update();
    std::cout<<"Hit <Enter> to continue, 'q' to quit, 'b' for Back"<<std::endl;
    std::string dummy;
    std::getline(std::cin,dummy);
    if (dummy == "q" || dummy == "Q") break;
    else if ( dummy == "b" || dummy == "B")  ip-=2;
  }
   
}

