#ifndef RAWFEBPLOTS_H
#define RAWFEBPLOTS_H

#include <string>

#include "art/Framework/Core/EDAnalyzer.h"

class TH1F;
class TH1D;
class TH1I;

namespace dprf {
  
  class RawFebPlots 
  {
    
  public:
    
    RawFebPlots(std::string, std::string, bool, fhicl::ParameterSet const &);
    ~RawFebPlots(){};
    
    std::string fLabel; // a label good enough for histo names and titles
    std::string fSuffix; // a suffix to distinguish different stagest
    
    std::vector<unsigned int> hitsPerEvent;
    std::vector<TH1F*> hADC;
    std::vector<TH1F*> hADC_MZ;
    std::vector<TH1F*> hADC_Z;
    std::vector<TH1F*> hDigitsPerEvent;
    std::vector<TH1F*> hStats;//not clear I need this yet.
    void AddHit(float,unsigned int);
    void Reset();
    void FinishEvent();
    
    TH1D* hSumADC;
    TH1D* hSumADC2;
    TH1I* hSumHits;
    
  private:
    
    bool fDetailed;  // make detailed plots?
      
  };
  
}

#endif //RAWPLOTS_H
