////////////////////////////////////////////////////////////////////////
// \file    Channel.cxx
// \version $Id: Channel.cxx,v 1.7 2012-09-20 21:42:37 greenc Exp $
// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#include "DiscreteTracker/Channel.h"

namespace dt
{

  //......................................................................
  Channel::Channel(int plane, int cell)
    : OfflineChan(plane, cell), fType(kUnhit)
  {
  }

  //......................................................................
  void Channel::SetDead()
  {
    fType = kDead;
  }

  //......................................................................
  void Channel::SetHit(art::Ptr<rb::CellHit> chit)
  {
    fType = kHit;
    fHit = chit;
  }

  //......................................................................
  void Channel::MarkHitFound()
  {
    assert(fType == kHit);
    fType = kFound;
  }

  //......................................................................
  bool Channel::EverHit() const
  {
    return fType == kHit || fType == kFound;
  }

  //......................................................................
  Channel::Type_t Channel::Type() const
  {
    return fType;
  }

  //......................................................................
  art::Ptr<rb::CellHit> Channel::GetHit() const
  {
    assert(fType == kHit);
    return fHit;
  }
}
