////////////////////////////////////////////////////////////////////////
// Class:       SMMEff
// Module Type: analyzer
// File:        SMMEff_module.cc
//
// Generated at Thu Sep 28 15:31:46 2013 by Zukai Wang using artmod
// from art v1_02_06.
////////////////////////////////////////////////////////////////////////

#include "RecoBase/CellHit.h"
#include "Simulation/Particle.h"
#include "Simulation/ParticleNavigator.h"
#include "MCCheater/BackTracker.h"

#include "art/Framework/Core/EDAnalyzer.h"
#include "art/Framework/Core/ModuleMacros.h"
#include "art/Framework/Principal/Event.h"
#include "art/Framework/Principal/Handle.h"
#include "art/Framework/Services/Optional/TFileService.h"

#include <fstream>
#include <string>
#include <vector>


class TTree;

namespace ddt {
  class SMMEff;
  struct ZukHit;
  struct Zuk_CompareHit;
}

class ddt::SMMEff : public art::EDAnalyzer {
public:
  explicit SMMEff(fhicl::ParameterSet const & p);
  virtual ~SMMEff();

  void analyze(art::Event const & e) override;

private:
  std::string fCellHitInput;

  float beta;
  int nhits;

};


ddt::SMMEff::SMMEff(fhicl::ParameterSet const & p) :
  EDAnalyzer(p),
  fCellHitInput(p.get<std::string>("CellHitInput"))
{
}

ddt::SMMEff::~SMMEff()
{
}

void ddt::SMMEff::analyze(art::Event const & e)
{
  std::ofstream ofs;
  ofs.open ("SMM_MC.dat", std::ofstream::out | std::ofstream::app);
  art::ServiceHandle<cheat::BackTracker> bt;
  const sim::ParticleNavigator& pnav = bt->ParticleNavigator();
  for (sim::ParticleNavigator::const_iterator i = pnav.begin(); i != pnav.end(); ++i){
    const sim::Particle *p = (*i).second;
    if (p->PdgCode() == 42) {
      beta = sqrt((p->P())*(p->P())/((p->P())*(p->P())+ (p->Mass())*(p->Mass())) );
      const std::vector<sim::FLSHit>& flshits = bt->ParticleToFLSHit(p->TrackId());
      nhits = flshits.size();
      break;	
    }	
  }

  ofs<<beta<<"   "<<nhits<<std::endl;

  return;
}


DEFINE_ART_MODULE(ddt::SMMEff)
