///
/// \file    HardwarePad.h
/// \brief   Drawing pad showing hits by hardware address
/// \author  messier@indiana.edu
/// \version $Id: HardwarePad.h,v 1.1 2011-03-11 23:13:27 messier Exp $
///
#ifndef EVD_HARDWAREPAD_H
#define EVD_HARDWAREPAD_H
#include "EventDisplay/DrawingPad.h"
class TH2F;
namespace evdb { class View2D;   }

namespace evd {
  class RawDataDrawer;
  class RecoBaseDrawer;
  
  /// A drawing pad for an XZ or ZY
  class HardwarePad : public DrawingPad {
  public:
    HardwarePad(const char* nm, const char* ti,
		double x1, double y1,
		double x2, double y2,
		const char* opt);
    ~HardwarePad();
    void Draw(const char* opt=0);
    void Config(int detid);
  private:
    int           fDetId; ///< Which detector are we configured for?
    TH2F*         fHisto; ///< Histogram to draw object on
    evdb::View2D* fView;  ///< Collection of graphics objects to render
  };
}
#endif
////////////////////////////////////////////////////////////////////////
