//////////////////////////////////////////////////////////////////////////
/// \file    HeaderPad.cxx
/// \brief   Drawing pad for time or charge histograms
/// \version $Id: HeaderPad.cxx,v 1.4 2011-12-17 04:44:32 messier Exp $
/// \author  messier@indiana.edu
/////////////////////////////////////////////////////////////////////////
#include "TPad.h"
#include "TText.h"

#include "EventDisplay/HeaderDrawer.h"
#include "EventDisplay/HeaderPad.h"
#include "EventDisplayBase/View2D.h"

static const int kTPAD = 0;
static const int kQPAD = 1;
static const int kRAW   = 0;
static const int kCALIB = 1;
static const int kPE =  2;
static const int kTNS = 3;

namespace evd
{
  //......................................................................
  HeaderPad::HeaderPad(const char* nm, const char* ti,
		       double x1, double y1,
		       double x2, double y2,
		       const char* /*opt*/) :
    DrawingPad(nm, ti, x1, y1, x2, y2)
  { 
    fView = new evdb::View2D();
  }

  //......................................................................
  HeaderPad::~HeaderPad() 
  {
    if (fView!=0) { delete fView; fView = 0; }
  }

  //......................................................................
  void HeaderPad::Draw(const char* /* opt */) 
  {
    fView->Clear();

    this->HeaderDraw()->Header(fView);

    this->Pad()->Clear();
    this->Pad()->cd();

    fView->Draw();
  }

} // end namespace evd
//////////////////////////////////////////////////////////////////////////
