////////////////////////////////////////////////////////////////////////
/// \file  CellUniqueId.h
/// \brief Give every cell in the geometry a unique ID number based on
///        the TGeo path to the node
///
/// \version $Id: CellUniqueId.h,v 1.1 2012-08-21 23:10:42 bckhouse Exp $
/// \author messier@indiana.edu
////////////////////////////////////////////////////////////////////////
#ifndef GEO_CELLUNIQUEID_H
#define GEO_CELLUNIQUEID_H
#include <vector>
class TGeoNode;

namespace geo {
  typedef unsigned long long int CellUniqueId;

#ifndef __GCCXML__

  CellUniqueId NodesToUniqueId(const std::vector<const TGeoNode*>& n,
			       unsigned int depth);
  CellUniqueId PathToUniqueId(const char* path);
  CellUniqueId IdsToUniqueId(const std::vector<int>& ids);
  void         GetNodeNumbers(const char* nm, std::vector<int>& id);

#endif

};
#endif // GEO_CELLUNIQUEID_H


