#ifndef HMATRIXE_HMPID_H
#define HMATRIXE_HMPID_H

namespace hme
{
  class HMPid
  {
  public:
    HMPid();
    ~HMPid();
      
 #ifndef __GCCXML__

    void SetLongChi2(double lchi2);
    double LongChi2() const; // Longitudinal chi-squared
      
    void SetTransChi2(double tchi2);
    double TransChi2() const;  // Transverse chi-squared
    
    void SetCombChi2(double cchi2);
    double CombChi2() const; // Combined chi-squared

    void SetMIPHits(double miphits);
    double MIPHits() const; // no. hits in MIP peak

 #endif //  __GCCXML__

  protected:

    double fLongChi2; 
    double fTransChi2;
    double fCombChi2;
    double fMIPHits;
    
  };
} // end hme namespace

#endif // HMATRIXE_HMPID_H
