void multihough_production_validation() {

  // Define initial parameters:
  std::string det  = "FarDet";
  std::string rel1 = "S14-03-06";
  std::string rel2 = "FA14-10-03";
  std::string cat  = "genie_rhc_swap";
  char name[256];
  double max = 0.0;
  bool print = true;

  // Old MC
  // TFile *f1 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/fardet_cosmics_S14-03-06.sim.daq.reco.hist.root");
  TFile *f1 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/fardet_genie_rhc_swap_S14-03-06.sim.daq.reco.hist.root");
  gDirectory->cd("multihoughana");
  TTree *nt1 = (TTree*)gDirectory->Get("hough");
  nt1->SetMarkerStyle(2);


  // New MC
  // TFile *f2 = new TFile("/nova/ana/users/raddatz/FA14-10-03_Reco_Val/FA14-10-03_files/fd_cry.root");
  TFile *f2 = new TFile("/nova/ana/users/raddatz/FA14-10-03_Reco_Val/FA14-10-03_files/fd_genie_rhc_swap.root");
  gDirectory->cd("multihoughana");
  TTree *nt2 = (TTree*)gDirectory->Get("hough");
  nt2->SetMarkerStyle(2);


 


  TH1F *hNHLX_1 = new TH1F("hNHLX_1","Num HL x-view;# of lines;fraction",11,-0.5,10.5);
  TH1F *hNHLY_1 = new TH1F("hNHLY_1","Num HL y-view;# of lines;fraction",11,-0.5,10.5);
  TH1F *hNHLX_2 = new TH1F("hNHLX_2","Num HL x-view;# of lines;fraction",11,-0.5,10.5);
  TH1F *hNHLY_2 = new TH1F("hNHLY_2","Num HL y-view;# of lines;fraction",11,-0.5,10.5);

  TH1F *hTHX_1 = new TH1F("hTHX_1","Threshold value for Hough Space map (x-view);threshold (arbitrary units);fraction",100,0.0,5.0);
  TH1F *hTHY_1 = new TH1F("hTHY_1","Threshold value for Hough Space map (y-view);threshold (arbitrary units);fraction",100,0.0,5.0);
  TH1F *hTHX_2 = new TH1F("hTHX_2","Threshold value for Hough Space map (x-view);threshold (arbitrary units);fraction",100,0.0,5.0);
  TH1F *hTHY_2 = new TH1F("hTHY_2","Threshold value for Hough Space map (y-view);threshold (arbitrary units);fraction",100,0.0,5.0);

  TH1F *h1x_1 = new TH1F("h1x_1","rho1x; rho; fraction",200,-400.0,400.0);
  TH1F *h1y_1 = new TH1F("h1y_1","rho1y; rho; fraction",200,-400.0,400.0);  
  TH1F *h2x_1 = new TH1F("h2x_1","rho2x; rho; fraction",200,-400.0,400.0);
  TH1F *h2y_1 = new TH1F("h2y_1","rho2y; rho; fraction",200,-400.0,400.0);
  TH1F *h1x_2 = new TH1F("h1x_2","rho1x; rho; fraction",200,-400.0,400.0);
  TH1F *h1y_2 = new TH1F("h1y_2","rho1y; rho; fraction",200,-400.0,400.0);  
  TH1F *h2x_2 = new TH1F("h2x_2","rho2x; rho; fraction",200,-400.0,400.0);
  TH1F *h2y_2 = new TH1F("h2y_2","rho2y; rho; fraction",200,-400.0,400.0);

  TH1F *hT1x_1 = new TH1F("hT1x_1","#theta 1^{st} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2x_1 = new TH1F("hT2x_1","#theta 2^{nd} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT1y_1 = new TH1F("hT1y_1","#theta 1^{st} line y-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2y_1 = new TH1F("hT2y_1","#theta 2^{nd} line y-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT1x_2 = new TH1F("hT1x_2","#theta 1^{st} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2x_2 = new TH1F("hT2x_2","#theta 2^{nd} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT1y_2 = new TH1F("hT1y_2","#theta 1^{st} line y-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2y_2 = new TH1F("hT2y_2","#theta 2^{nd} line y-view;#theta [rad];fraction",40,0.0,4.0);
  
  TH1F *hPoT1x_1 = new TH1F("hPoT1x_1","Peak/Threshold 1^{st} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2x_1 = new TH1F("hPoT2x_1","Peak/Threshold 2^{nd} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT1y_1 = new TH1F("hPoT1y_1","Peak/Threshold 1^{st} line y-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2y_1 = new TH1F("hPoT2y_1","Peak/Threshold 2^{nd} line y-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT1x_2 = new TH1F("hPoT1x_2","Peak/Threshold 1^{st} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2x_2 = new TH1F("hPoT2x_2","Peak/Threshold 2^{nd} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT1y_2 = new TH1F("hPoT1y_2","Peak/Threshold 1^{st} line y-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2y_2 = new TH1F("hPoT2y_2","Peak/Threshold 2^{nd} line y-view;peak/threshold;fraction",200,0.0,10000.0);



  TCanvas *cNHLX = new TCanvas("cNHLX","num HLX",1000,700);
  cNHLX->cd();
  cNHLX->SetLogy();
  nt1->Draw("numHLX >> hNHLX_1");
  nt2->Draw("numHLX >> hNHLX_2");
  gStyle->SetOptStat(111111);
  hNHLX_1->SetLineColor(kBlue);
  hNHLX_1->SetLineWidth(2);
  hNHLX_1->Scale(1.0/hNHLX_1->Integral());
  hNHLX_1->Draw();
  cNHLX->Update();
  TPaveStats *s01a = hNHLX_1->FindObject("stats");
  s01a->SetX1NDC(0.7);
  s01a->SetX2NDC(0.9);
  s01a->SetY1NDC(0.7);
  s01a->SetY2NDC(0.9);
  s01a->Draw();
  hNHLX_2->SetLineColor(kRed);
  hNHLX_2->SetLineWidth(2);
  hNHLX_2->Scale(1.0/hNHLX_2->Integral());
  hNHLX_2->Draw("sames");
  cNHLX->Update();
  TPaveStats *s01b = hNHLX_2->FindObject("stats");
  s01b->SetX1NDC(0.7);
  s01b->SetX2NDC(0.9);
  s01b->SetY1NDC(0.5);
  s01b->SetY2NDC(0.7);
  s01b->Draw();
  sprintf(name,"NumHLX_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cNHLX->Print(name);

  TCanvas *cNHLY = new TCanvas("cNHLY","num HLY",1000,700);
  cNHLY->cd();
  cNHLY->SetLogy();
  nt1->Draw("numHLY >> hNHLY_1");
  nt2->Draw("numHLY >> hNHLY_2");
  gStyle->SetOptStat(111111);
  hNHLY_1->SetLineColor(kBlue);
  hNHLY_1->SetLineWidth(2);
  hNHLY_1->Scale(1.0/hNHLY_1->Integral());
  hNHLY_1->Draw();
  cNHLY->Update();
  TPaveStats *s02a = hNHLY_1->FindObject("stats");
  s02a->SetX1NDC(0.7);
  s02a->SetX2NDC(0.9);
  s02a->SetY1NDC(0.7);
  s02a->SetY2NDC(0.9);
  s02a->Draw();
  hNHLY_2->SetLineColor(kRed);
  hNHLY_2->SetLineWidth(2);
  hNHLY_2->Scale(1.0/hNHLY_2->Integral());
  hNHLY_2->Draw("sames");
  cNHLY->Update();
  TPaveStats *s02b = hNHLY_2->FindObject("stats");
  s02b->SetX1NDC(0.7);
  s02b->SetX2NDC(0.9);
  s02b->SetY1NDC(0.5);
  s02b->SetY2NDC(0.7);
  s02b->Draw();
  sprintf(name,"NumHLY_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cNHLY->Print(name);


  TCanvas *cTHX = new TCanvas("cTHX","THX",1000,700);
  cTHX->cd();
  cTHX->SetLogy();
  nt1->Draw("threshx >> hTHX_1");
  nt2->Draw("threshx >> hTHX_2");
  gStyle->SetOptStat(111111);
  hTHX_1->SetLineColor(kBlue);
  hTHX_1->SetLineWidth(2);
  hTHX_1->Scale(1.0/hTHX_1->Integral());
  hTHX_1->Draw();
  cTHX->Update();
  TPaveStats *s03a = hTHX_1->FindObject("stats");
  s03a->SetX1NDC(0.7);
  s03a->SetX2NDC(0.9);
  s03a->SetY1NDC(0.7);
  s03a->SetY2NDC(0.9);
  s03a->Draw();
  hTHX_2->SetLineColor(kRed);
  hTHX_2->SetLineWidth(2);
  hTHX_2->Scale(1.0/hTHX_2->Integral());
  hTHX_2->Draw("sames");
  cTHX->Update();
  TPaveStats *s03b = hTHX_2->FindObject("stats");
  s03b->SetX1NDC(0.7);
  s03b->SetX2NDC(0.9);
  s03b->SetY1NDC(0.5);
  s03b->SetY2NDC(0.7);
  s03b->Draw();
  sprintf(name,"ThreshX_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cTHX->Print(name);


  TCanvas *cTHY = new TCanvas("cTHY","THY",1000,700);
  cTHY->cd();
  cTHY->SetLogy();
  nt1->Draw("threshy >> hTHY_1");
  nt2->Draw("threshy >> hTHY_2");
  gStyle->SetOptStat(111111);
  hTHY_1->SetLineColor(kBlue);
  hTHY_1->SetLineWidth(2);
  hTHY_1->Scale(1.0/hTHY_1->Integral());
  hTHY_1->Draw();
  cTHY->Update();
  TPaveStats *s04a = hTHY_1->FindObject("stats");
  s04a->SetX1NDC(0.7);
  s04a->SetX2NDC(0.9);
  s04a->SetY1NDC(0.7);
  s04a->SetY2NDC(0.9);
  s04a->Draw();
  hTHY_2->SetLineColor(kRed);
  hTHY_2->SetLineWidth(2);
  hTHY_2->Scale(1.0/hTHY_2->Integral());
  hTHY_2->Draw("sames");
  cTHY->Update();
  TPaveStats *s04b = hTHY_2->FindObject("stats");
  s04b->SetX1NDC(0.7);
  s04b->SetX2NDC(0.9);
  s04b->SetY1NDC(0.5);
  s04b->SetY2NDC(0.7);
  s04b->Draw();
  sprintf(name,"ThreshY_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cTHY->Print(name);



  TCanvas *cR1x = new TCanvas("cR1x", "rho1x",1000,700);
  cR1x->cd();
  nt1->Draw("rho1x >> h1x_1");
  nt2->Draw("rho1x >> h1x_2");
  gStyle->SetOptStat(111111);
  cR1x->SetLogy();
  h1x_1->SetLineColor(kBlue);
  h1x_1->SetLineWidth(2);
  h1x_1->Scale(1.0/h1x_1->Integral());
  h1x_1->Draw();
  cR1x->Update();
  TPaveStats *s05a = h1x_1->FindObject("stats");
  s05a->SetX1NDC(0.7);
  s05a->SetX2NDC(0.9);
  s05a->SetY1NDC(0.7);
  s05a->SetY2NDC(0.9);
  s05a->Draw();
  h1x_2->SetLineColor(kRed);
  h1x_2->SetLineWidth(2);
  h1x_2->Scale(1.0/h1x_2->Integral());
  h1x_2->Draw("sames");
  cR1x->Update();
  TPaveStats *s05b = h1x_2->FindObject("stats");
  s05b->SetX1NDC(0.7);
  s05b->SetX2NDC(0.9);
  s05b->SetY1NDC(0.5);
  s05b->SetY2NDC(0.7);
  s05b->Draw();
  sprintf(name,"rho1x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cR1x->Print(name);
  
  TCanvas *cR1y = new TCanvas("cR1y", "rho1y",1000,700);
  cR1y->cd();
  nt1->Draw("rho1y >> h1y_1");
  nt2->Draw("rho1y >> h1y_2");
  gStyle->SetOptStat(111111);
  cR1y->SetLogy();
  h1y_1->SetLineColor(kBlue);
  h1y_1->SetLineWidth(2);
  h1y_1->Scale(1.0/h1y_1->Integral());
  h1y_1->Draw();
  cR1y->Update();
  TPaveStats *s06a = h1y_1->FindObject("stats");
  s06a->SetX1NDC(0.7);
  s06a->SetX2NDC(0.9);
  s06a->SetY1NDC(0.7);
  s06a->SetY2NDC(0.9);
  s06a->Draw();
  h1y_2->SetLineColor(kRed);
  h1y_2->SetLineWidth(2);
  h1y_2->Scale(1.0/h1y_2->Integral());
  h1y_2->Draw("sames");
  cR1y->Update();
  TPaveStats *s06b = h1y_2->FindObject("stats");
  s06b->SetX1NDC(0.7);
  s06b->SetX2NDC(0.9);
  s06b->SetY1NDC(0.5);
  s06b->SetY2NDC(0.7);
  s06b->Draw();
  sprintf(name,"rho1y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cR1y->Print(name);


  TCanvas *cR2x = new TCanvas("cR2x", "rho2x",1000,700);
  cR2x->cd();
  nt1->Draw("rho2x >> h2x_1");
  nt2->Draw("rho2x >> h2x_2");
  gStyle->SetOptStat(111111);
  cR2x->SetLogy();
  h2x_1->SetLineColor(kBlue);
  h2x_1->SetLineWidth(2);
  h2x_1->Scale(1.0/h2x_1->Integral());
  h2x_1->Draw();
  cR2x->Update();
  TPaveStats *s07a = h2x_1->FindObject("stats");
  s07a->SetX1NDC(0.7);
  s07a->SetX2NDC(0.9);
  s07a->SetY1NDC(0.7);
  s07a->SetY2NDC(0.9);
  s07a->Draw();
  h2x_2->SetLineColor(kRed);
  h2x_2->SetLineWidth(2);
  h2x_2->Scale(1.0/h2x_2->Integral());
  h2x_2->Draw("sames");
  cR2x->Update();
  TPaveStats *s07b = h2x_2->FindObject("stats");
  s07b->SetX1NDC(0.7);
  s07b->SetX2NDC(0.9);
  s07b->SetY1NDC(0.5);
  s07b->SetY2NDC(0.7);
  s07b->Draw();
  sprintf(name,"rho2x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cR2x->Print(name);


  TCanvas *cR2y = new TCanvas("cR2y", "rho2y",1000,700);
  cR2y->cd();
  nt1->Draw("rho2y >> h2y_1");
  nt2->Draw("rho2y >> h2y_2");
  gStyle->SetOptStat(111111);
  cR2y->SetLogy();
  h2y_1->SetLineColor(kBlue);
  h2y_1->SetLineWidth(2);
  h2y_1->Scale(1.0/h2y_1->Integral());
  h2y_1->Draw();
  cR2y->Update();
  TPaveStats *s08a = h2y_1->FindObject("stats");
  s08a->SetX1NDC(0.7);
  s08a->SetX2NDC(0.9);
  s08a->SetY1NDC(0.7);
  s08a->SetY2NDC(0.9);
  s08a->Draw();
  h2y_2->SetLineColor(kRed);
  h2y_2->SetLineWidth(2);
  h2y_2->Scale(1.0/h2y_2->Integral());
  h2y_2->Draw("sames");
  cR2y->Update();
  TPaveStats *s08b = h2y_2->FindObject("stats");
  s08b->SetX1NDC(0.7);
  s08b->SetX2NDC(0.9);
  s08b->SetY1NDC(0.5);
  s08b->SetY2NDC(0.7);
  s08b->Draw();
  sprintf(name,"rho2y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cR2y->Print(name);
  

  TCanvas *cT1x = new TCanvas("cT1x","theta 1x",1000,700);
  cT1x->cd();
  nt1->Draw("theta1x >> hT1x_1");
  nt2->Draw("theta1x >> hT1x_2");
  gStyle->SetOptStat(111111);
  hT1x_1->SetLineColor(kBlue);
  hT1x_1->SetLineWidth(2);
  hT1x_1->Scale(1.0/hT1x_1->Integral());
  hT1x_1->Draw();
  cT1x->Update();
  TPaveStats *s09a = hT1x_1->FindObject("stats");
  s09a->SetX1NDC(0.7);
  s09a->SetX2NDC(0.9);
  s09a->SetY1NDC(0.7);
  s09a->SetY2NDC(0.9);
  s09a->Draw();
  hT1x_2->SetLineColor(kRed);
  hT1x_2->SetLineWidth(2);
  hT1x_2->Scale(1.0/hT1x_2->Integral());
  hT1x_2->Draw("sames");
  cT1x->Update();
  TPaveStats *s09b = hT1x_2->FindObject("stats");
  s09b->SetX1NDC(0.7);
  s09b->SetX2NDC(0.9);
  s09b->SetY1NDC(0.5);
  s09b->SetY2NDC(0.7);
  s09b->Draw();
  sprintf(name,"theta1x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cT1x->Print(name);

  TCanvas *cT2x = new TCanvas("cT2x","theta 2x",1000,700);
  cT2x->cd();
  nt1->Draw("theta2x >> hT2x_1");
  nt2->Draw("theta2x >> hT2x_2");
  gStyle->SetOptStat(111111);
  hT2x_1->SetLineColor(kBlue);
  hT2x_1->SetLineWidth(2);
  hT2x_1->Scale(1.0/hT2x_1->Integral());
  hT2x_1->Draw();
  cT2x->Update();
  TPaveStats *s10a = hT2x_1->FindObject("stats");
  s10a->SetX1NDC(0.7);
  s10a->SetX2NDC(0.9);
  s10a->SetY1NDC(0.7);
  s10a->SetY2NDC(0.9);
  s10a->Draw();
  hT2x_2->SetLineColor(kRed);
  hT2x_2->SetLineWidth(2);
  hT2x_2->Scale(1.0/hT2x_2->Integral());
  hT2x_2->Draw("sames");
  cT2x->Update();
  TPaveStats *s10b = hT2x_2->FindObject("stats");
  s10b->SetX1NDC(0.7);
  s10b->SetX2NDC(0.9);
  s10b->SetY1NDC(0.5);
  s10b->SetY2NDC(0.7);
  s10b->Draw();
  sprintf(name,"theta2x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cT2x->Print(name);

  TCanvas *cT1y = new TCanvas("cT1y","theta 1y",1000,700);
  cT1y->cd();
  nt1->Draw("theta1y >> hT1y_1");
  nt2->Draw("theta1y >> hT1y_2");
  gStyle->SetOptStat(111111);
  hT1y_1->SetLineColor(kBlue);
  hT1y_1->SetLineWidth(2);
  hT1y_1->Scale(1.0/hT1y_1->Integral());
  hT1y_1->Draw();
  cT1y->Update();
  TPaveStats *s11a = hT1y_1->FindObject("stats");
  s11a->SetX1NDC(0.7);
  s11a->SetX2NDC(0.9);
  s11a->SetY1NDC(0.7);
  s11a->SetY2NDC(0.9);
  s11a->Draw();
  hT1y_2->SetLineColor(kRed);
  hT1y_2->SetLineWidth(2);
  hT1y_2->Scale(1.0/hT1y_2->Integral());
  hT1y_2->Draw("sames");
  cT1y->Update();
  TPaveStats *s11b = hT1y_2->FindObject("stats");
  s11b->SetX1NDC(0.7);
  s11b->SetX2NDC(0.9);
  s11b->SetY1NDC(0.5);
  s11b->SetY2NDC(0.7);
  s11b->Draw();
  sprintf(name,"theta1y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cT1y->Print(name);

  TCanvas *cT2y = new TCanvas("cT2y","theta 2y",1000,700);
  cT2y->cd();
  nt1->Draw("theta2y >> hT2y_1");
  nt2->Draw("theta2y >> hT2y_2");
  gStyle->SetOptStat(111111);
  hT2y_1->SetLineColor(kBlue);
  hT2y_1->SetLineWidth(2);
  hT2y_1->Scale(1.0/hT2y_1->Integral());
  hT2y_1->Draw();
  cT2y->Update();
  TPaveStats *s12a = hT2y_1->FindObject("stats");
  s12a->SetX1NDC(0.7);
  s12a->SetX2NDC(0.9);
  s12a->SetY1NDC(0.7);
  s12a->SetY2NDC(0.9);
  s12a->Draw();
  hT2y_2->SetLineColor(kRed);
  hT2y_2->SetLineWidth(2);
  hT2y_2->Scale(1.0/hT2y_2->Integral());
  hT2y_2->Draw("sames");
  cT2y->Update();
  TPaveStats *s12b = hT2y_2->FindObject("stats");
  s12b->SetX1NDC(0.7);
  s12b->SetX2NDC(0.9);
  s12b->SetY1NDC(0.5);
  s12b->SetY2NDC(0.7);
  s12b->Draw();
  sprintf(name,"theta2y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cT2y->Print(name);
  

  TCanvas *cPoT1x = new TCanvas("cPoT1x","peak over threshold 1x",1000,700);
  cPoT1x->cd();
  cPoT1x->SetLogy();
  nt1->Draw("peak1x/threshx >> hPoT1x_1");
  nt2->Draw("peak1x/threshx >> hPoT1x_2");
  gStyle->SetOptStat(111111);
  hPoT1x_1->SetLineColor(kBlue);
  hPoT1x_1->SetLineWidth(2);
  hPoT1x_1->Scale(1.0/hPoT1x_1->Integral());
  hPoT1x_1->Draw();
  cPoT1x->Update();
  TPaveStats *s13a = hPoT1x_1->FindObject("stats");
  s13a->SetX1NDC(0.7);
  s13a->SetX2NDC(0.9);
  s13a->SetY1NDC(0.7);
  s13a->SetY2NDC(0.9);
  s13a->Draw();
  hPoT1x_2->SetLineColor(kRed);
  hPoT1x_2->SetLineWidth(2);
  hPoT1x_2->Scale(1.0/hPoT1x_2->Integral());
  hPoT1x_2->Draw("sames");
  cPoT1x->Update();
  TPaveStats *s13b = hPoT1x_2->FindObject("stats");
  s13b->SetX1NDC(0.7);
  s13b->SetX2NDC(0.9);
  s13b->SetY1NDC(0.5);
  s13b->SetY2NDC(0.7);
  s13b->Draw();
  sprintf(name,"PoT1x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cPoT1x->Print(name);

  TCanvas *cPoT2x = new TCanvas("cPoT2x","peak over threshold 2x",1000,700);
  cPoT2x->cd();
  cPoT2x->SetLogy();
  nt1->Draw("peak2x/threshx >> hPoT2x_1");
  nt2->Draw("peak2x/threshx >> hPoT2x_2");
  gStyle->SetOptStat(111111);
  hPoT2x_1->SetLineColor(kBlue);
  hPoT2x_1->SetLineWidth(2);
  hPoT2x_1->Scale(1.0/hPoT2x_1->Integral());
  hPoT2x_1->Draw();
  cPoT2x->Update();
  TPaveStats *s14a = hPoT2x_1->FindObject("stats");
  s14a->SetX1NDC(0.7);
  s14a->SetX2NDC(0.9);
  s14a->SetY1NDC(0.7);
  s14a->SetY2NDC(0.9);
  s14a->Draw();
  hPoT2x_2->SetLineColor(kRed);
  hPoT2x_2->SetLineWidth(2);
  hPoT2x_2->Scale(1.0/hPoT2x_2->Integral());
  hPoT2x_2->Draw("sames");
  cPoT2x->Update();
  TPaveStats *s14b = hPoT2x_2->FindObject("stats");
  s14b->SetX1NDC(0.7);
  s14b->SetX2NDC(0.9);
  s14b->SetY1NDC(0.5);
  s14b->SetY2NDC(0.7);
  s14b->Draw();
  sprintf(name,"PoT2x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cPoT2x->Print(name);

  TCanvas *cPoT1y = new TCanvas("cPoT1y","peak over threshold 1y",1000,700);
  cPoT1y->cd();
  cPoT1y->SetLogy();
  nt1->Draw("peak1y/threshy >> hPoT1y_1");
  nt2->Draw("peak1y/threshy >> hPoT1y_2");
  gStyle->SetOptStat(111111);
  hPoT1y_1->SetLineColor(kBlue);
  hPoT1y_1->SetLineWidth(2);
  hPoT1y_1->Scale(1.0/hPoT1y_1->Integral());
  hPoT1y_1->Draw();
  cPoT1y->Update();
  TPaveStats *s15a = hPoT1y_1->FindObject("stats");
  s15a->SetX1NDC(0.7);
  s15a->SetX2NDC(0.9);
  s15a->SetY1NDC(0.7);
  s15a->SetY2NDC(0.9);
  s15a->Draw();
  hPoT1y_2->SetLineColor(kRed);
  hPoT1y_2->SetLineWidth(2);
  hPoT1y_2->Scale(1.0/hPoT1y_2->Integral());
  hPoT1y_2->Draw("sames");
  cPoT1y->Update();
  TPaveStats *s15b = hPoT1y_2->FindObject("stats");
  s15b->SetX1NDC(0.7);
  s15b->SetX2NDC(0.9);
  s15b->SetY1NDC(0.5);
  s15b->SetY2NDC(0.7);
  s15b->Draw();
  sprintf(name,"PoT1y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cPoT1y->Print(name);

  TCanvas *cPoT2y = new TCanvas("cPoT2y","peak over threshold 2y",1000,700);
  cPoT2y->cd();
  cPoT2y->SetLogy();
  nt1->Draw("peak2y/threshy >> hPoT2y_1");
  nt2->Draw("peak2y/threshy >> hPoT2y_2");
  gStyle->SetOptStat(111111);
  hPoT2y_1->SetLineColor(kBlue);
  hPoT2y_1->SetLineWidth(2);
  hPoT2y_1->Scale(1.0/hPoT2y_1->Integral());
  hPoT2y_1->Draw();
  cPoT2y->Update();
  TPaveStats *s16a = hPoT2y_1->FindObject("stats");
  s16a->SetX1NDC(0.7);
  s16a->SetX2NDC(0.9);
  s16a->SetY1NDC(0.7);
  s16a->SetY2NDC(0.9);
  s16a->Draw();
  hPoT2y_2->SetLineColor(kRed);
  hPoT2y_2->SetLineWidth(2);
  hPoT2y_2->Scale(1.0/hPoT2y_2->Integral());
  hPoT2y_2->Draw("sames");
  cPoT2y->Update();
  TPaveStats *s16b = hPoT2y_2->FindObject("stats");
  s16b->SetX1NDC(0.7);
  s16b->SetX2NDC(0.9);
  s16b->SetY1NDC(0.5);
  s16b->SetY2NDC(0.7);
  s16b->Draw();
  sprintf(name,"PoT2y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  if(print) cPoT2y->Print(name);

}
