////////////////////////////////////////////////////////////////////////
// $Id: SimHit.h,v 1.3 2011-10-19 20:31:56 brebel Exp $
//
// A SimHit is the detector plane and cell with true energy deposition from
// particles from the MC simulation
//
////////////////////////////////////////////////////////////////////////

#ifndef SIMHIT_H
#define SIMHIT_H

#include "RecoBase/CellHit.h"
#include <vector>

namespace cheat {
  
  class SimHit : public rb::CellHit
    {

    public:
      SimHit(); // Default constructor
      ~SimHit();

  #ifndef __GCCXML__
      SimHit(const rb::CellHit&);

      void Print() const;

      // Getters
//      unsigned short Plane   () const { return fPlane;  }
//      unsigned short Cell    () const { return fCell;   }
//      geo::View_t    View    () const { return fView;   }
      double CoorX           () const { return fCoorX; }
      double CoorY           () const { return fCoorY; }
      double CoorZ           () const { return fCoorZ; }
      double TotE            () const { return fTotE;    }
      unsigned short NP      () const { return fNP;      }
      std::vector<int>TrID   () const { return fTrID;    }
      std::vector<int>PID    () const { return fPID;     }
      std::vector<double>EnD () const { return fEnD;     }
      std::vector<double>Tim () const { return fTim;     }

      // Setters
//      void SetPlane      (unsigned short plane    ) { fPlane   = plane;  }
//      void SetCell       (unsigned short cell     ) { fCell    = cell;   }
//      void SetView       (geo::View_t    view     ) { fView    = view;   }
      void SetCoorX      (double coorx            ) { fCoorX   = coorx; }
      void SetCoorY      (double coory            ) { fCoorY   = coory; }
      void SetCoorZ      (double coorz            ) { fCoorZ   = coorz; }
      void SetTotE       (double tote             ) { fTotE    = tote;   }
      void SetNP         (unsigned short np       ) { fNP      = np;     }
      void SetTrID       (std::vector<int> TrID   ) { fTrID    = TrID;   }
      void SetPID        (std::vector<int> PID    ) { fPID     = PID;    }
      void SetEnD        (std::vector<double> EnD ) { fEnD     = EnD;    }
      void SetTim        (std::vector<double> Tim ) { fTim     = Tim;    }

#endif
      // data members
 //     unsigned short fPlane;  ///< plane number
 //     unsigned short fCell;   ///< cell number
 //     geo::View_t    fView;   ///< view (geo::kX or geo::kY)
      double fCoorX; ///< X coord of hit
      double fCoorY; ///< Y coord of hit
      double fCoorZ; ///< Z coord of hit
      double fTotE;  ///< Total Energy dep from all particles
      unsigned short fNP;  ///< size of vectors
      std::vector<int> fTrID;  ///< vector of sim track IDs
      std::vector<int> fPID;  ///< vector of sim particle IDs
      std::vector<double> fEnD;  ///< vector of energy deposits
      std::vector<double> fTim;  ///< vector of times
       
      //      ClassDef(SimHit, 4); // True Cell Hit
    };
}

#endif // SIMHIT_H

////////////////////////////////////////////////////////////////////////
