#include "MichelEFilter/SliceMEFCluster.h"

//----------------------------------------------------------------------
me::SliceMEFCluster::SliceMEFCluster()
  : rb::Cluster()
{
}

  
//----------------------------------------------------------------------
me::SliceMEFCluster::~SliceMEFCluster()
{
}
  
//----------------------------------------------------------------------
// Michel ID: based on a #Delta LL between Michels and Hadronic Fuzz 
double me::SliceMEFCluster::MID() const{
  return fMID;
}

//----------------------------------------------------------------------
// Calculates the min distance from Michel Cluster to a hit in Slice
double me::SliceMEFCluster::DistToSlc() const{
  return fDistToSlc;
}

//----------------------------------------------------------------------
// Calculates the time delay for the hit
double me::SliceMEFCluster::DeltaT() const{
  return fDeltaT;
}

//----------------------------------------------------------------------
// Finds the Number of slices in spill for which this michel passes
int me::SliceMEFCluster::NSlcMatches() const{
  return fNSlcMatches;
}

//----------------------------------------------------------------------
/* Decides if ME is close enough in time / space to be correctly 
   associated with the current slice.  Always true if NMatches == 1 */
bool me::SliceMEFCluster::AssocWithSlc() const{
  return fAssocWithSlc;
}

//----------------------------------------------------------------------
// Finds the number of retriggering cells in the SliceMEF cluster
int me::SliceMEFCluster::NRetriggeredCells() const{
  return fNRetriggeredCells;
}

//----------------------------------------------------------------------
// Sums the ADC on retriggered cells for this cluster
double me::SliceMEFCluster::ADCRetriggeredCells() const{
  return fADCRetriggeredCells;
}

//----------------------------------------------------------------------
// Sums the PE on retriggered cells for this cluster
double me::SliceMEFCluster::PERetriggeredCells() const{
  return fPERetriggeredCells;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetMID(double mid){
  fMID = mid;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetDistToSlc(double dist){
  fDistToSlc = dist;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetDeltaT(double deltat){
  fDeltaT = deltat;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetNSlcMatches(int nmatches){
  fNSlcMatches = nmatches;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetAssocWithSlc(bool assoc){
  fAssocWithSlc = assoc;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetNRetriggeredCells(int nRetriggers){
  fNRetriggeredCells = nRetriggers;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetADCRetriggeredCells(double ADCRetriggers){
  fADCRetriggeredCells = ADCRetriggers;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetPERetriggeredCells(double PERetriggers){
  fPERetriggeredCells = PERetriggers;
}

//----------------------------------------------------------------------
// void me::SliceMEFCluster::SetSlcIndices(std::vector<int> indices){
//   fSlcIndices = indices;
// }

////////////////////////////////////////////////////////////////////////////
