
{

  TFile fold("haddedold.root");
  fold.cd("micheleana");
  TTree *hitold = gDirectory->Get("fMichelTree");

  TFile fnew("haddednew.root");
  fnew.cd("micheleana");
  TTree *hitnew = gDirectory->Get("fMichelTree");
  
  cout<<"Got the files and trees\n";  

  int trueVisNCello, recoNCello;
  double trueEo, trueVisEo, recoVisEo, recoDeltaTo, recoDeltaDisto;
  float effo, puro;

  int trueVisNCelln, recoNCelln;
  double trueEn, trueVisEn, recoVisEn, recoDeltaTn, recoDeltaDistn;
  float effn, purn;


  hitold->SetBranchAddress("trueE",           &trueEo);
  hitold->SetBranchAddress("trueVisE",        &trueVisEo);
  hitold->SetBranchAddress("trueVisNCell",    &trueVisNCello);

  hitold->SetBranchAddress("reocVisE",        &recoVisEo);
  hitold->SetBranchAddress("recoNCell",       &recoNCello);
  hitold->SetBranchAddress("recoDeltaT",      &recoDeltaTo);
  hitold->SetBranchAddress("recoDeltaDist",   &recoDeltaDisto);

  hitold->SetBranchAddress("eff",             &effo);
  hitold->SetBranchAddress("pur",             &puro);

  hitnew->SetBranchAddress("trueE",           &trueEn);
  hitnew->SetBranchAddress("trueVisE",        &trueVisEn);
  hitnew->SetBranchAddress("trueVisNCell",    &trueVisNCelln);

  hitnew->SetBranchAddress("reocVisE",        &recoVisEn);
  hitnew->SetBranchAddress("recoNCell",       &recoNCelln);
  hitnew->SetBranchAddress("recoDeltaT",      &recoDeltaTn);
  hitnew->SetBranchAddress("recoDeltaDist",   &recoDeltaDistn);

  hitnew->SetBranchAddress("eff",             &effn);
  hitnew->SetBranchAddress("pur",             &purn);


  cout<<"Set tree branches\n";

  TH1D *hnte = new TH1D("nte",";True E [GeV];",50,0,0.1); 
  TH1D *hote = new TH1D("ote",";True E [GeV];",50,0, 0.1); 
  hnte->Sumw2();
  hote->Sumw2();

  TH1D *hntve = new TH1D("ntve",";FLS Energy [GeV];",50,0,0.1); 
  TH1D *hotve = new TH1D("otve",";FLS Energy [GeV];",50,0,0.1); 
  hntve->Sumw2();
  hotve->Sumw2();

  TH1D *hntnc = new TH1D("ntnc",";True NCell;",15,-0.5,14.5); 
  TH1D *hotnc = new TH1D("otnc",";True NCell;",15,-0.5,14.5); 
  hntnc->Sumw2();
  hotnc->Sumw2();

  TH1D *hnrve = new TH1D("nrve",";Reco E [GeV];",50,0,0.15);
  TH1D *horve = new TH1D("orve",";Reco E [GeV];",50,0,0.15); 
  hnrve->Sumw2();
  horve->Sumw2();

  TH1D *hnrnc = new TH1D("nrnc",";Reco NCell;",20,-0.5,19.5); 
  TH1D *hornc = new TH1D("ornc",";Reco NCell;",20,-0.5,19.5); 
  hnrnc->Sumw2();
  hornc->Sumw2();

  TH1D *hnrdt = new TH1D("nrdt",";Reco #Delta t [ns];",50,0,50000); 
  TH1D *hordt = new TH1D("ordt",";Reco #Delta t [ns];",50,0,50000); 
  hnrdt->Sumw2();
  hordt->Sumw2();

  TH1D *hnrdd = new TH1D("nrdd",";Reco #Delta d [cm];", 50,0,100);
  TH1D *hordd = new TH1D("ordd",";Reco #Delta d [cm];", 50,0,100);
  hnrdd->Sumw2();
  hordd->Sumw2();

  TH1D *hneff = new TH1D("neff",";Efficeincy;", 51,-0.05,1.05);
  TH1D *hoeff = new TH1D("oeff",";Efficiency;", 51,-0.05,1.05);
  hneff->Sumw2();
  hoeff->Sumw2();

  TH1D *hnpur = new TH1D("npur",";Purity;", 51,-0.05,1.05);
  TH1D *hopur = new TH1D("opur",";Purity;", 51,-0.05,1.05);
  hnpur->Sumw2();
  hopur->Sumw2();

  TLegend *leg = new TLegend(0.55,0.6,0.8,0.85);
  leg->AddEntry(hnte, "New", "l");
  leg->AddEntry(hote, "Old", "l");
    
  cout<<"Declared histograms\n";

  int nnh = hitnew->GetEntries(); 
  int noh = hitold->GetEntries(); 

  std::cout<<"New tree entries "<<nnh<<endl;

  for(int e = 0; e < nnh; ++e){
    hitnew->GetEntry(e);
    cout<<trueEn<<" "<<trueVisEn<<" "<<trueVisNCelln<<" "<<recoVisEn<<" "<<recoNCelln<<" "<<recoDeltaTn<<" "<<recoDeltaDistn<<" "<<effn<<" "<<purn<<"\n";
    hnte->Fill(trueEn);
    hntve->Fill(trueVisEn);
    hntnc->Fill(trueVisNCelln);
    hnrve->Fill(recoVisEn);
    hnrnc->Fill(recoNCelln);
    hnrdt->Fill(recoDeltaTn);
    hnrdd->Fill(recoDeltaDistn);
    hneff->Fill(effn);
    hnpur->Fill(purn);

  }// end loop over hitnew entries

  std::cout<<"Old tree entries "<<noh<<endl;

  for(int e = 0; e < noh; ++e){
    hitold->GetEntry(e);

    hote->Fill(trueEo);
    hotve->Fill(trueVisEo);
    hotnc->Fill(trueVisNCello);
    horve->Fill(recoVisEo);
    hornc->Fill(recoNCello);
    hordt->Fill(recoDeltaTo);
    hordd->Fill(recoDeltaDisto);
    hoeff->Fill(effo);
    hopur->Fill(puro);

  }// end loop over hitnew entries

  cout<<"Drawing histograms\n";

  // makes sense tonormalize everything to the same number of events. 
  // this will show any differences in hitrate. 
  // number of events in old file is noe, and in new is nne
  // normalizing to 10000 events

  TCanvas *c1 = new TCanvas("c1");
  hnte->SetMarkerSize(0);
  hote->SetMarkerSize(0);
  hnte->SetLineColor(2);
  hnte->Draw("ehist");
  hnte->GetYaxis()->SetRangeUser(0.001, 1.5* hnte->GetBinContent(hnte->GetMaximumBin()) );
  hote->Draw("sameehist");
  leg->Draw("same");
  c1->SetLogy();
  c1->SaveAs("te-log.pdf");


  TCanvas *c2 = new TCanvas("c2");
  hntve->SetMarkerSize(0);
  hotve->SetMarkerSize(0);
  hntve->SetLineColor(2);
  hntve->Draw("ehist");
  hntve->GetYaxis()->SetRangeUser(0.001, 1.5* hntve->GetBinContent(hntve->GetMaximumBin()) );
  hotve->Draw("sameehist");
  leg->Draw("same");
  c2->SetLogy();
  c2->SaveAs("tve-log.pdf");

  TCanvas *c3 = new TCanvas("c3");
  hntnc->SetMarkerSize(0);
  hotnc->SetMarkerSize(0);
  hntnc->SetLineColor(2);
  hntnc->Draw("ehist");
  hntnc->GetYaxis()->SetRangeUser(0.001, 1.5* hntnc->GetBinContent(hntnc->GetMaximumBin()) );
  hotnc->Draw("sameehist");
  leg->Draw("same");
  c3->SetLogy();
  c3->SaveAs("tnc-log.pdf");

  TCanvas *c4 = new TCanvas("c4");
  hnrve->SetMarkerSize(0);
  horve->SetMarkerSize(0);
  hnrve->SetLineColor(2);
  hnrve->Draw("ehist");
  hnrve->GetYaxis()->SetRangeUser(0.001, 1.5* hnrve->GetBinContent(hnrve->GetMaximumBin()) );
  horve->Draw("sameehist");
  leg->Draw("same");
  c4->SetLogy();
  c4->SaveAs("rve-log.pdf");

  TCanvas *c5 = new TCanvas("c5");
  hnrnc->SetMarkerSize(0);
  hornc->SetMarkerSize(0);
  hnrnc->SetLineColor(2);
  hnrnc->Draw("ehist");
  hnrnc->GetYaxis()->SetRangeUser(0.001, 1.5* hnrnc->GetBinContent(hnrnc->GetMaximumBin()) );
  hornc->Draw("sameehist");
  leg->Draw("same");
  c5->SetLogy();
  c5->SaveAs("rnc-log.pdf");

  TCanvas *c6 = new TCanvas("c6");
  hnrdt->SetMarkerSize(0);
  hordt->SetMarkerSize(0);
  hnrdt->SetLineColor(2);
  hnrdt->Draw("ehist");
  hnrdt->GetYaxis()->SetRangeUser(0.001, 1.5* hnrdt->GetBinContent(hnrdt->GetMaximumBin()) );
  hordt->Draw("sameehist");
  leg->Draw("same");
  c6->SetLogy();
  c6->SaveAs("rdt-log.pdf");

  TCanvas *c7 = new TCanvas("c7");
  hnrdd->SetMarkerSize(0);
  hordd->SetMarkerSize(0);
  hnrdd->SetLineColor(2);
  hnrdd->Draw("ehist");
  hnrdd->GetYaxis()->SetRangeUser(0.001, 1.5* hnrdd->GetBinContent(hnrdd->GetMaximumBin()) );
  hordd->Draw("ehistsame");
  leg->Draw("same");
  c7->SetLogy();
  c7->SaveAs("rdd-log.pdf");

  TCanvas *c8 = new TCanvas("c8");
  hneff->SetMarkerSize(0);
  hoeff->SetMarkerSize(0);
  hneff->SetLineColor(2);
  hneff->Draw("ehist");
  hneff->GetYaxis()->SetRangeUser(0.001, 1.5* hneff->GetBinContent(hneff->GetMaximumBin()) );
  hoeff->Draw("ehistsame");
  leg->Draw("same");
  c8->SetLogy();
  c8->SaveAs("eff-log.pdf");

  TCanvas *c9 = new TCanvas("c9");
  hnpur->SetMarkerSize(0);
  hopur->SetMarkerSize(0);
  hnpur->SetLineColor(2);
  hnpur->Draw("ehist");
  hnpur->GetYaxis()->SetRangeUser(0.001, 1.5* hnpur->GetBinContent(hnpur->GetMaximumBin()) );
  hopur->Draw("ehistsame");
  leg->Draw("same");
  c9->SetLogy();
  c9->SaveAs("pur-log.pdf");

  return;
}
