/* 
 * File:   Sorter.cpp
 * Author: denis
 * 
 * Created on February 13, 2012, 10:09 AM
 */

#ifdef NOVACMAKE
#include "MockDataDAQ/include/Sorter.h"
#else
#include "MockDataDAQ/Sorter.h"
#endif

#include <algorithm>
#include <boost/bind.hpp>
#include <stdio.h>
#include <iostream>
#include <utility>

namespace mcdatadaq{

//------------------------------------------------------------------------------
Sorter::Sorter() { }

//------------------------------------------------------------------------------
Sorter::~Sorter() { }

//------------------------------------------------------------------------------
bool Sorter::addNumber(const unsigned long long number){

    const uint32_t current_index = _numberIndexPair.size();

    _numberIndexPair.push_back(std::make_pair(number, current_index));

    return true;
}

//------------------------------------------------------------------------------
bool Sorter::sort(){

    /// Sorting by the numbers (whuch come first in the pair)
    std::sort(_numberIndexPair.begin(), _numberIndexPair.end(),
          boost::bind(&number_index_pair_t::first, _1) <
          boost::bind(&number_index_pair_t::first, _2));

    return true;
}

//------------------------------------------------------------------------------
bool Sorter::getIndeces(std::vector <uint32_t>& index_vector) const {

        for(number_index_pair_vector_t::const_iterator itr = _numberIndexPair.begin(); itr != _numberIndexPair.end(); ++itr)
               index_vector.push_back((*itr).second); //Fill the true order

        return true;
}

//------------------------------------------------------------------------------
std::vector <uint32_t> Sorter::getIndeces() const {
    std::vector <uint32_t> index_vector;

    getIndeces(index_vector);

    return index_vector;
}

//------------------------------------------------------------------------------
bool Sorter::print() const{

    printf("-----------------------------------------------------------------\n");
    printf("Sorter print:\n");
    printf("-----------------------------------------------------------------\n");

    for(number_index_pair_vector_t::const_iterator itr = _numberIndexPair.begin(); itr != _numberIndexPair.end(); ++itr){

        const unsigned long long first_number = (*itr).first;
        const uint32_t           index        = (*itr).second;

        std::cout<<std::hex<<first_number<<"x";
        std::cout<<std::dec<<" ("<<first_number<<")";
        std::cout<<"     index="<<index<<std::endl;

    }// end of loop

    printf("-----------------------------------------------------------------\n");
    printf("End of Sorter print:\n");
    printf("-----------------------------------------------------------------\n");

    return true;

}

}// end of namespace
