////////////////////////////////////////////////////////////////////////
// \file    Veto.cxx
// \brief   Veto object detailing cuts made
// \author  Max Fite - fitex005@umn.edu
////////////////////////////////////////////////////////////////////////
#include "Veto.h"

namespace presel
{
//......................................................................
Veto::Veto()
{
  fNCell=-5;
  fFwdDist=-5;
  fBakDist=-5;
  fRatio=-5;
  fDirY=-5;
  fAngle=-5;
  fAngleVar=-5;
  fAngleVarOld=-5;
  fPassThru=true;
  fPassThruOld=true;
  fPassAngle=true;
  fPassAngleFirstAnal=true;
  fKeep=true;
}
//......................................................................
  Veto::Veto(unsigned int NCell,
	     float        FwdDist,
	     float        BakDist,
	     double       Ratio,
	     double       DirY,
	     double       Angle,
	     double       AngleVar,
             double       AngleVarOld,
             bool         PassThru,
             bool         PassThruOld,
             bool         PassAngle,
             bool         PassAngleFirstAnal,
	     bool         Keep)
{
  fNCell=NCell;
  fFwdDist=FwdDist;
  fBakDist=BakDist;
  fRatio=Ratio;
  fDirY=DirY;
  fAngle=Angle;
  fAngleVar=AngleVar;
  fAngleVarOld=AngleVarOld;
  fPassThru=PassThru;
  fPassThruOld=PassThruOld;
  fPassAngle=PassAngle;
  fPassAngleFirstAnal=PassAngleFirstAnal;
  fKeep=Keep;
}
//.......................................................................
 unsigned int Veto::NCell() const
{
  return fNCell;
}
//.......................................................................
 float Veto::FwdDist() const
{
  return fFwdDist;
}
//.......................................................................
 float Veto::BakDist() const
{
  return fBakDist;
}
//.......................................................................
 double  Veto::Ratio() const
{
  return fRatio;
}
//.......................................................................
 double Veto::DirY() const
{
  return fDirY;
}
//.......................................................................
 double Veto::Angle() const
{
  return fAngle;
}
//.......................................................................
 double Veto::AngleVar() const
{
  return fAngleVar;
}
//.......................................................................
 double Veto::AngleVarOld() const
{
  return fAngleVarOld;
}
//.......................................................................
 bool Veto::PassThru() const
{
  return fPassThru;
}
//.......................................................................
 bool Veto::PassThruOld() const
{
  return fPassThruOld;
}
//.......................................................................
 bool Veto::PassAngle() const
{
  return fPassAngle;
}
//.......................................................................
 bool Veto::PassAngleFirstAnal() const
{
  return fPassAngleFirstAnal;
}
//.......................................................................
 bool Veto::Keep() const
{
  return fKeep;
}
//.......................................................................
  void Veto::SetNCell(unsigned int NCell)
{
  fNCell = NCell;
}
//.......................................................................
  void Veto::SetFwdDist(float FwdDist)
{
  fFwdDist = FwdDist;
}
//.......................................................................
void Veto::SetBakDist(float BakDist)
{
  fBakDist = BakDist;
}
//.......................................................................
void Veto::SetRatio(double Ratio)
{
  fRatio = Ratio;
}
//.......................................................................
void Veto::SetDirY(double DirY)
{
  fDirY = DirY;
}
//.......................................................................
void Veto::SetAngle(double Angle)
{
  fAngle = Angle;
}
//.......................................................................
void Veto::SetAngleVar(double AngleVar)
{
  fAngleVar = AngleVar;
}
//.......................................................................
void Veto::SetAngleVarOld(double AngleVarOld)
{
  fAngleVarOld = AngleVarOld;
}
//.......................................................................
void Veto::SetPassThru(bool PassThru)
{
  fPassThru = PassThru;
}
//.......................................................................
void Veto::SetPassThruOld(bool PassThruOld)
{
  fPassThruOld = PassThruOld;
}
//.......................................................................
void Veto::SetPassAngle(bool PassAngle)
{
  fPassAngle = PassAngle;
}
//.......................................................................
void Veto::SetPassAngleFirstAnal(bool PassAngleFirstAnal)
{
  fPassAngleFirstAnal = PassAngleFirstAnal;
}
//.......................................................................
void Veto::SetKeep(bool Keep)
{
  fKeep = Keep;
}
//.......................................................................
}// end namespace presel
