////////////////////////////////////////////////////////////////////////
/// \brief   Common configuration params for SimpleReadout, 
///          FPGAAlgorithms, NoiseMaker
///
/// \author  Christopher Backhouse
/// \date
////////////////////////////////////////////////////////////////////////
#include "ReadoutSim/CommonParameters.h"

#include "art/Framework/Services/Registry/ServiceHandle.h"


namespace rsim
{

  //----------------------------------------------------------------------
  CommonParameters::CommonParameters(const fhicl::ParameterSet& pset) :
    fClocktick              (pset.get< double >("Clocktick")),
    fNumClockticksInSpill   (pset.get< int    >("NumClockticksInSpill")),
    fNumClockticksPerDigitization(pset.get< int >("NumClockticksPerDigitization")),
    fADCMaxPE               (pset.get< double >("ADCMaxPE")),
    fAPDExcessNoiseFactor   (pset.get< double >("APDExcessNoiseFactor")),
    fASICBaselineInADCCounts(pset.get< double >("ASICBaselineInADCCounts")),
    fUseDBThresholds        (pset.get< bool   >("UseDBThresholds")),
    fUseRandomThresholds    (pset.get< bool   >("UseRandomThresholds")),
    fThresholdFile          (pset.get< std::string >("ThresholdFile")),
    fASICRiseTime           (pset.get< double >("ASICRiseTime")),
    fASICFallTime           (pset.get< double >("ASICFallTime"))
  {
  }
} // end namespace
