#include "RVP.h"

namespace rvp
{
  //......................................
  /* Inlined into header file...
  RVP::RVP()
    : rb::PID(),
      fNCells(0),
      fRecoE(-1),
      fLongTr(-1),
      fLongTrFrac(-1),
      fMipFrac(-1),
      fMipHits(-1),
      fEPl20Frac(-1),
      fEFrac2PlWin(-1),
      fEFrac6PlWin(-1),
      fEFrac2SigRd(-1),
      fProngs3D(0),
      fProngEBal3D(-1),
      fProngs2D(0),
      fProngEBal2D(-1),
      fEIso3Sig(-1),
      fRVP12(-1)
  {
  }
  */

  //......................................
  RVP::RVP(int pdg, 
           unsigned int cells,
           float recE,
           float longTr,
           float longTrFrac,
           float mipFrac,
           float mipHits,
           float ePl20Frac,
           float eFrac2PlWin,
           float eFrac6PlWin,
           float eFrac2SigRd,
           int prongs3D,
           float prongEBal3D,
           float pid,
           int prongs2D,
           float prongEBal2D,
           float eIso3Sig,
           float rvp12)
    : rb::PID(pdg,pid),
      fNCells(cells),
      fRecoE(recE),
      fLongTr(longTr),
      fLongTrFrac(longTrFrac),
      fMipFrac(mipFrac),
      fMipHits(mipHits),
      fEPl20Frac(ePl20Frac),
      fEFrac2PlWin(eFrac2PlWin),
      fEFrac6PlWin(eFrac6PlWin),
      fEFrac2SigRd(eFrac2SigRd),
      fProngs3D(prongs3D),
      fProngEBal3D(prongEBal3D),
      fProngs2D(prongs2D),
      fProngEBal2D(prongEBal2D),
      fEIso3Sig(eIso3Sig),
      fRVP12(rvp12)
  {
  }
  
}
