////////////////////////////////////////////////////////////////////////
// \file    Energy.h
// \brief   Energy container. Base of other reconstruction classes.
// \version $Id: Energy.h,v 1.4 2012-10-26 21:31:55 bckhouse Exp $
// \author  $Author: bckhouse $
// \date    $Date: 2012-10-26 21:31:55 $
////////////////////////////////////////////////////////////////////////
#ifndef RBENERGY_H
#define RBENERGY_H


namespace rb
{
  /// \brief A container for energy information.  
  ///
  /// The base rb::Energy object is a simple container that contains 
  /// one field: E.  Energy estimators with extra output should 
  /// inherit from this class.
  ///
  class Energy
  {
  public:
    Energy();
#ifndef __GCCXML__
    Energy(float energy);

    void SetE(float energy);
    float E() const;
#endif // __GCCXML__
  protected:
    float fE;
  };
}

#endif // RBENERGY_H
/////////////////////////////////////////////////////////////////////////////////////////////
