////////////////////////////////////////////////////////////////////////////////
/// \file    PID.h
/// \brief   pdg code and pid value
/// \version $Id: PID.h,v 1.2 2012-10-26 21:31:55 bckhouse Exp $
/// \author  raddatz@physics.umn.edu
/////////////////////////////////////////////////////////////////////////////////////
#ifndef RB_PID_H
#define RB_PID_H

namespace rb
{
  /// \brief A pid value and corresponding pdg code 
  class PID
  {
  public:
    PID();
    ~PID(){};
#ifndef __GCCXML__
    PID(int pdg, double val);

    int Pdg()      const   {return fPdg; }
    double Value() const   {return fVal;}
    void SetPdg(int pdg)   {fPdg = pdg;}
    void SetVal(double val){fVal = val;}
#endif
  protected:
    int    fPdg;  ///< pdg code 
    double fVal;  ///< pid value
  };

} // end namespace rb

#endif
////////////////////////////////////////////////////////////////////////
