////////////////////////////////////////////////////////////////////////
// \file    WeightedHit.h
// \brief   Simple hit+weight pair
// \version $Id: WeightedHit.h,v 1.1 2012-10-16 01:45:00 bckhouse Exp $
// \author  Author: Christopher Backhouse - bckhouse@caltech.edu
// \date    $Date: 2012-10-16 01:45:00 $
////////////////////////////////////////////////////////////////////////
#ifndef RBWEIGHTEDHIT_H
#define RBWEIGHTEDHIT_H

#include "RecoBase/CellHit.h"

#include "art/Persistency/Common/Ptr.h"

namespace rb
{
  /// Simple hit+weight pair, returned from \ref rb::Cluster::WeightedHits
  struct WeightedHit
  {
    WeightedHit(const art::Ptr<rb::CellHit>& h, double w)
      : hit(h), weight(w) {}

    art::Ptr<rb::CellHit> hit;
    double weight;
  };
}

#endif
