#include "TMVAClassification_TMlpANN_NoENu.h"
#include <cmath>

double TMVAClassification_TMlpANN_NoENu::Value(int index,double in0,
					       double in1,double in2,
					       double in3,double in4,
					       double in5,double in6,
					       double in7,double in8,
					       double in9,double in10,
					       double in11,double in12,
					       double in13,double in14,
					       double in15) 
{
  input0 = (in0 - -0.0550692)/0.0401216;
  input1 = (in1 - 0.227147)/0.0486896;
  input2 = (in2 - -0.847642)/0.159025;
  input3 = (in3 - -0.332084)/0.0980543;
  input4 = (in4 - -0.128043)/0.0466083;
  input5 = (in5 - 0.22212)/0.0674152;
  input6 = (in6 - -0.396311)/0.0671607;
  input7 = (in7 - -0.182257)/0.0466444;
  input8 = (in8 - -0.405347)/0.0882584;
  input9 = (in9 - -0.238084)/0.0753826;
  input10 = (in10 - -0.475918)/0.108808;
  input11 = (in11 - -0.322066)/0.0953983;
  input12 = (in12 - -0.997521)/0.0107786;
  input13 = (in13 - -0.945995)/0.0538969;
  input14 = (in14 - -0.869621)/0.117206;
  input15 = (in15 - -0.964486)/0.0147226;
  switch(index) {
  case 0:
    return neuron0x143bd4e0();
  default:
    return 0.;
  }
}

double TMVAClassification_TMlpANN_NoENu::Value(int index, double* input) 
{
  input0 = (input[0] - -0.0550692)/0.0401216;
  input1 = (input[1] - 0.227147)/0.0486896;
  input2 = (input[2] - -0.847642)/0.159025;
  input3 = (input[3] - -0.332084)/0.0980543;
  input4 = (input[4] - -0.128043)/0.0466083;
  input5 = (input[5] - 0.22212)/0.0674152;
  input6 = (input[6] - -0.396311)/0.0671607;
  input7 = (input[7] - -0.182257)/0.0466444;
  input8 = (input[8] - -0.405347)/0.0882584;
  input9 = (input[9] - -0.238084)/0.0753826;
  input10 = (input[10] - -0.475918)/0.108808;
  input11 = (input[11] - -0.322066)/0.0953983;
  input12 = (input[12] - -0.997521)/0.0107786;
  input13 = (input[13] - -0.945995)/0.0538969;
  input14 = (input[14] - -0.869621)/0.117206;
  input15 = (input[15] - -0.964486)/0.0147226;
  switch(index) {
  case 0:
    return neuron0x143bd4e0();
  default:
    return 0.;
  }
}

double TMVAClassification_TMlpANN_NoENu::neuron0x141c5de0() 
{
  return input0;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd1376e0() 
{
  return input1;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8bf4750() 
{
  return input2;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd13d530() 
{
  return input3;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd142530() 
{
  return input4;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd13c650() 
{
  return input5;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xf4aa5e0() 
{
  return input6;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xdf84c90() 
{
  return input7;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8bef750() 
{
  return input8;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8be9d70() 
{
  return input9;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd122d20() 
{
  return input10;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8bfb520() 
{
  return input11;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd13f2f0() 
{
  return input12;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x1101cd80() 
{
  return input13;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x110139d0() 
{
  return input14;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x11012f90() 
{
  return input15;
}

double TMVAClassification_TMlpANN_NoENu::input0x10fde3d0() 
{
  double input = -0.564227;
  input += synapse0x1062f710();
  input += synapse0x10624c80();
  input += synapse0x1481cd20();
  input += synapse0x139dc2b0();
  input += synapse0xda7e080();
  input += synapse0x13a00af0();
  input += synapse0xf843c00();
  input += synapse0x114673f0();
  input += synapse0x1243aff0();
  input += synapse0x11e403e0();
  input += synapse0x120b68e0();
  input += synapse0xfde4d30();
  input += synapse0x129db5e0();
  input += synapse0x129db6e0();
  input += synapse0xfc7cb50();
  input += synapse0x110285f0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x10fde3d0() 
{
  double input = input0x10fde3d0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x13a07be0() 
{
  double input = -0.406662;
  input += synapse0x173499a0();
  input += synapse0x10633750();
  input += synapse0x14396690();
  input += synapse0x10642ed0();
  input += synapse0x10fe02c0();
  input += synapse0x143ce1c0();
  input += synapse0x1021d580();
  input += synapse0x8b08070();
  input += synapse0x10fdf1e0();
  input += synapse0x143cd2e0();
  input += synapse0xf4bcad0();
  input += synapse0x143c0ce0();
  input += synapse0xdf7f9a0();
  input += synapse0x143c2aa0();
  input += synapse0x142d44c0();
  input += synapse0xdf79ee0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x13a07be0() 
{
  double input = input0x13a07be0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x13a06520() 
{
  double input = 0.815617;
  input += synapse0xf844960();
  input += synapse0x143dcc50();
  input += synapse0x143cc400();
  input += synapse0x10643890();
  input += synapse0x143bd100();
  input += synapse0xe8d67f0();
  input += synapse0x10ff21a0();
  input += synapse0x173463a0();
  input += synapse0x8be8760();
  input += synapse0xd137a20();
  input += synapse0x10fde680();
  input += synapse0x8bf4b20();
  input += synapse0xd13d900();
  input += synapse0x139d98b0();
  input += synapse0x13a07d70();
  input += synapse0x13a066b0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x13a06520() 
{
  double input = input0x13a06520();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x13a01450() 
{
  double input = -1.89071;
  input += synapse0xd142900();
  input += synapse0xd13ca20();
  input += synapse0xd1338c0();
  input += synapse0xd133900();
  input += synapse0x10fe91f0();
  input += synapse0x10fe9230();
  input += synapse0x13a015e0();
  input += synapse0x13a01620();
  input += synapse0xf4aa920();
  input += synapse0xf4aa960();
  input += synapse0xf4aa9a0();
  input += synapse0xdf84fd0();
  input += synapse0xdf85010();
  input += synapse0xdf85050();
  input += synapse0x8befa90();
  input += synapse0x8befad0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x13a01450() 
{
  double input = input0x13a01450();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x139fd1f0() 
{
  double input = 1.83726;
  input += synapse0x139fd4a0();
  input += synapse0x8befb10();
  input += synapse0x8bea0b0();
  input += synapse0x8bea0f0();
  input += synapse0x8bea130();
  input += synapse0xd123060();
  input += synapse0xd1230a0();
  input += synapse0xd1230e0();
  input += synapse0x8bfb860();
  input += synapse0x8bfb8a0();
  input += synapse0x8bfb8e0();
  input += synapse0xd13f630();
  input += synapse0xd13f670();
  input += synapse0xd13f6b0();
  input += synapse0x1101d0c0();
  input += synapse0x1101d100();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x139fd1f0() 
{
  double input = input0x139fd1f0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x13a01240() 
{
  double input = -1.93527;
  input += synapse0x11013da0();
  input += synapse0x11013360();
  input += synapse0x1101d140();
  input += synapse0x13a013d0();
  input += synapse0x13a01410();
  input += synapse0x139f8ab0();
  input += synapse0x139f8af0();
  input += synapse0x139f8b30();
  input += synapse0x139f8b70();
  input += synapse0x139f8bb0();
  input += synapse0x139f8bf0();
  input += synapse0x139f8c30();
  input += synapse0x139f8c70();
  input += synapse0x139f8cb0();
  input += synapse0x139f8cf0();
  input += synapse0x139f8d30();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x13a01240() 
{
  double input = input0x13a01240();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x139de7e0() 
{
  double input = -1.01353;
  input += synapse0x139dea90();
  input += synapse0x139dead0();
  input += synapse0x139deb10();
  input += synapse0x139deb50();
  input += synapse0x139deb90();
  input += synapse0x139f8e80();
  input += synapse0xec02470();
  input += synapse0xec024b0();
  input += synapse0xec024f0();
  input += synapse0xec02530();
  input += synapse0xec02570();
  input += synapse0xec025b0();
  input += synapse0xec025f0();
  input += synapse0xec02630();
  input += synapse0xec02670();
  input += synapse0xec026b0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x139de7e0() 
{
  double input = input0x139de7e0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x1100d760() 
{
  double input = -0.0976031;
  input += synapse0x1100da10();
  input += synapse0x1100da50();
  input += synapse0x1100da90();
  input += synapse0x1100dad0();
  input += synapse0x1100db10();
  input += synapse0x1100db50();
  input += synapse0xec02800();
  input += synapse0xec02840();
  input += synapse0xdf841f0();
  input += synapse0xdf84230();
  input += synapse0xdf84270();
  input += synapse0xdf842b0();
  input += synapse0xdf842f0();
  input += synapse0xdf84330();
  input += synapse0xdf84370();
  input += synapse0xdf843b0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x1100d760() 
{
  double input = input0x1100d760();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x11014420() 
{
  double input = 1.27896;
  input += synapse0x110146d0();
  input += synapse0xdf84500();
  input += synapse0xdf84540();
  input += synapse0xdf84580();
  input += synapse0xdf845c0();
  input += synapse0x11014710();
  input += synapse0x11014750();
  input += synapse0x11014790();
  input += synapse0x110147d0();
  input += synapse0x11014810();
  input += synapse0x139ee020();
  input += synapse0x139ee060();
  input += synapse0x139ee0a0();
  input += synapse0x139ee0e0();
  input += synapse0x139ee120();
  input += synapse0x139ee160();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x11014420() 
{
  double input = input0x11014420();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x139ee2b0() 
{
  double input = 1.7525;
  input += synapse0xdf822a0();
  input += synapse0xdf822e0();
  input += synapse0xdf82320();
  input += synapse0xdf82360();
  input += synapse0xdf823a0();
  input += synapse0xdf823e0();
  input += synapse0xdf82420();
  input += synapse0xdf82460();
  input += synapse0xdf824a0();
  input += synapse0xdf824e0();
  input += synapse0xdf82520();
  input += synapse0xdf82560();
  input += synapse0xdf7e660();
  input += synapse0xdf7e6a0();
  input += synapse0xdf7e6e0();
  input += synapse0xdf7e720();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x139ee2b0()
{
  
  double input = input0x139ee2b0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xdf7e870()
{
  double input = 1.445;
  input += synapse0xdf7c180();
  input += synapse0xdf7c1c0();
  input += synapse0xdf7c200();
  input += synapse0xdf7c240();
  input += synapse0xdf7c280();
  input += synapse0xdf7c2c0();
  input += synapse0xdf7c300();
  input += synapse0xdf7c340();
  input += synapse0xdf7c380();
  input += synapse0xdf7c3c0();
  input += synapse0xdf7c400();
  input += synapse0xdf7c440();
  input += synapse0xdf7c480();
  input += synapse0xdf7c4c0();
  input += synapse0xdf78ba0();
  input += synapse0xdf78be0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xdf7e870()
{
  double input = input0xdf7e870();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xdf78d30()
{
  double input = 0.135004;
  input += synapse0xdf77be0();
  input += synapse0xdf77c20();
  input += synapse0xdf77c60();
  input += synapse0xdf77ca0();
  input += synapse0xdf77ce0();
  input += synapse0xdf77d20();
  input += synapse0xdf77d60();
  input += synapse0xdf77da0();
  input += synapse0xdf77de0();
  input += synapse0xdf77e20();
  input += synapse0xdf77e60();
  input += synapse0xdf77ea0();
  input += synapse0xdf77ee0();
  input += synapse0xdf77f20();
  input += synapse0xdf77f60();
  input += synapse0xdf77fa0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xdf78d30()
{
  double input = input0xdf78d30();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xdf76d30()
{
  double input = 1.96113;
  input += synapse0xdf77fe0();
  input += synapse0xdf76fe0();
  input += synapse0xdf77020();
  input += synapse0xdf71140();
  input += synapse0xdf71180();
  input += synapse0xdf711c0();
  input += synapse0xdf71200();
  input += synapse0xdf71240();
  input += synapse0xdf71280();
  input += synapse0xdf712c0();
  input += synapse0xdf71300();
  input += synapse0xdf71340();
  input += synapse0xdf71380();
  input += synapse0xdf713c0();
  input += synapse0xdf71400();
  input += synapse0xdf71440();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xdf76d30()
{
  double input = input0xdf76d30();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xde5c4b0()
{
  double input = -2.63;
  input += synapse0xde5c760();
  input += synapse0xde5c7a0();
  input += synapse0xdf71480();
  input += synapse0xdf714c0();
  input += synapse0xdf71500();
  input += synapse0xdf71540();
  input += synapse0xdd4e0c0();
  input += synapse0xdd4e100();
  input += synapse0xdd4e140();
  input += synapse0xdd4e180();
  input += synapse0xdd4e1c0();
  input += synapse0xdd4e200();
  input += synapse0xdd4e240();
  input += synapse0xdd4e280();
  input += synapse0xdd4e2c0();
  input += synapse0xdd4e300();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xde5c4b0()
{
  double input = input0xde5c4b0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xda7cd40()
{
  double input = 0.462748;
  input += synapse0xda7cff0();
  input += synapse0xda7d030();
  input += synapse0xda7d070();
  input += synapse0xda7d0b0();
  input += synapse0xda7d0f0();
  input += synapse0xda7d130();
  input += synapse0xdd4e450();
  input += synapse0xdd4e490();
  input += synapse0xda22c60();
  input += synapse0xda22ca0();
  input += synapse0xda22ce0();
  input += synapse0xda22d20();
  input += synapse0xda22d60();
  input += synapse0xda22da0();
  input += synapse0xda22de0();
  input += synapse0xda22e20();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xda7cd40()
{
  double input = input0xda7cd40();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xd96ea80()
{
  double input = -1.48612;
  input += synapse0xd96ed30();
  input += synapse0xd96ee80();
  input += synapse0x10fe9160();
  input += synapse0x10fe91a0();
  input += synapse0xd137900();
  input += synapse0xd137940();
  input += synapse0x8bf4970();
  input += synapse0x8bf49b0();
  input += synapse0xd13d750();
  input += synapse0xd13d790();
  input += synapse0xd142750();
  input += synapse0xd142790();
  input += synapse0xd13c870();
  input += synapse0xd13c8b0();
  input += synapse0xf4aa800();
  input += synapse0xf4aa840();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd96ea80()
{
  double input = input0xd96ea80();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x11024350()
{
  double input = 0.319602;
  input += synapse0xd122f40();
  input += synapse0xd122f80();
  input += synapse0x8bfb740();
  input += synapse0x8bfb780();
  input += synapse0xd13f510();
  input += synapse0xd13f550();
  input += synapse0x1101cfa0();
  input += synapse0x1101cfe0();
  input += synapse0x11013bf0();
  input += synapse0x11013c30();
  input += synapse0x110131b0();
  input += synapse0x110131f0();
  input += synapse0x139d97f0();
  input += synapse0x139d9830();
  input += synapse0x110246f0();
  input += synapse0x11024730();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x11024350()
{
  double input = input0x11024350();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x8b18530()
{
  double input = -4.38368;
  input += synapse0x8b187e0();
  input += synapse0x8b18820();
  input += synapse0x8b18860();
  input += synapse0x8b188a0();
  input += synapse0x13a079c0();
  input += synapse0x13a07a00();
  input += synapse0x13a07a40();
  input += synapse0x13a07a80();
  input += synapse0x11023390();
  input += synapse0x110233d0();
  input += synapse0x11023410();
  input += synapse0x11023450();
  input += synapse0x11023490();
  input += synapse0x110234d0();
  input += synapse0x11023510();
  input += synapse0x11023550();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8b18530()
{
  double input = input0x8b18530();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x1734abe0()
{
  double input = 1.27332;
  input += synapse0x1734ae90();
  input += synapse0x1734aed0();
  input += synapse0x1734af10();
  input += synapse0x1734af50();
  input += synapse0x1734af90();
  input += synapse0x1734afd0();
  input += synapse0x110236a0();
  input += synapse0x110236e0();
  input += synapse0x11023720();
  input += synapse0x11023760();
  input += synapse0x17347100();
  input += synapse0x17347140();
  input += synapse0x17347180();
  input += synapse0x173471c0();
  input += synapse0x17347200();
  input += synapse0x17347240();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x1734abe0()
{
  double input = input0x1734abe0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x17347390()
{
  double input = -2.82316;
  input += synapse0x11018f60();
  input += synapse0x11018fa0();
  input += synapse0x11018fe0();
  input += synapse0x11019020();
  input += synapse0x11019060();
  input += synapse0x110190a0();
  input += synapse0x110190e0();
  input += synapse0x11019120();
  input += synapse0x11019160();
  input += synapse0x110191a0();
  input += synapse0x110191e0();
  input += synapse0x11019220();
  input += synapse0x173455e0();
  input += synapse0x17345620();
  input += synapse0x17345660();
  input += synapse0x173456a0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x17347390()
{
  double input = input0x17347390();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x173457f0()
{
  double input = -0.129277;
  input += synapse0xe38ee20();
  input += synapse0xe38ee60();
  input += synapse0xe38eea0();
  input += synapse0xe38eee0();
  input += synapse0xe38ef20();
  input += synapse0xe38ef60();
  input += synapse0xe38efa0();
  input += synapse0xe38efe0();
  input += synapse0xe38f020();
  input += synapse0xe38f060();
  input += synapse0xe38f0a0();
  input += synapse0xe38f0e0();
  input += synapse0xe38f120();
  input += synapse0xe38f160();
  input += synapse0xea3e080();
  input += synapse0xea3e0c0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x173457f0()
{
  double input = input0x173457f0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xea3e210()
{
  double input = 2.22814;
  input += synapse0xe49d330();
  input += synapse0xe49d370();
  input += synapse0xe49d3b0();
  input += synapse0xe49d3f0();
  input += synapse0xe49d430();
  input += synapse0xe49d470();
  input += synapse0xe49d4b0();
  input += synapse0xe49d4f0();
  input += synapse0xe49d530();
  input += synapse0xe49d570();
  input += synapse0xe49d5b0();
  input += synapse0xe49d5f0();
  input += synapse0xe49d630();
  input += synapse0xe49d670();
  input += synapse0xe49d6b0();
  input += synapse0xe49d6f0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xea3e210()
{
  double input = input0xea3e210();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xe2267f0()
{
  double input = 0.128869;
  input += synapse0xe49d730();
  input += synapse0xe226980();
  input += synapse0xe2269c0();
  input += synapse0xe226a00();
  input += synapse0xe226a40();
  input += synapse0xe226a80();
  input += synapse0xe226ac0();
  input += synapse0xe226b00();
  input += synapse0xe226b40();
  input += synapse0xe226b80();
  input += synapse0xe226bc0();
  input += synapse0xd13d870();
  input += synapse0xd13d8b0();
  input += synapse0xd13c990();
  input += synapse0xd13c9d0();
  input += synapse0x139fd410();
  input += synapse0x139fd450();
  input += synapse0x110132d0();
  input += synapse0x11013310();
  input += synapse0x139dea00();
  input += synapse0x139dea40();
  input += synapse0x1100d980();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xe2267f0()
{
  double input = input0xe2267f0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xe5ab390()
{
  double input = -0.11372;
  input += synapse0xe5ab520();
  input += synapse0xe5ab560();
  input += synapse0xe5ab5a0();
  input += synapse0xe5ab5e0();
  input += synapse0xe5ab620();
  input += synapse0xe5ab660();
  input += synapse0xe5ab6a0();
  input += synapse0xe5ab6e0();
  input += synapse0xe5ab720();
  input += synapse0xe5ab760();
  input += synapse0x1100d9c0();
  input += synapse0xdf78f50();
  input += synapse0xdf78f90();
  input += synapse0xdf76f50();
  input += synapse0xdf76f90();
  input += synapse0xde5c6d0();
  input += synapse0xde5c710();
  input += synapse0xda7cf60();
  input += synapse0xda7cfa0();
  input += synapse0xd96eca0();
  input += synapse0xd96ece0();
  input += synapse0x8be9f90();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xe5ab390()
{
  double input = input0xe5ab390();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xea98aa0()
{
  double input = 0.47313;
  input += synapse0xea98c30();
  input += synapse0xea98c70();
  input += synapse0xea98cb0();
  input += synapse0xea98cf0();
  input += synapse0xea98d30();
  input += synapse0x8be9fd0();
  input += synapse0xea98d70();
  input += synapse0xe38ed90();
  input += synapse0xe38edd0();
  input += synapse0xea3e430();
  input += synapse0xea3e470();
  input += synapse0xdf84eb0();
  input += synapse0xdf84ef0();
  input += synapse0x11014640();
  input += synapse0x11014680();
  input += synapse0x11008e10();
  input += synapse0x8b18750();
  input += synapse0x8b18790();
  input += synapse0x11008f60();
  input += synapse0x11008fa0();
  input += synapse0x11008fe0();
  input += synapse0x11009020();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xea98aa0()
{
  double input = input0xea98aa0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x11009060()
{
  double input = 0.448455;
  input += synapse0x139dfbf0();
  input += synapse0x139dfc30();
  input += synapse0x139dfc70();
  input += synapse0x139dfcb0();
  input += synapse0x139dfcf0();
  input += synapse0x139dfd30();
  input += synapse0x139dfd70();
  input += synapse0x139dfdb0();
  input += synapse0x139dfdf0();
  input += synapse0x139dfe30();
  input += synapse0x110091f0();
  input += synapse0x11012520();
  input += synapse0x11012560();
  input += synapse0x110125a0();
  input += synapse0x110125e0();
  input += synapse0x11012620();
  input += synapse0x139dfa40();
  input += synapse0x139dfa80();
  input += synapse0x11012770();
  input += synapse0x110127b0();
  input += synapse0x110127f0();
  input += synapse0x11012830();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x11009060()
{
  double input = input0x11009060();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x139f0ee0()
{
  double input = 0.365309;
  input += synapse0x139f1220();
  input += synapse0x139f1260();
  input += synapse0x139f12a0();
  input += synapse0x139f12e0();
  input += synapse0x11012870();
  input += synapse0x110128b0();
  input += synapse0x110128f0();
  input += synapse0x11012930();
  input += synapse0x139f3270();
  input += synapse0x139f32b0();
  input += synapse0x139f32f0();
  input += synapse0x139f3330();
  input += synapse0x139f3370();
  input += synapse0x139f33b0();
  input += synapse0x139f33f0();
  input += synapse0x139f3430();
  input += synapse0x139f1070();
  input += synapse0x139f10b0();
  input += synapse0x139f3580();
  input += synapse0x139f35c0();
  input += synapse0x139f3600();
  input += synapse0x139f3640();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x139f0ee0()
{
  double input = input0x139f0ee0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x10b42bb0()
{
  double input = -0.394079;
  input += synapse0x139f3680();
  input += synapse0x10b42ef0();
  input += synapse0x10b42f30();
  input += synapse0x10b42f70();
  input += synapse0x10b42fb0();
  input += synapse0xdf76150();
  input += synapse0xdf76190();
  input += synapse0xdf761d0();
  input += synapse0xdf76210();
  input += synapse0xdf76250();
  input += synapse0xdf76290();
  input += synapse0xdf762d0();
  input += synapse0xdf76310();
  input += synapse0xdf76350();
  input += synapse0xdf76390();
  input += synapse0xdf763d0();
  input += synapse0xdf76520();
  input += synapse0xdf76560();
  input += synapse0x10b42d40();
  input += synapse0x10b42d80();
  input += synapse0xdc9a3d0();
  input += synapse0xdc9a410();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x10b42bb0()
{
  double input = input0x10b42bb0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xdc9a450()
{
  double input = -0.0286567;
  input += synapse0xdc9a790();
  input += synapse0xdc9a7d0();
  input += synapse0xda7d800();
  input += synapse0xda7d840();
  input += synapse0xda7d880();
  input += synapse0xda7d8c0();
  input += synapse0xda7d900();
  input += synapse0xda7d940();
  input += synapse0xda7d980();
  input += synapse0xda7d9c0();
  input += synapse0xda7da00();
  input += synapse0xda7da40();
  input += synapse0xda7da80();
  input += synapse0xda7dac0();
  input += synapse0xda7db00();
  input += synapse0xda7db40();
  input += synapse0xdc9a5e0();
  input += synapse0xdc9a620();
  input += synapse0xda7db80();
  input += synapse0xda7dbc0();
  input += synapse0xda7dc00();
  input += synapse0x10fe8ac0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xdc9a450()
{
  double input = input0xdc9a450();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x10fe8b00()
{
  double input = 0.412172;
  input += synapse0xd129b30();
  input += synapse0xd129b70();
  input += synapse0xd129bb0();
  input += synapse0xd129bf0();
  input += synapse0xd129c30();
  input += synapse0xd129c70();
  input += synapse0xd129cb0();
  input += synapse0x10fe8db0();
  input += synapse0xd129cf0();
  input += synapse0xd129d30();
  input += synapse0xd129d70();
  input += synapse0xd129db0();
  input += synapse0xd129df0();
  input += synapse0xd129e30();
  input += synapse0xd129e70();
  input += synapse0xd129eb0();
  input += synapse0x10fe8c90();
  input += synapse0x10fe8cd0();
  input += synapse0xd12c830();
  input += synapse0xd12c870();
  input += synapse0xd12c8b0();
  input += synapse0xd12c8f0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x10fe8b00()
{
  double input = input0x10fe8b00();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xd12c930()
{
  double input = 0.0579591;
  input += synapse0xd12cb50();
  input += synapse0x8bee900();
  input += synapse0x8bee940();
  input += synapse0x8bee980();
  input += synapse0x8bee9c0();
  input += synapse0x8beea00();
  input += synapse0x8beea40();
  input += synapse0x8beea80();
  input += synapse0x8beeac0();
  input += synapse0x8beeb00();
  input += synapse0x8beeb40();
  input += synapse0x8beeb80();
  input += synapse0x8beebc0();
  input += synapse0x8beec00();
  input += synapse0xd1442a0();
  input += synapse0xd1442e0();
  input += synapse0xd12cac0();
  input += synapse0xd12cb00();
  input += synapse0xd144430();
  input += synapse0xd144470();
  input += synapse0xd1444b0();
  input += synapse0xd1444f0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd12c930()
{
  double input = input0xd12c930();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xd144530()
{
  double input = -0.0245503;
  input += synapse0x8bff260();
  input += synapse0x8bff2a0();
  input += synapse0x8bff2e0();
  input += synapse0x8bff320();
  input += synapse0x8bff360();
  input += synapse0x8bff3a0();
  input += synapse0x8bff3e0();
  input += synapse0x8bff420();
  input += synapse0x8bff460();
  input += synapse0x8bff4a0();
  input += synapse0x8bff4e0();
  input += synapse0xd1446c0();
  input += synapse0xd141620();
  input += synapse0xd141660();
  input += synapse0xd1416a0();
  input += synapse0xd1416e0();
  input += synapse0x8bff0b0();
  input += synapse0x8bff0f0();
  input += synapse0xd141830();
  input += synapse0xd141870();
  input += synapse0xd1418b0();
  input += synapse0xd1418f0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd144530()
{
  double input = input0xd144530();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xd136740()
{
  double input = -0.596528;
  input += synapse0xd136a80();
  input += synapse0xd136ac0();
  input += synapse0xd136b00();
  input += synapse0xd136b40();
  input += synapse0xd141930();
  input += synapse0xd141970();
  input += synapse0xd1419b0();
  input += synapse0xd1419f0();
  input += synapse0xd141a30();
  input += synapse0x8c01d30();
  input += synapse0x8c01d70();
  input += synapse0x8c01db0();
  input += synapse0x8c01df0();
  input += synapse0x8c01e30();
  input += synapse0x8c01e70();
  input += synapse0x8c01eb0();
  input += synapse0xd1368d0();
  input += synapse0xd136910();
  input += synapse0x8c02000();
  input += synapse0x8c02040();
  input += synapse0x8c02080();
  input += synapse0x8c020c0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd136740()
{
  double input = input0xd136740();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xd1393c0()
{
  double input = 0.210962;
  input += synapse0xd139700();
  input += synapse0xd139740();
  input += synapse0xd139780();
  input += synapse0xd1397c0();
  input += synapse0x8c02100();
  input += synapse0x8c02140();
  input += synapse0xec02960();
  input += synapse0xec029a0();
  input += synapse0xec029e0();
  input += synapse0xec02a20();
  input += synapse0xec02a60();
  input += synapse0xec02aa0();
  input += synapse0xec02ae0();
  input += synapse0xec02b20();
  input += synapse0xec02b60();
  input += synapse0xec02ba0();
  input += synapse0xd139550();
  input += synapse0xd139590();
  input += synapse0xec02cf0();
  input += synapse0xec02d30();
  input += synapse0xec02d70();
  input += synapse0x8bf91b0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd1393c0()
{
  double input = input0xd1393c0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x8bf91f0()
{
  double input = 0.209657;
  input += synapse0x8bf9530();
  input += synapse0x8bf9570();
  input += synapse0x8bf95b0();
  input += synapse0x8bf95f0();
  input += synapse0xd132650();
  input += synapse0xd132690();
  input += synapse0xd1326d0();
  input += synapse0xd132710();
  input += synapse0xd132750();
  input += synapse0xd132790();
  input += synapse0xd1327d0();
  input += synapse0xd132810();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8bf91f0()
{
  double input = input0x8bf91f0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xd132850()
{
  double input = -0.0762922;
  input += synapse0x143dc010();
  input += synapse0x143dc050();
  input += synapse0x143dc090();
  input += synapse0x143dc0d0();
  input += synapse0x143dc110();
  input += synapse0x143dc150();
  input += synapse0x143dc190();
  input += synapse0x143dc1d0();
  input += synapse0x143dc210();
  input += synapse0x143dc250();
  input += synapse0x143dc290();
  input += synapse0x143dc2d0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd132850()
{
  double input = input0xd132850();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x8be4c80()
{
  double input = 1.71942;
  input += synapse0x8be4fc0();
  input += synapse0x8be5000();
  input += synapse0x8be5040();
  input += synapse0x8be5080();
  input += synapse0x8be50c0();
  input += synapse0xd132a70();
  input += synapse0x143dc310();
  input += synapse0xd1259c0();
  input += synapse0xd125a00();
  input += synapse0xd125a40();
  input += synapse0xd125a80();
  input += synapse0xd125ac0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8be4c80()
{
  double input = input0x8be4c80();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0xd125b00()
{
  double input = -1.78967;
  input += synapse0x143dfad0();
  input += synapse0x143dfb10();
  input += synapse0x143dfb50();
  input += synapse0x143dfb90();
  input += synapse0x143dfbd0();
  input += synapse0x143dfc10();
  input += synapse0x143dfc50();
  input += synapse0x143dfc90();
  input += synapse0x143dfcd0();
  input += synapse0x143dfd10();
  input += synapse0x143dfd50();
  input += synapse0x143dfd90();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0xd125b00()
{
  double input = input0xd125b00();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x8bf3870()
{
  double input = 0.0998074;
  input += synapse0x8bf3bb0();
  input += synapse0x8bf3bf0();
  input += synapse0x8bf3c30();
  input += synapse0x8bf3c70();
  input += synapse0x8bf3cb0();
  input += synapse0x143dfdd0();
  input += synapse0x143dfe10();
  input += synapse0x143dfe50();
  input += synapse0x143dfe90();
  input += synapse0x143dfed0();
  input += synapse0x143dff10();
  input += synapse0x143d0fe0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x8bf3870()
{
  double input = input0x8bf3870();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x143d1020()
{
  double input = 0.101695;
  input += synapse0x143d1360();
  input += synapse0x143d13a0();
  input += synapse0x143d13e0();
  input += synapse0x143d1420();
  input += synapse0x143bd2e0();
  input += synapse0x143bd320();
  input += synapse0x143bd360();
  input += synapse0x143bd3a0();
  input += synapse0x143bd3e0();
  input += synapse0x143bd420();
  input += synapse0x143bd460();
  input += synapse0x143bd4a0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x143d1020()
{
  double input = input0x143d1020();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::input0x143bd4e0()
{
  double input = 0.565394;
  input += synapse0x143bd700();
  input += synapse0x8be88e0();
  input += synapse0x8be8920();
  input += synapse0x8be8960();
  input += synapse0x8be89a0();
  input += synapse0x8be89e0();
  return input;
}

double TMVAClassification_TMlpANN_NoENu::neuron0x143bd4e0()
{
  double input = input0x143bd4e0();
  return (input * 1)+0;
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1062f710()
{
  return (neuron0x141c5de0()*0.0377158);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10624c80()
{
  return (neuron0xd1376e0()*-2.50281);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1481cd20()
{
  return (neuron0x8bf4750()*0.162883);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dc2b0()
{
  return (neuron0xd13d530()*-0.139085);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7e080()
{
  return (neuron0xd142530()*-0.733906);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a00af0()
{
  return (neuron0xd13c650()*-0.0765622);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf843c00()
{
  return (neuron0xf4aa5e0()*-0.115975);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x114673f0()
{
  return (neuron0xdf84c90()*-0.103293);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1243aff0()
{
  return (neuron0x8bef750()*0.54264);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11e403e0()
{
  return (neuron0x8be9d70()*0.39971);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x120b68e0()
{
  return (neuron0xd122d20()*-0.79032);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xfde4d30()
{
  return (neuron0x8bfb520()*0.32424);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x129db5e0()
{
  return (neuron0xd13f2f0()*1.28371);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x129db6e0()
{
  return (neuron0x1101cd80()*0.148154);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xfc7cb50()
{
  return (neuron0x110139d0()*-0.0683398);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110285f0()
{
  return (neuron0x11012f90()*-0.156278);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x173499a0()
{
  return (neuron0x141c5de0()*-0.376851);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10633750()
{
  return (neuron0xd1376e0()*0.270082);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x14396690()
{
  return (neuron0x8bf4750()*0.0548277);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10642ed0()
{
  return (neuron0xd13d530()*0.316863);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe02c0()
{
  return (neuron0xd142530()*0.850937);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143ce1c0()
{
  return (neuron0xd13c650()*-0.335831);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1021d580()
{
  return (neuron0xf4aa5e0()*-0.20299);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8b08070()
{
  return (neuron0xdf84c90()*-0.218614);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fdf1e0()
{
  return (neuron0x8bef750()*-0.302237);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143cd2e0()
{
  return (neuron0x8be9d70()*0.802775);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf4bcad0()
{
  return (neuron0xd122d20()*-0.435006);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143c0ce0()
{
  return (neuron0x8bfb520()*0.601942);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7f9a0()
{
  return (neuron0xd13f2f0()*0.0258077);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143c2aa0()
{
  return (neuron0x1101cd80()*-0.153738);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x142d44c0()
{
  return (neuron0x110139d0()*1.79822);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf79ee0()
{
  return (neuron0x11012f90()*2.11047);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf844960()
{
  return (neuron0x141c5de0()*2.06272);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dcc50()
{
  return (neuron0xd1376e0()*1.04385);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143cc400()
{
  return (neuron0x8bf4750()*0.342504);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10643890()
{
  return (neuron0xd13d530()*-0.184464);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd100()
{
  return (neuron0xd142530()*-0.0939259);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe8d67f0()
{
  return (neuron0xd13c650()*-0.692127);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10ff21a0()
{
  return (neuron0xf4aa5e0()*-0.404462);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x173463a0()
{
  return (neuron0xdf84c90()*0.141008);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be8760()
{
  return (neuron0x8bef750()*0.16945);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd137a20()
{
  return (neuron0x8be9d70()*0.443251);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fde680()
{
  return (neuron0xd122d20()*-0.532936);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf4b20()
{
  return (neuron0x8bfb520()*0.455773);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13d900()
{
  return (neuron0xd13f2f0()*-0.112771);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139d98b0()
{
  return (neuron0x1101cd80()*0.0235183);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a07d70()
{
  return (neuron0x110139d0()*0.0278359);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a066b0()
{
  return (neuron0x11012f90()*0.737828);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd142900()
{
  return (neuron0x141c5de0()*-0.114333);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13ca20()
{
  return (neuron0xd1376e0()*-1.83449);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1338c0()
{
  return (neuron0x8bf4750()*-0.00025678);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd133900()
{
  return (neuron0xd13d530()*-0.480534);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe91f0()
{
  return (neuron0xd142530()*0.440368);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe9230()
{
  return (neuron0xd13c650()*-0.370075);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a015e0()
{
  return (neuron0xf4aa5e0()*0.0465866);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a01620()
{
  return (neuron0xdf84c90()*-0.0565736);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf4aa920()
{
  return (neuron0x8bef750()*1.45233);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf4aa960()
{
  return (neuron0x8be9d70()*-1.45866);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf4aa9a0()
{
  return (neuron0xd122d20()*-0.0404495);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84fd0()
{
  return (neuron0x8bfb520()*-0.831219);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf85010()
{
  return (neuron0xd13f2f0()*-0.632544);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf85050()
{
  return (neuron0x1101cd80()*-0.0059256);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8befa90()
{
  return (neuron0x110139d0()*0.127862);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8befad0()
{
  return (neuron0x11012f90()*-1.16035);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139fd4a0()
{
  return (neuron0x141c5de0()*-0.395018);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8befb10()
{
  return (neuron0xd1376e0()*-0.0251889);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bea0b0()
{
  return (neuron0x8bf4750()*-0.366561);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bea0f0()
{
  return (neuron0xd13d530()*1.12534);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bea130()
{
  return (neuron0xd142530()*0.352984);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd123060()
{
  return (neuron0xd13c650()*-0.148726);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1230a0()
{
  return (neuron0xf4aa5e0()*-0.530924);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1230e0()
{
  return (neuron0xdf84c90()*-1.6474);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bfb860()
{
  return (neuron0x8bef750()*0.770913);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bfb8a0()
{
  return (neuron0x8be9d70()*0.834603);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bfb8e0()
{
  return (neuron0xd122d20()*-0.559582);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13f630()
{
  return (neuron0x8bfb520()*2.31488);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13f670()
{
  return (neuron0xd13f2f0()*0.446153);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13f6b0()
{
  return (neuron0x1101cd80()*0.275524);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1101d0c0()
{
  return (neuron0x110139d0()*0.261933);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1101d100()
{
  return (neuron0x11012f90()*0.61868);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11013da0()
{
  return (neuron0x141c5de0()*0.566133);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11013360()
{
  return (neuron0xd1376e0()*0.454529);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1101d140()
{
  return (neuron0x8bf4750()*-0.683579);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a013d0()
{
  return (neuron0xd13d530()*0.247466);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a01410()
{
  return (neuron0xd142530()*0.08691);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8ab0()
{
  return (neuron0xd13c650()*-0.42512);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8af0()
{
  return (neuron0xf4aa5e0()*-0.351279);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8b30()
{
  return (neuron0xdf84c90()*-1.81132);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8b70()
{
  return (neuron0x8bef750()*-2.37441);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8bb0()
{
  return (neuron0x8be9d70()*-2.31256);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8bf0()
{
  return (neuron0xd122d20()*1.96673);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8c30()
{
  return (neuron0x8bfb520()*-2.41483);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8c70()
{
  return (neuron0xd13f2f0()*-0.0479608);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8cb0()
{
  return (neuron0x1101cd80()*0.0416943);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8cf0()
{
  return (neuron0x110139d0()*0.0990642);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8d30()
{
  return (neuron0x11012f90()*0.1848);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dea90()
{
  return (neuron0x141c5de0()*0.351385);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dead0()
{
  return (neuron0xd1376e0()*0.084065);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139deb10()
{
  return (neuron0x8bf4750()*0.203927);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139deb50()
{
  return (neuron0xd13d530()*1.79869);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139deb90()
{
  return (neuron0xd142530()*0.449666);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f8e80()
{
  return (neuron0xd13c650()*0.18797);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02470()
{
  return (neuron0xf4aa5e0()*-1.55309);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec024b0()
{
  return (neuron0xdf84c90()*-1.13632);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec024f0()
{
  return (neuron0x8bef750()*1.75142);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02530()
{
  return (neuron0x8be9d70()*1.19141);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02570()
{
  return (neuron0xd122d20()*-0.702678);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec025b0()
{
  return (neuron0x8bfb520()*1.17533);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec025f0()
{
  return (neuron0xd13f2f0()*0.189416);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02630()
{
  return (neuron0x1101cd80()*-0.070788);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02670()
{
  return (neuron0x110139d0()*0.362118);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec026b0()
{
  return (neuron0x11012f90()*-0.10594);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100da10()
{
  return (neuron0x141c5de0()*2.04287);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100da50()
{
  return (neuron0xd1376e0()*0.0240727);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100da90()
{
  return (neuron0x8bf4750()*-1.8057);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100dad0()
{
  return (neuron0xd13d530()*-1.10943);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100db10()
{
  return (neuron0xd142530()*-0.616335);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100db50()
{
  return (neuron0xd13c650()*-0.324547);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02800()
{
  return (neuron0xf4aa5e0()*-2.09952);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02840()
{
  return (neuron0xdf84c90()*0.708016);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf841f0()
{
  return (neuron0x8bef750()*-2.82868);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84230()
{
  return (neuron0x8be9d70()*-0.0111447);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84270()
{
  return (neuron0xd122d20()*-0.239919);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf842b0()
{
  return (neuron0x8bfb520()*0.0497511);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf842f0()
{
  return (neuron0xd13f2f0()*-0.243707);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84330()
{
  return (neuron0x1101cd80()*-0.297458);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84370()
{
  return (neuron0x110139d0()*-0.0453412);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf843b0()
{
  return (neuron0x11012f90()*0.349038);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110146d0()
{
  return (neuron0x141c5de0()*-0.359174);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84500()
{
  return (neuron0xd1376e0()*0.197364);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84540()
{
  return (neuron0x8bf4750()*0.0327751);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84580()
{
  return (neuron0xd13d530()*-0.551684);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf845c0()
{
  return (neuron0xd142530()*0.1022);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11014710()
{
  return (neuron0xd13c650()*0.16904);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11014750()
{
  return (neuron0xf4aa5e0()*-0.519238);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11014790()
{
  return (neuron0xdf84c90()*0.265169);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110147d0()
{
  return (neuron0x8bef750()*0.526109);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11014810()
{
  return (neuron0x8be9d70()*-1.14742);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139ee020()
{
  return (neuron0xd122d20()*0.155171);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139ee060()
{
  return (neuron0x8bfb520()*-0.305497);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139ee0a0()
{
  return (neuron0xd13f2f0()*-0.102258);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139ee0e0()
{
  return (neuron0x1101cd80()*-0.183775);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139ee120()
{
  return (neuron0x110139d0()*0.00741002);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139ee160()
{
  return (neuron0x11012f90()*-1.38131);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf822a0()
{
  return (neuron0x141c5de0()*-0.975091);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf822e0()
{
  return (neuron0xd1376e0()*-0.268104);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf82320()
{
  return (neuron0x8bf4750()*0.986925);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf82360()
{
  return (neuron0xd13d530()*-0.341671);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf823a0()
{
  return (neuron0xd142530()*-0.411309);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf823e0()
{
  return (neuron0xd13c650()*0.00670968);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf82420()
{
  return (neuron0xf4aa5e0()*1.43935);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf82460()
{
  return (neuron0xdf84c90()*1.22122);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf824a0()
{
  return (neuron0x8bef750()*0.210143);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf824e0()
{
  return (neuron0x8be9d70()*1.16222);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf82520()
{
  return (neuron0xd122d20()*0.673256);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf82560()
{
  return (neuron0x8bfb520()*1.67115);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7e660()
{
  return (neuron0xd13f2f0()*-1.65275);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7e6a0()
{
  return (neuron0x1101cd80()*0.40228);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7e6e0()
{
  return (neuron0x110139d0()*1.12548);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7e720()
{
  return (neuron0x11012f90()*1.23054);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c180()
{
  return (neuron0x141c5de0()*1.76893);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c1c0()
{
  return (neuron0xd1376e0()*0.0574431);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c200()
{
  return (neuron0x8bf4750()*-1.31361);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c240()
{
  return (neuron0xd13d530()*-1.02193);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c280()
{
  return (neuron0xd142530()*-2.88313);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c2c0()
{
  return (neuron0xd13c650()*-0.329277);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c300()
{
  return (neuron0xf4aa5e0()*2.01724);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c340()
{
  return (neuron0xdf84c90()*1.81698);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c380()
{
  return (neuron0x8bef750()*-1.02483);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c3c0()
{
  return (neuron0x8be9d70()*-0.311734);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c400()
{
  return (neuron0xd122d20()*0.49434);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c440()
{
  return (neuron0x8bfb520()*-0.0926326);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c480()
{
  return (neuron0xd13f2f0()*0.0690687);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf7c4c0()
{
  return (neuron0x1101cd80()*-0.392462);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf78ba0()
{
  return (neuron0x110139d0()*-0.591121);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf78be0()
{
  return (neuron0x11012f90()*0.0371409);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77be0()
{
  return (neuron0x141c5de0()*-0.371302);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77c20()
{
  return (neuron0xd1376e0()*0.299735);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77c60()
{
  return (neuron0x8bf4750()*-0.39634);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77ca0()
{
  return (neuron0xd13d530()*0.334512);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77ce0()
{
  return (neuron0xd142530()*0.00464556);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77d20()
{
  return (neuron0xd13c650()*0.079239);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77d60()
{
  return (neuron0xf4aa5e0()*0.452479);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77da0()
{
  return (neuron0xdf84c90()*-0.246439);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77de0()
{
  return (neuron0x8bef750()*-0.862739);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77e20()
{
  return (neuron0x8be9d70()*0.196606);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77e60()
{
  return (neuron0xd122d20()*-0.433137);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77ea0()
{
  return (neuron0x8bfb520()*0.473473);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77ee0()
{
  return (neuron0xd13f2f0()*2.87512);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77f20()
{
  return (neuron0x1101cd80()*-0.0767375);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77f60()
{
  return (neuron0x110139d0()*0.0238497);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77fa0()
{
  return (neuron0x11012f90()*-0.712042);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77fe0()
{
  return (neuron0x141c5de0()*0.228845);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76fe0()
{
  return (neuron0xd1376e0()*1.50636);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf77020()
{
  return (neuron0x8bf4750()*0.44744);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71140()
{
  return (neuron0xd13d530()*0.657284);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71180()
{
  return (neuron0xd142530()*-0.48373);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf711c0()
{
  return (neuron0xd13c650()*0.239971);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71200()
{
  return (neuron0xf4aa5e0()*2.86345);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71240()
{
  return (neuron0xdf84c90()*0.759478);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71280()
{
  return (neuron0x8bef750()*-0.185827);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf712c0()
{
  return (neuron0x8be9d70()*0.540681);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71300()
{
  return (neuron0xd122d20()*2.72174);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71340()
{
  return (neuron0x8bfb520()*0.150428);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71380()
{
  return (neuron0xd13f2f0()*-0.947972);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf713c0()
{
  return (neuron0x1101cd80()*-0.128135);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71400()
{
  return (neuron0x110139d0()*-0.0666257);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71440()
{
  return (neuron0x11012f90()*0.83542);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xde5c760()
{
  return (neuron0x141c5de0()*-1.55284);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xde5c7a0()
{
  return (neuron0xd1376e0()*0.217606);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71480()
{
  return (neuron0x8bf4750()*1.10983);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf714c0()
{
  return (neuron0xd13d530()*1.44055);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71500()
{
  return (neuron0xd142530()*0.710036);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf71540()
{
  return (neuron0xd13c650()*-0.22276);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e0c0()
{
  return (neuron0xf4aa5e0()*0.280827);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e100()
{
  return (neuron0xdf84c90()*-0.406101);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e140()
{
  return (neuron0x8bef750()*0.687342);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e180()
{
  return (neuron0x8be9d70()*0.892447);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e1c0()
{
  return (neuron0xd122d20()*0.396827);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e200()
{
  return (neuron0x8bfb520()*0.268547);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e240()
{
  return (neuron0xd13f2f0()*0.593415);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e280()
{
  return (neuron0x1101cd80()*-0.0347802);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e2c0()
{
  return (neuron0x110139d0()*0.782394);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e300()
{
  return (neuron0x11012f90()*-1.37682);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7cff0()
{
  return (neuron0x141c5de0()*1.46956);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d030()
{
  return (neuron0xd1376e0()*0.269853);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d070()
{
  return (neuron0x8bf4750()*1.63187);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d0b0()
{
  return (neuron0xd13d530()*-0.491634);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d0f0()
{
  return (neuron0xd142530()*-1.02591);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d130()
{
  return (neuron0xd13c650()*0.303583);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e450()
{
  return (neuron0xf4aa5e0()*-1.24897);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdd4e490()
{
  return (neuron0xdf84c90()*-0.758541);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22c60()
{
  return (neuron0x8bef750()*0.643226);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22ca0()
{
  return (neuron0x8be9d70()*-1.04314);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22ce0()
{
  return (neuron0xd122d20()*-1.21153);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22d20()
{
  return (neuron0x8bfb520()*-1.22827);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22d60()
{
  return (neuron0xd13f2f0()*0.0768617);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22da0()
{
  return (neuron0x1101cd80()*-0.182589);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22de0()
{
  return (neuron0x110139d0()*-0.13557);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda22e20()
{
  return (neuron0x11012f90()*-0.196813);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd96ed30()
{
  return (neuron0x141c5de0()*2.57981);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd96ee80()
{
  return (neuron0xd1376e0()*0.313478);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe9160()
{
  return (neuron0x8bf4750()*-0.336963);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe91a0()
{
  return (neuron0xd13d530()*1.34449);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd137900()
{
  return (neuron0xd142530()*-2.87288);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd137940()
{
  return (neuron0xd13c650()*0.0101805);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf4970()
{
  return (neuron0xf4aa5e0()*-3.23301);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf49b0()
{
  return (neuron0xdf84c90()*-0.6061);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13d750()
{
  return (neuron0x8bef750()*-0.570247);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13d790()
{
  return (neuron0x8be9d70()*-0.537504);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd142750()
{
  return (neuron0xd122d20()*1.27073);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd142790()
{
  return (neuron0x8bfb520()*-0.436862);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13c870()
{
  return (neuron0xd13f2f0()*0.922458);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13c8b0()
{
  return (neuron0x1101cd80()*0.0854975);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf4aa800()
{
  return (neuron0x110139d0()*0.0719254);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xf4aa840()
{
  return (neuron0x11012f90()*0.897127);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd122f40()
{
  return (neuron0x141c5de0()*0.448937);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd122f80()
{
  return (neuron0xd1376e0()*0.479995);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bfb740()
{
  return (neuron0x8bf4750()*0.308518);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bfb780()
{
  return (neuron0xd13d530()*-0.412722);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13f510()
{
  return (neuron0xd142530()*0.568103);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13f550()
{
  return (neuron0xd13c650()*0.0725844);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1101cfa0()
{
  return (neuron0xf4aa5e0()*-0.785638);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1101cfe0()
{
  return (neuron0xdf84c90()*3.06096);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11013bf0()
{
  return (neuron0x8bef750()*-0.234484);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11013c30()
{
  return (neuron0x8be9d70()*0.591692);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110131b0()
{
  return (neuron0xd122d20()*-0.987425);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110131f0()
{
  return (neuron0x8bfb520()*0.0551833);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139d97f0()
{
  return (neuron0xd13f2f0()*0.954319);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139d9830()
{
  return (neuron0x1101cd80()*0.0778012);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110246f0()
{
  return (neuron0x110139d0()*0.210282);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11024730()
{
  return (neuron0x11012f90()*-0.0951289);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8b187e0()
{
  return (neuron0x141c5de0()*0.454898);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8b18820()
{
  return (neuron0xd1376e0()*0.0496195);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8b18860()
{
  return (neuron0x8bf4750()*-3.57907);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8b188a0()
{
  return (neuron0xd13d530()*-1.05262);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a079c0()
{
  return (neuron0xd142530()*0.261477);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a07a00()
{
  return (neuron0xd13c650()*0.151993);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a07a40()
{
  return (neuron0xf4aa5e0()*2.50998);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x13a07a80()
{
  return (neuron0xdf84c90()*-0.387906);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023390()
{
  return (neuron0x8bef750()*0.333137);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110233d0()
{
  return (neuron0x8be9d70()*0.604994);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023410()
{
  return (neuron0xd122d20()*-4.23714);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023450()
{
  return (neuron0x8bfb520()*0.0857746);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023490()
{
  return (neuron0xd13f2f0()*-0.00167254);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110234d0()
{
  return (neuron0x1101cd80()*0.139613);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023510()
{
  return (neuron0x110139d0()*0.287263);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023550()
{
  return (neuron0x11012f90()*0.699722);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1734ae90()
{
  return (neuron0x141c5de0()*0.433465);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1734aed0()
{
  return (neuron0xd1376e0()*1.77601);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1734af10()
{
  return (neuron0x8bf4750()*0.252498);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1734af50()
{
  return (neuron0xd13d530()*0.0424798);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1734af90()
{
  return (neuron0xd142530()*-0.286383);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1734afd0()
{
  return (neuron0xd13c650()*0.27691);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110236a0()
{
  return (neuron0xf4aa5e0()*-0.0165786);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110236e0()
{
  return (neuron0xdf84c90()*-0.245812);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023720()
{
  return (neuron0x8bef750()*-0.678626);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11023760()
{
  return (neuron0x8be9d70()*0.196569);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x17347100()
{
  return (neuron0xd122d20()*0.160177);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x17347140()
{
  return (neuron0x8bfb520()*-0.0969194);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x17347180()
{
  return (neuron0xd13f2f0()*0.265856);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x173471c0()
{
  return (neuron0x1101cd80()*0.202266);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x17347200()
{
  return (neuron0x110139d0()*-0.0528669);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x17347240()
{
  return (neuron0x11012f90()*0.932311);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11018f60()
{
  return (neuron0x141c5de0()*-0.107963);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11018fa0()
{
  return (neuron0xd1376e0()*0.465175);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11018fe0()
{
  return (neuron0x8bf4750()*0.520576);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11019020()
{
  return (neuron0xd13d530()*-0.653897);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11019060()
{
  return (neuron0xd142530()*-0.884535);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110190a0()
{
  return (neuron0xd13c650()*-1.57808);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110190e0()
{
  return (neuron0xf4aa5e0()*0.284798);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11019120()
{
  return (neuron0xdf84c90()*0.146177);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11019160()
{
  return (neuron0x8bef750()*0.145214);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110191a0()
{
  return (neuron0x8be9d70()*-0.157343);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110191e0()
{
  return (neuron0xd122d20()*0.0646176);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11019220()
{
  return (neuron0x8bfb520()*-0.135444);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x173455e0()
{
  return (neuron0xd13f2f0()*0.0378214);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x17345620()
{
  return (neuron0x1101cd80()*0.00349318);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x17345660()
{
  return (neuron0x110139d0()*0.198852);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x173456a0()
{
  return (neuron0x11012f90()*0.108118);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38ee20()
{
  return (neuron0x141c5de0()*1.00666);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38ee60()
{
  return (neuron0xd1376e0()*0.0573025);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38eea0()
{
  return (neuron0x8bf4750()*0.653899);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38eee0()
{
  return (neuron0xd13d530()*-0.826183);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38ef20()
{
  return (neuron0xd142530()*-1.13243);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38ef60()
{
  return (neuron0xd13c650()*0.208255);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38efa0()
{
  return (neuron0xf4aa5e0()*0.218442);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38efe0()
{
  return (neuron0xdf84c90()*-1.39891);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38f020()
{
  return (neuron0x8bef750()*-1.00583);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38f060()
{
  return (neuron0x8be9d70()*-0.627655);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38f0a0()
{
  return (neuron0xd122d20()*-1.64243);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38f0e0()
{
  return (neuron0x8bfb520()*-0.920698);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38f120()
{
  return (neuron0xd13f2f0()*-0.785213);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38f160()
{
  return (neuron0x1101cd80()*0.136378);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea3e080()
{
  return (neuron0x110139d0()*-0.179382);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea3e0c0()
{
  return (neuron0x11012f90()*-1.11055);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d330()
{
  return (neuron0x141c5de0()*1.82135);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d370()
{
  return (neuron0xd1376e0()*0.190182);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d3b0()
{
  return (neuron0x8bf4750()*1.15402);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d3f0()
{
  return (neuron0xd13d530()*-1.03288);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d430()
{
  return (neuron0xd142530()*-0.508827);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d470()
{
  return (neuron0xd13c650()*-0.169975);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d4b0()
{
  return (neuron0xf4aa5e0()*0.850267);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d4f0()
{
  return (neuron0xdf84c90()*1.36273);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d530()
{
  return (neuron0x8bef750()*1.66265);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d570()
{
  return (neuron0x8be9d70()*0.782205);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d5b0()
{
  return (neuron0xd122d20()*0.57893);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d5f0()
{
  return (neuron0x8bfb520()*0.622825);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d630()
{
  return (neuron0xd13f2f0()*0.000497298);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d670()
{
  return (neuron0x1101cd80()*0.435192);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d6b0()
{
  return (neuron0x110139d0()*0.0682242);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d6f0()
{
  return (neuron0x11012f90()*0.726169);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe49d730()
{
  return (neuron0x10fde3d0()*0.767428);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226980()
{
  return (neuron0x13a07be0()*1.49848);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe2269c0()
{
  return (neuron0x13a06520()*0.207177);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226a00()
{
  return (neuron0x13a01450()*1.34545);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226a40()
{
  return (neuron0x139fd1f0()*0.822199);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226a80()
{
  return (neuron0x13a01240()*-0.469335);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226ac0()
{
  return (neuron0x139de7e0()*-1.06493);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226b00()
{
  return (neuron0x1100d760()*0.418432);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226b40()
{
  return (neuron0x11014420()*0.159992);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226b80()
{
  return (neuron0x139ee2b0()*1.18087);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe226bc0()
{
  return (neuron0xdf7e870()*0.640808);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13d870()
{
  return (neuron0xdf78d30()*-1.45325);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13d8b0()
{
  return (neuron0xdf76d30()*-0.426776);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13c990()
{
  return (neuron0xde5c4b0()*-0.579539);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd13c9d0()
{
  return (neuron0xda7cd40()*0.402133);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139fd410()
{
  return (neuron0xd96ea80()*-1.3521);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139fd450()
{
  return (neuron0x11024350()*1.23582);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110132d0()
{
  return (neuron0x8b18530()*-1.5902);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11013310()
{
  return (neuron0x1734abe0()*-0.484675);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dea00()
{
  return (neuron0x17347390()*0.346333);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dea40()
{
  return (neuron0x173457f0()*0.622188);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100d980()
{
  return (neuron0xea3e210()*-0.625398);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab520()
{
  return (neuron0x10fde3d0()*-0.502478);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab560()
{
  return (neuron0x13a07be0()*-2.17068);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab5a0()
{
  return (neuron0x13a06520()*0.645979);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab5e0()
{
  return (neuron0x13a01450()*-0.582332);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab620()
{
  return (neuron0x139fd1f0()*-2.56464);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab660()
{
  return (neuron0x13a01240()*1.12085);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab6a0()
{
  return (neuron0x139de7e0()*1.7726);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab6e0()
{
  return (neuron0x1100d760()*2.63341);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab720()
{
  return (neuron0x11014420()*1.87207);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe5ab760()
{
  return (neuron0x139ee2b0()*-0.723151);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x1100d9c0()
{
  return (neuron0xdf7e870()*-1.20086);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf78f50()
{
  return (neuron0xdf78d30()*-0.293312);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf78f90()
{
  return (neuron0xdf76d30()*0.439313);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76f50()
{
  return (neuron0xde5c4b0()*2.10564);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76f90()
{
  return (neuron0xda7cd40()*1.61298);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xde5c6d0()
{
  return (neuron0xd96ea80()*0.837927);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xde5c710()
{
  return (neuron0x11024350()*-0.735345);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7cf60()
{
  return (neuron0x8b18530()*4.46342);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7cfa0()
{
  return (neuron0x1734abe0()*0.175419);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd96eca0()
{
  return (neuron0x17347390()*0.0459132);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd96ece0()
{
  return (neuron0x173457f0()*-2.08549);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be9f90()
{
  return (neuron0xea3e210()*-1.25499);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea98c30()
{
  return (neuron0x10fde3d0()*-1.07783);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea98c70()
{
  return (neuron0x13a07be0()*-0.308269);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea98cb0()
{
  return (neuron0x13a06520()*0.495645);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea98cf0()
{
  return (neuron0x13a01450()*-0.145157);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea98d30()
{
  return (neuron0x139fd1f0()*-1.84428);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be9fd0()
{
  return (neuron0x13a01240()*1.04665);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea98d70()
{
  return (neuron0x139de7e0()*0.286683);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38ed90()
{
  return (neuron0x1100d760()*1.45093);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xe38edd0()
{
  return (neuron0x11014420()*0.417135);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea3e430()
{
  return (neuron0x139ee2b0()*-1.91439);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xea3e470()
{
  return (neuron0xdf7e870()*0.0848352);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84eb0()
{
  return (neuron0xdf78d30()*-0.781078);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf84ef0()
{
  return (neuron0xdf76d30()*-0.362442);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11014640()
{
  return (neuron0xde5c4b0()*0.947207);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11014680()
{
  return (neuron0xda7cd40()*1.33252);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11008e10()
{
  return (neuron0xd96ea80()*0.213109);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8b18750()
{
  return (neuron0x11024350()*0.514366);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8b18790()
{
  return (neuron0x8b18530()*0.915629);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11008f60()
{
  return (neuron0x1734abe0()*1.32386);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11008fa0()
{
  return (neuron0x17347390()*-0.0549036);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11008fe0()
{
  return (neuron0x173457f0()*0.0538451);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11009020()
{
  return (neuron0xea3e210()*-1.36958);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfbf0()
{
  return (neuron0x10fde3d0()*0.889738);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfc30()
{
  return (neuron0x13a07be0()*-0.47025);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfc70()
{
  return (neuron0x13a06520()*-1.39305);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfcb0()
{
  return (neuron0x13a01450()*0.175755);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfcf0()
{
  return (neuron0x139fd1f0()*-0.195164);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfd30()
{
  return (neuron0x13a01240()*0.288488);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfd70()
{
  return (neuron0x139de7e0()*1.37129);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfdb0()
{
  return (neuron0x1100d760()*0.677104);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfdf0()
{
  return (neuron0x11014420()*0.416727);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfe30()
{
  return (neuron0x139ee2b0()*0.216327);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110091f0()
{
  return (neuron0xdf7e870()*-1.55215);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11012520()
{
  return (neuron0xdf78d30()*0.591935);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11012560()
{
  return (neuron0xdf76d30()*1.14431);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110125a0()
{
  return (neuron0xde5c4b0()*1.62258);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110125e0()
{
  return (neuron0xda7cd40()*-0.0448308);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11012620()
{
  return (neuron0xd96ea80()*1.18865);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfa40()
{
  return (neuron0x11024350()*-0.344634);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139dfa80()
{
  return (neuron0x8b18530()*2.60684);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11012770()
{
  return (neuron0x1734abe0()*-1.9031);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110127b0()
{
  return (neuron0x17347390()*0.959787);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110127f0()
{
  return (neuron0x173457f0()*-0.164582);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11012830()
{
  return (neuron0xea3e210()*0.116923);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f1220()
{
  return (neuron0x10fde3d0()*-0.331194);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f1260()
{
  return (neuron0x13a07be0()*-0.813721);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f12a0()
{
  return (neuron0x13a06520()*-0.307134);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f12e0()
{
  return (neuron0x13a01450()*-0.456512);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11012870()
{
  return (neuron0x139fd1f0()*-0.797846);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110128b0()
{
  return (neuron0x13a01240()*0.411947);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x110128f0()
{
  return (neuron0x139de7e0()*0.338991);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x11012930()
{
  return (neuron0x1100d760()*1.08546);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3270()
{
  return (neuron0x11014420()*1.14728);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f32b0()
{
  return (neuron0x139ee2b0()*-0.290719);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f32f0()
{
  return (neuron0xdf7e870()*-0.872343);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3330()
{
  return (neuron0xdf78d30()*1.01094);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3370()
{
  return (neuron0xdf76d30()*-0.444704);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f33b0()
{
  return (neuron0xde5c4b0()*1.42385);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f33f0()
{
  return (neuron0xda7cd40()*-0.0592841);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3430()
{
  return (neuron0xd96ea80()*-0.123043);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f1070()
{
  return (neuron0x11024350()*-0.727258);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f10b0()
{
  return (neuron0x8b18530()*1.59461);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3580()
{
  return (neuron0x1734abe0()*-0.0499861);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f35c0()
{
  return (neuron0x17347390()*-0.317374);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3600()
{
  return (neuron0x173457f0()*-0.550687);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3640()
{
  return (neuron0xea3e210()*-1.00158);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x139f3680()
{
  return (neuron0x10fde3d0()*-1.36447);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10b42ef0()
{
  return (neuron0x13a07be0()*-1.17913);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10b42f30()
{
  return (neuron0x13a06520()*-0.0817553);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10b42f70()
{
  return (neuron0x13a01450()*-1.84026);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10b42fb0()
{
  return (neuron0x139fd1f0()*-1.3348);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76150()
{
  return (neuron0x13a01240()*0.46566);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76190()
{
  return (neuron0x139de7e0()*1.08497);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf761d0()
{
  return (neuron0x1100d760()*-0.407099);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76210()
{
  return (neuron0x11014420()*-0.106486);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76250()
{
  return (neuron0x139ee2b0()*-1.2237);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76290()
{
  return (neuron0xdf7e870()*-1.0671);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf762d0()
{
  return (neuron0xdf78d30()*0.326841);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76310()
{
  return (neuron0xdf76d30()*-0.995123);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76350()
{
  return (neuron0xde5c4b0()*0.776903);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76390()
{
  return (neuron0xda7cd40()*-0.0125718);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf763d0()
{
  return (neuron0xd96ea80()*0.292677);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76520()
{
  return (neuron0x11024350()*-1.25521);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdf76560()
{
  return (neuron0x8b18530()*1.42181);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10b42d40()
{
  return (neuron0x1734abe0()*0.794317);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10b42d80()
{
  return (neuron0x17347390()*-0.389766);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdc9a3d0()
{
  return (neuron0x173457f0()*-1.53689);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdc9a410()
{
  return (neuron0xea3e210()*-0.385936);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdc9a790()
{
  return (neuron0x10fde3d0()*-0.571671);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdc9a7d0()
{
  return (neuron0x13a07be0()*-0.664995);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d800()
{
  return (neuron0x13a06520()*0.694385);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d840()
{
  return (neuron0x13a01450()*-0.142201);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d880()
{
  return (neuron0x139fd1f0()*-1.68424);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d8c0()
{
  return (neuron0x13a01240()*1.85785);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d900()
{
  return (neuron0x139de7e0()*0.514873);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d940()
{
  return (neuron0x1100d760()*0.756177);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d980()
{
  return (neuron0x11014420()*-0.0115997);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7d9c0()
{
  return (neuron0x139ee2b0()*-0.330929);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7da00()
{
  return (neuron0xdf7e870()*-2.16621);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7da40()
{
  return (neuron0xdf78d30()*-0.00768887);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7da80()
{
  return (neuron0xdf76d30()*0.659651);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7dac0()
{
  return (neuron0xde5c4b0()*0.231867);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7db00()
{
  return (neuron0xda7cd40()*1.63141);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7db40()
{
  return (neuron0xd96ea80()*1.31919);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdc9a5e0()
{
  return (neuron0x11024350()*-1.7259);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xdc9a620()
{
  return (neuron0x8b18530()*1.17497);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7db80()
{
  return (neuron0x1734abe0()*0.980496);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7dbc0()
{
  return (neuron0x17347390()*-0.721007);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xda7dc00()
{
  return (neuron0x173457f0()*-0.108116);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe8ac0()
{
  return (neuron0xea3e210()*-0.365897);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129b30()
{
  return (neuron0x10fde3d0()*2.35551);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129b70()
{
  return (neuron0x13a07be0()*1.16706);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129bb0()
{
  return (neuron0x13a06520()*-0.558803);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129bf0()
{
  return (neuron0x13a01450()*1.07371);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129c30()
{
  return (neuron0x139fd1f0()*1.87589);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129c70()
{
  return (neuron0x13a01240()*-2.402);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129cb0()
{
  return (neuron0x139de7e0()*-1.71646);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe8db0()
{
  return (neuron0x1100d760()*-0.266104);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129cf0()
{
  return (neuron0x11014420()*-0.845978);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129d30()
{
  return (neuron0x139ee2b0()*0.626837);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129d70()
{
  return (neuron0xdf7e870()*0.858723);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129db0()
{
  return (neuron0xdf78d30()*-0.840438);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129df0()
{
  return (neuron0xdf76d30()*-0.66687);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129e30()
{
  return (neuron0xde5c4b0()*-0.347826);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129e70()
{
  return (neuron0xda7cd40()*-0.555377);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd129eb0()
{
  return (neuron0xd96ea80()*-1.32628);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe8c90()
{
  return (neuron0x11024350()*0.403832);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x10fe8cd0()
{
  return (neuron0x8b18530()*-1.07955);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd12c830()
{
  return (neuron0x1734abe0()*-1.73095);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd12c870()
{
  return (neuron0x17347390()*-1.26312);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd12c8b0()
{
  return (neuron0x173457f0()*0.439213);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd12c8f0()
{
  return (neuron0xea3e210()*1.35751);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd12cb50()
{
  return (neuron0x10fde3d0()*1.49628);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bee900()
{
  return (neuron0x13a07be0()*0.142919);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bee940()
{
  return (neuron0x13a06520()*0.617325);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bee980()
{
  return (neuron0x13a01450()*-0.24449);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bee9c0()
{
  return (neuron0x139fd1f0()*-0.768825);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beea00()
{
  return (neuron0x13a01240()*-0.357755);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beea40()
{
  return (neuron0x139de7e0()*1.29662);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beea80()
{
  return (neuron0x1100d760()*-0.10492);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beeac0()
{
  return (neuron0x11014420()*-1.07853);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beeb00()
{
  return (neuron0x139ee2b0()*-0.501153);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beeb40()
{
  return (neuron0xdf7e870()*-0.813505);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beeb80()
{
  return (neuron0xdf78d30()*0.115174);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beebc0()
{
  return (neuron0xdf76d30()*-1.17796);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8beec00()
{
  return (neuron0xde5c4b0()*-0.0718239);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1442a0()
{
  return (neuron0xda7cd40()*2.22729);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1442e0()
{
  return (neuron0xd96ea80()*0.859254);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd12cac0()
{
  return (neuron0x11024350()*0.388739);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd12cb00()
{
  return (neuron0x8b18530()*-0.367143);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd144430()
{
  return (neuron0x1734abe0()*-0.725249);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd144470()
{
  return (neuron0x17347390()*-0.333011);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1444b0()
{
  return (neuron0x173457f0()*-0.762351);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1444f0()
{
  return (neuron0xea3e210()*-0.0936203);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff260()
{
  return (neuron0x10fde3d0()*0.219141);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff2a0()
{
  return (neuron0x13a07be0()*0.0704586);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff2e0()
{
  return (neuron0x13a06520()*0.237035);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff320()
{
  return (neuron0x13a01450()*-0.120855);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff360()
{
  return (neuron0x139fd1f0()*0.246025);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff3a0()
{
  return (neuron0x13a01240()*0.079383);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff3e0()
{
  return (neuron0x139de7e0()*-0.431255);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff420()
{
  return (neuron0x1100d760()*0.0241293);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff460()
{
  return (neuron0x11014420()*-0.414206);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff4a0()
{
  return (neuron0x139ee2b0()*0.392856);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff4e0()
{
  return (neuron0xdf7e870()*0.372227);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1446c0()
{
  return (neuron0xdf78d30()*-0.420061);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd141620()
{
  return (neuron0xdf76d30()*0.233346);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd141660()
{
  return (neuron0xde5c4b0()*-0.771164);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1416a0()
{
  return (neuron0xda7cd40()*-0.0773822);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1416e0()
{
  return (neuron0xd96ea80()*-0.21285);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff0b0()
{
  return (neuron0x11024350()*0.295788);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bff0f0()
{
  return (neuron0x8b18530()*-0.25677);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd141830()
{
  return (neuron0x1734abe0()*0.348095);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd141870()
{
  return (neuron0x17347390()*-0.302464);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1418b0()
{
  return (neuron0x173457f0()*-0.251706);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1418f0()
{
  return (neuron0xea3e210()*0.45452);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd136a80()
{
  return (neuron0x10fde3d0()*-1.49065);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd136ac0()
{
  return (neuron0x13a07be0()*-1.70655);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd136b00()
{
  return (neuron0x13a06520()*0.202663);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd136b40()
{
  return (neuron0x13a01450()*-1.50168);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd141930()
{
  return (neuron0x139fd1f0()*-1.96968);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd141970()
{
  return (neuron0x13a01240()*0.519917);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1419b0()
{
  return (neuron0x139de7e0()*1.71164);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1419f0()
{
  return (neuron0x1100d760()*0.198631);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd141a30()
{
  return (neuron0x11014420()*0.818349);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c01d30()
{
  return (neuron0x139ee2b0()*-1.40988);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c01d70()
{
  return (neuron0xdf7e870()*-1.17474);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c01db0()
{
  return (neuron0xdf78d30()*0.992187);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c01df0()
{
  return (neuron0xdf76d30()*-1.04935);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c01e30()
{
  return (neuron0xde5c4b0()*0.752504);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c01e70()
{
  return (neuron0xda7cd40()*0.878397);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c01eb0()
{
  return (neuron0xd96ea80()*1.58999);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1368d0()
{
  return (neuron0x11024350()*-1.07834);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd136910()
{
  return (neuron0x8b18530()*2.34103);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c02000()
{
  return (neuron0x1734abe0()*0.923536);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c02040()
{
  return (neuron0x17347390()*-0.248091);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c02080()
{
  return (neuron0x173457f0()*-1.69322);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c020c0()
{
  return (neuron0xea3e210()*-1.46098);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd139700()
{
  return (neuron0x10fde3d0()*-0.208666);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd139740()
{
  return (neuron0x13a07be0()*-0.412959);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd139780()
{
  return (neuron0x13a06520()*-2.58238);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1397c0()
{
  return (neuron0x13a01450()*-0.796422);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c02100()
{
  return (neuron0x139fd1f0()*0.184961);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8c02140()
{
  return (neuron0x13a01240()*-0.710717);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02960()
{
  return (neuron0x139de7e0()*-0.615499);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec029a0()
{
  return (neuron0x1100d760()*0.0478492);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec029e0()
{
  return (neuron0x11014420()*0.893264);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02a20()
{
  return (neuron0x139ee2b0()*0.952861);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02a60()
{
  return (neuron0xdf7e870()*1.43263);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02aa0()
{
  return (neuron0xdf78d30()*0.549095);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02ae0()
{
  return (neuron0xdf76d30()*1.5457);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02b20()
{
  return (neuron0xde5c4b0()*1.16808);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02b60()
{
  return (neuron0xda7cd40()*-2.71114);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02ba0()
{
  return (neuron0xd96ea80()*0.218126);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd139550()
{
  return (neuron0x11024350()*-0.642319);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd139590()
{
  return (neuron0x8b18530()*2.06719);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02cf0()
{
  return (neuron0x1734abe0()*-2.37229);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02d30()
{
  return (neuron0x17347390()*3.03075);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xec02d70()
{
  return (neuron0x173457f0()*0.20082);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf91b0()
{
  return (neuron0xea3e210()*0.234901);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf9530()
{
  return (neuron0xe2267f0()*1.52676);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf9570()
{
  return (neuron0xe5ab390()*-2.34288);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf95b0()
{
  return (neuron0xea98aa0()*-0.170713);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf95f0()
{
  return (neuron0x11009060()*-2.93134);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd132650()
{
  return (neuron0x139f0ee0()*-1.30045);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd132690()
{
  return (neuron0x10b42bb0()*0.273463);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1326d0()
{
  return (neuron0xdc9a450()*-1.74916);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd132710()
{
  return (neuron0x10fe8b00()*1.42344);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd132750()
{
  return (neuron0xd12c930()*-1.10468);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd132790()
{
  return (neuron0xd144530()*0.687177);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1327d0()
{
  return (neuron0xd136740()*0.416071);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd132810()
{
  return (neuron0xd1393c0()*-3.21495);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc010()
{
  return (neuron0xe2267f0()*-0.532475);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc050()
{
  return (neuron0xe5ab390()*-1.11012);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc090()
{
  return (neuron0xea98aa0()*-0.291566);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc0d0()
{
  return (neuron0x11009060()*-0.187995);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc110()
{
  return (neuron0x139f0ee0()*-0.377675);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc150()
{
  return (neuron0x10b42bb0()*0.443716);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc190()
{
  return (neuron0xdc9a450()*-1.11455);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc1d0()
{
  return (neuron0x10fe8b00()*-0.373096);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc210()
{
  return (neuron0xd12c930()*-1.43244);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc250()
{
  return (neuron0xd144530()*0.32639);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc290()
{
  return (neuron0xd136740()*0.9363);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc2d0()
{
  return (neuron0xd1393c0()*-0.825645);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be4fc0()
{
  return (neuron0xe2267f0()*-0.630325);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be5000()
{
  return (neuron0xe5ab390()*-4.8247);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be5040()
{
  return (neuron0xea98aa0()*2.28458);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be5080()
{
  return (neuron0x11009060()*-2.26933);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be50c0()
{
  return (neuron0x139f0ee0()*-2.11791);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd132a70()
{
  return (neuron0x10b42bb0()*1.0036);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dc310()
{
  return (neuron0xdc9a450()*-2.59399);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd1259c0()
{
  return (neuron0x10fe8b00()*2.74374);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd125a00()
{
  return (neuron0xd12c930()*-3.07861);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd125a40()
{
  return (neuron0xd144530()*1.04159);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd125a80()
{
  return (neuron0xd136740()*0.346439);
}

double TMVAClassification_TMlpANN_NoENu::synapse0xd125ac0()
{
  return (neuron0xd1393c0()*-4.91517);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfad0()
{
  return (neuron0xe2267f0()*-0.560742);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfb10()
{
  return (neuron0xe5ab390()*-0.819727);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfb50()
{
  return (neuron0xea98aa0()*-1.29045);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfb90()
{
  return (neuron0x11009060()*-1.23151);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfbd0()
{
  return (neuron0x139f0ee0()*-0.327968);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfc10()
{
  return (neuron0x10b42bb0()*0.010253);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfc50()
{
  return (neuron0xdc9a450()*-0.357504);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfc90()
{
  return (neuron0x10fe8b00()*-0.268131);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfcd0()
{
  return (neuron0xd12c930()*-0.0641547);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfd10()
{
  return (neuron0xd144530()*0.088876);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfd50()
{
  return (neuron0xd136740()*-0.85454);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfd90()
{
  return (neuron0xd1393c0()*-0.49979);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf3bb0()
{
  return (neuron0xe2267f0()*-0.435908);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf3bf0()
{
  return (neuron0xe5ab390()*0.228929);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf3c30()
{
  return (neuron0xea98aa0()*-0.634401);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf3c70()
{
  return (neuron0x11009060()*-0.5555);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8bf3cb0()
{
  return (neuron0x139f0ee0()*0.574383);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfdd0()
{
  return (neuron0x10b42bb0()*-0.742947);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfe10()
{
  return (neuron0xdc9a450()*0.182207);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfe50()
{
  return (neuron0x10fe8b00()*-0.0389596);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfe90()
{
  return (neuron0xd12c930()*0.169415);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dfed0()
{
  return (neuron0xd144530()*-0.260086);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143dff10()
{
  return (neuron0xd136740()*-0.191915);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143d0fe0()
{
  return (neuron0xd1393c0()*0.313205);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143d1360()
{
  return (neuron0xe2267f0()*-0.409349);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143d13a0()
{
  return (neuron0xe5ab390()*1.08194);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143d13e0()
{
  return (neuron0xea98aa0()*-0.0342816);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143d1420()
{
  return (neuron0x11009060()*0.769248);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd2e0()
{
  return (neuron0x139f0ee0()*1.02435);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd320()
{
  return (neuron0x10b42bb0()*-0.490116);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd360()
{
  return (neuron0xdc9a450()*1.14004);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd3a0()
{
  return (neuron0x10fe8b00()*-0.39766);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd3e0()
{
  return (neuron0xd12c930()*0.681308);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd420()
{
  return (neuron0xd144530()*-0.672755);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd460()
{
  return (neuron0xd136740()*-0.268071);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd4a0()
{
  return (neuron0xd1393c0()*1.50026);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x143bd700()
{
  return (neuron0x8bf91f0()*-3.12659);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be88e0()
{
  return (neuron0xd132850()*-0.458682);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be8920()
{
  return (neuron0x8be4c80()*3.49542);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be8960()
{
  return (neuron0xd125b00()*5.25055);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be89a0()
{
  return (neuron0x8bf3870()*-0.0263247);
}

double TMVAClassification_TMlpANN_NoENu::synapse0x8be89e0()
{
  return (neuron0x143d1020()*-0.570892);
}

