////////////////////////////////////////////////////////////////////////
// \file    SRGenParticle.cxx
// \brief   Object collecting Generator (GENIE) MC truth variables for caf
// \version
// \author  Nathan Mayer - nathan.mayer@tufts.edu
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRGenParticle.h"


namespace caf {

  SRGenParticle::SRGenParticle():
    fP4(std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN()),
    fVtx(std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN()),
    fPolz(std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN()),
    fNuclVtx(std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN()),

    fPdgCode(std::numeric_limits<int>::signaling_NaN()),             
    fStatus(std::numeric_limits<int>::signaling_NaN()),              
    fRescatterCode(std::numeric_limits<int>::signaling_NaN()),       
    fFirstDaughter(std::numeric_limits<int>::signaling_NaN()),       
    fLastDaughter(std::numeric_limits<int>::signaling_NaN())
    
  { }

  SRGenParticle::~SRGenParticle() { }
 
  
	  

} // end namespace caf
////////////////////////////////////////////////////////////////////////
