////////////////////////////////////////////////////////////////////////
// \file    SRGenParticle.h
// \brief   Object collecting Generator (GENIE) MC truth variables for caf
// \version
// \author  Nathan Mayer - nathan.mayer@tufts.edu
////////////////////////////////////////////////////////////////////////
#ifndef SRGENPARTICLE_H
#define SRGENPARTICLE_H


#include "TVector3.h"
#include <TLorentzVector.h>

/// \f$ \nu_e \f$ sandbox
namespace caf
{
  /// \f$ \nu_e \f$ sandbox variables
  class SRGenParticle
  {
  public:
    SRGenParticle();
    ~SRGenParticle();

    TLorentzVector fP4;
    TLorentzVector fVtx;
    TVector3 fPolz;

    TLorentzVector fNuclVtx;  ///< position 4-vector (in the target nucleus coordinate system / x,y,z in fm / t=0) 
 
    int fPdgCode;             ///< particle PDG code
    int fStatus;              ///< particle status 
    int fRescatterCode;       ///< rescattering code 
    int fFirstDaughter;       ///< first daughter idx
    int fLastDaughter;        ///< last daughter idx
    int fMother;              ///< mother particle pdg
     
  };
  
}

#endif // SRGENPARTICLE_H
//////////////////////////////////////////////////////////////////////////////
