////////////////////////////////////////////////////////////////////////
/// \brief   Reweight information for a single GENIE systematic
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRGenieWeights.h"

#include <limits>

namespace
{
  const float kUninit = std::numeric_limits<float>::signaling_NaN();
}

namespace caf
{
  SRGenieWeights::SRGenieWeights() :
    minus2sigma(kUninit),
    minus1sigma(kUninit),
    plus1sigma(kUninit),
    plus2sigma(kUninit)
  {
  }
} // end namespace caf

////////////////////////////////////////////////////////////////////////
