////////////////////////////////////////////////////////////////////////
// \file    SRGlobalTruth.h 
// \brief   An  SRGlobalTruth contains information about the event from which the slice came. 
//			Information in this branch should be used with caution since it can be 
// 			duplicated across entries (slices) in the CAF tree.   			
// \author  rocco 
// \date    2014-08-28 
////////////////////////////////////////////////////////////////////////

#ifndef SRGLOBALTRUTH_H 
#define SRGLOBALTRUTH_H 


namespace caf
{
  /// An  SRGlobalTruth contains about the event from which the slice came. 
  /// Information in this branch should be used with caution since it can be 
  /// duplicated across entries (slices) in the CAF tree.   			
  class SRGlobalTruth
    {
    public:
      ///  Default constructor for SRGlobalTruth.
      SRGlobalTruth();
      
      /// Default destuctor.
      ~SRGlobalTruth();

      
      unsigned int nnu;       	///< Number of true neutrinos in the event
      							///< WARNING: this variable is duplicated across slices 
      
      
    };
  
} // end namespace

#endif // SRGLOBALTRUTH_H 
//////////////////////////////////////////////////////////////////////////////
