////////////////////////////////////////////////////////////////////////
// \file    SRJMEnergy.h
// \brief   This is a class for the NueSel energy estimate
// \version $Id: SRJMEnergy.h,v 1.2 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#ifndef SRJMENERGY_H
#define SRJMENERGY_H

namespace caf
{
  /// This is a class for the NueSel energy estimate.  
  class SRJMEnergy
    {
    public:
      ///  Default constructor. 
      SRJMEnergy();
      
      /// Default destuctor.
      virtual ~SRJMEnergy();

      float      E;       ///< Energy      [GeV]

      float      depE;    ///< Total energy deposited      [GeV]
      float      shwE;    ///< Energy of primary shower [GeV]

      virtual void setDefault();
      
    };
  
} // end namespace

#endif // SRJMENERGY_H
//////////////////////////////////////////////////////////////////////////////
