////////////////////////////////////////////////////////////////////////
// \file    SRShower.cxx
// \brief   An SRShower is a high level shower object.  It knows its 
//          direction and length and width, but does not own its cell hits.
// \version $Id: SRJMShower.cxx,v 1.2 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include<limits>

#include "StandardRecord/SRJMShower.h"


namespace caf 
{
  
  SRJMShower::SRJMShower():
    nhit(-1),
    nhitx(-1),
    nhity(-1),
    nplane(-1),
    maxplanecont(-1),
    maxplanegap(-1),
    calE(std::numeric_limits<float>::signaling_NaN()),
    start(std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN()),
    dir(std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN()),
    len(std::numeric_limits<float>::signaling_NaN()),
    width(std::numeric_limits<float>::signaling_NaN()),
    nplanex(-1),
    nplaney(-1),
    gap(std::numeric_limits<float>::signaling_NaN()),
    stop(std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN()),
    shwE(std::numeric_limits<float>::signaling_NaN()),
    vtxE(std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  SRJMShower::~SRJMShower(){  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
