////////////////////////////////////////////////////////////////////////
// \file    SRLem.cxx
// \brief   This class contains the LEM PID output.  
// \version $Id: SRLem.cxx,v 1.4 2012-12-07 06:37:29 gsdavies Exp $  
// \author  $Author: gsdavies $
// \date    $Date: 2012-12-07 06:37:29 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRLem.h"

#include <limits>


namespace caf 
{
  
  SRLem::SRLem():
  pid(std::numeric_limits<float>::signaling_NaN()),
  pidfit(std::numeric_limits<float>::signaling_NaN()),
  pidexp(std::numeric_limits<float>::signaling_NaN()),
  pidexpfit(std::numeric_limits<float>::signaling_NaN()),
  meany(std::numeric_limits<float>::signaling_NaN()),
  meanyfit(std::numeric_limits<float>::signaling_NaN()),
  meanyexp(std::numeric_limits<float>::signaling_NaN()),
  meanysig(std::numeric_limits<float>::signaling_NaN()),
  meanysigexp(std::numeric_limits<float>::signaling_NaN()),
  meanqfrac(std::numeric_limits<float>::signaling_NaN()),
  meanqfracfit(std::numeric_limits<float>::signaling_NaN()),
  meanqfracexp(std::numeric_limits<float>::signaling_NaN()),
  meanqfracsig(std::numeric_limits<float>::signaling_NaN()),
  meanqfracsigexp(std::numeric_limits<float>::signaling_NaN()),
  meanqfracbkg(std::numeric_limits<float>::signaling_NaN()),
  meanqfracbkgexp(std::numeric_limits<float>::signaling_NaN()),
  energydiff(std::numeric_limits<float>::signaling_NaN()),
  energydiffexp(std::numeric_limits<float>::signaling_NaN()),
  enrichfrac(std::numeric_limits<float>::signaling_NaN()),
  enrichfracexp(std::numeric_limits<float>::signaling_NaN()),
  fannid(std::numeric_limits<float>::signaling_NaN()),
  fannidenrich(std::numeric_limits<float>::signaling_NaN()),
  chisig(std::numeric_limits<float>::signaling_NaN()),
  chibkg(std::numeric_limits<float>::signaling_NaN()),
  chisigexp(std::numeric_limits<float>::signaling_NaN()),
  chibkgexp(std::numeric_limits<float>::signaling_NaN()),
  avginvE(std::numeric_limits<float>::signaling_NaN()),
  avgexpE(std::numeric_limits<float>::signaling_NaN()),
  avgsigE(std::numeric_limits<float>::signaling_NaN()),
  tmvabdtg(std::numeric_limits<float>::signaling_NaN()),
  tmvabdt(std::numeric_limits<float>::signaling_NaN()),
  tmvabdtd(std::numeric_limits<float>::signaling_NaN()),
  tmvabdtmf(std::numeric_limits<float>::signaling_NaN()),
  tmvamlp(std::numeric_limits<float>::signaling_NaN()),
  dectree(std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  SRLem::~SRLem(){  }
  
  void SRLem::setDefault()
  {
    pid             = -5;
    pidfit          = -5;
    pidexp          = -5;
    pidexpfit       = -5;
    meany           = -5;
    meanyfit        = -5;
    meanyexp        = -5;
    meanysig        = -5;
    meanysigexp     = -5;
    meanqfrac       = -5;
    meanqfracfit    = -5;
    meanqfracexp    = -5;
    meanqfracsig    = -5;
    meanqfracsigexp = -5;
    meanqfracbkg    = -5;
    meanqfracbkgexp = -5;
    energydiff      = -5;
    energydiffexp   = -5;
    enrichfrac      = -5;
    enrichfracexp   = -5;
    fannid          = -5;
    fannidenrich    = -5;
    chisig          = -5;
    chibkg          = -5;
    chisigexp       = -5;
    chibkgexp       = -5;
    avginvE         = -5;
    avgexpE         = -5;
    avgsigE         = -5;
    tmvabdtg        = -5;
    tmvabdt         = -5;
    tmvabdtd        = -5;
    tmvabdtmf       = -5;
    tmvamlp         = -5;
    dectree         = -5;
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
