////////////////////////////////////////////////////////////////////////
// \file    SREnergy.h
// \brief   This is a simple class for energy estimators in the standard record.  
// \version $Id: SRNumuEnergy.cxx,v 1.1 2012-11-19 19:45:16 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 19:45:16 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRNumuEnergy.h"

namespace caf 
{
  
  SRNumuEnergy::SRNumuEnergy():
  E(std::numeric_limits<float>::signaling_NaN()),
  calccE(std::numeric_limits<float>::signaling_NaN()),
  trkqeE(std::numeric_limits<float>::signaling_NaN()),
  trknonqeE(std::numeric_limits<float>::signaling_NaN()),
  trkccE(std::numeric_limits<float>::signaling_NaN()),
  shiftedtrkccE(std::numeric_limits<float>::signaling_NaN()),
  angleE(std::numeric_limits<float>::signaling_NaN()),
  angleerror(std::numeric_limits<float>::signaling_NaN()),
  hadcalE(std::numeric_limits<float>::signaling_NaN()),
  hadtrkE(std::numeric_limits<float>::signaling_NaN()),
  ucccE(std::numeric_limits<float>::signaling_NaN()),
  fsE(std::numeric_limits<float>::signaling_NaN()),
  ndtrklenact(std::numeric_limits<float>::signaling_NaN()),
  ndtrklencat(std::numeric_limits<float>::signaling_NaN()),
  ndtrkcalactE(std::numeric_limits<float>::signaling_NaN()),
  ndtrkcaltranE(std::numeric_limits<float>::signaling_NaN()),
  ndtrkcalcatE(std::numeric_limits<float>::signaling_NaN()),
  ndhadcalactE(std::numeric_limits<float>::signaling_NaN()),
  ndhadcaltranE(std::numeric_limits<float>::signaling_NaN()),
  ndhadcalcatE(std::numeric_limits<float>::signaling_NaN()),
  ndhadtrkactE(std::numeric_limits<float>::signaling_NaN()),
  ndhadtrktranE(std::numeric_limits<float>::signaling_NaN()),
  ndhadtrkcatE(std::numeric_limits<float>::signaling_NaN()),
  ndtrktranx(std::numeric_limits<float>::signaling_NaN()),
  ndtrktrany(std::numeric_limits<float>::signaling_NaN()),
  hadclust()
  {   }
  
  
  SRNumuEnergy::~SRNumuEnergy(){  }
  
  void SRNumuEnergy::setDefault()
  {
    E             = -5;
    calccE        = -5;
    trkqeE        = -5;
    trknonqeE     = -5;
    trkccE        = -5;
    shiftedtrkccE = -5;
    angleE        = -5;
    angleerror    = -5;
    ucccE         = -5;
    fsE           = -5;
    hadcalE       = -5;
    hadtrkE       = -5;
    ndtrklenact   = -5; 
    ndtrklencat   = -5;
    ndtrkcalactE  = -5;
    ndtrkcaltranE = -5;
    ndtrkcalcatE  = -5; 
    ndhadcalactE  = -5;
    ndhadcaltranE = -5;
    ndhadcalcatE  = -5;  
    ndhadtrkactE  = -5;
    ndhadtrktranE = -5;
    ndhadtrkcatE  = -5;  
    ndtrktranx    = 999;  
    ndtrktrany    = 999; 
    hadclust.setDefault();
    
  }
} // end namespace caf
////////////////////////////////////////////////////////////////////////
