////////////////////////////////////////////////////////////////////////
// \file    SRNumuSandbox.cxx
// \brief   Class for storing information necessary for nu_e analysis. 
//          This information might not exist here forever, it may 
//          eventually be moved somewhere else. 
// \version $Id: SRNumuSandbox.cxx,v 1.1 2012-12-07 21:17:12 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-07 21:17:12 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRNumuSandbox.h"

#include <limits>


namespace caf
{
  SRNumuSandbox::SRNumuSandbox():
  pimudecay       (std::numeric_limits<int>::signaling_NaN()),
  nprotons        (std::numeric_limits<int>::signaling_NaN()),
  nmutrks         (std::numeric_limits<int>::signaling_NaN()),
  pdgbest         (std::numeric_limits<int>::signaling_NaN()),
  pdgsecondbest   (std::numeric_limits<int>::signaling_NaN()),
  ndropouts       (std::numeric_limits<int>::signaling_NaN()),
  nbaddcms        (std::numeric_limits<int>::signaling_NaN())
  {  }


  SRNumuSandbox::~SRNumuSandbox(){  }

  void SRNumuSandbox::setDefault()
  {
    pimudecay    = -5;
    nprotons     = -5;
    nmutrks      = -5;
    pdgbest      = -5;
    pdgsecondbest= -5;
    ndropouts    = -5;
    nbaddcms    = -5;
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
