////////////////////////////////////////////////////////////////////////
// \file    SRNumuSandbox.h
// \brief   Class for storing information necessary for nu_mu analysis. 
//          This information might not exist here forever, it may 
//          eventually be moved somewhere else. 
// \version $Id: SRNumuSandbox.h,v 1.1 2012-12-07 21:17:12 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-07 21:17:12 $
#ifndef SRNUMUSANDBOX_H
#define SRNUMUSANDBOX_H


namespace caf
{
    /// Class for storing information necessary for nu_mu analysis. 
    /// This information might not exist here forever, it may 
    /// eventually be moved somewhere else.
    class SRNumuSandbox{
    public:
      ///  Default constructor
      SRNumuSandbox();

      /// Default destuctor
      ~SRNumuSandbox();
      void setDefault();

      int     pimudecay;        ///< did slice contain pi->mu decay?
      int     nprotons;
      int     nmutrks;
      int     pdgbest;
      int     pdgsecondbest;
      int     ndropouts; ///< same as spill tree nmissingdcmslg
      int     nbaddcms; ///< same as spill tree nbaddcmslg
    };

} // end namespace

#endif // SRNUMUSANDBOX_H
//////////////////////////////////////////////////////////////////////////////
