////////////////////////////////////////////////////////////////////////
// \file    SRProng.cxx
// \brief   An SRProng is a high level reconstructed object.  It knows its 
//          direction and start point, but does not own its cell hits.
// \version $Id: SRProng.cxx,v 1.3 2012-11-19 17:32:22 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRProng.h"


namespace caf 
{
  
  SRProng::SRProng():
  nhit(std::numeric_limits<int>::signaling_NaN()),
  nhitx(std::numeric_limits<int>::signaling_NaN()),
  nhity(std::numeric_limits<int>::signaling_NaN()),
  nplane(std::numeric_limits<int>::signaling_NaN()),
  maxplanecont(std::numeric_limits<int>::signaling_NaN()),
  maxplanegap(std::numeric_limits<int>::signaling_NaN()),
  calE(std::numeric_limits<float>::signaling_NaN()),
  start(std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN()),
  dir(std::numeric_limits<float>::signaling_NaN(),
      std::numeric_limits<float>::signaling_NaN(),
      std::numeric_limits<float>::signaling_NaN()),
  len(std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
