////////////////////////////////////////////////////////////////////////
// \file    SRQepid.cxx
// \brief   This class contains the QE muon CC PID (QeMId) output.  
// \version $Id: SRQepid.cxx,v 1.1 2013-02-10 19:57:37 raddatz Exp $  
// \author  $Author: raddatz $
// \date    $Date: 2012-12-10 19:57:37 $
////////////////////////////////////////////////////////////////////////
#include<iostream>
#include<limits>


#include "StandardRecord/SRQepid.h"




namespace caf 
{
  
  SRQepid::SRQepid():
  pdg(std::numeric_limits<int>::signaling_NaN()),
  mode(std::numeric_limits<int>::signaling_NaN()),
  ntrk(std::numeric_limits<int>::signaling_NaN()),
  pid(std::numeric_limits<float>::signaling_NaN()),
  offE(std::numeric_limits<float>::signaling_NaN()),
  ediff(std::numeric_limits<float>::signaling_NaN()),
  ediffz(std::numeric_limits<float>::signaling_NaN()),
  dedx(std::numeric_limits<float>::signaling_NaN())

  {  }
  
  
  SRQepid::~SRQepid(){  }

  void SRQepid::setDefault()
  {
    pdg        = -5;
    mode       = -5;
    ntrk       = -5;
    pid        = -5;
    offE       = -5;
    ediff      = -5;
    ediffz     = -5;
    dedx       = -5;
    
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
