////////////////////////////////////////////////////////////////////////
// \file    SRRvp.cxx
// \brief   This class contains the RVP PID output.  
// \version $Id: SRRvp.cxx,v 1.1 2012-12-07 06:37:29 gsdavies Exp $  
// \author  gsdavies@iastate.edu
// \date    $Date: 2012-12-07 06:37:29 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRRvp.h"

#include <limits>


namespace caf 
{
  
  SRRvp::SRRvp():
  pid(std::numeric_limits<float>::signaling_NaN()),
  ncell(std::numeric_limits<int>::signaling_NaN()),
  recoE(std::numeric_limits<float>::signaling_NaN()),
  longtr(std::numeric_limits<float>::signaling_NaN()),
  longtrfrac(std::numeric_limits<float>::signaling_NaN()),
  mipfrac(std::numeric_limits<float>::signaling_NaN()),
  miphits(std::numeric_limits<float>::signaling_NaN()),
  epl20frac(std::numeric_limits<float>::signaling_NaN()),
  efrac2plwin(std::numeric_limits<float>::signaling_NaN()),
  efrac6plwin(std::numeric_limits<float>::signaling_NaN()),
  efrac2sigrd(std::numeric_limits<float>::signaling_NaN()),
  prongs3D(std::numeric_limits<int>::signaling_NaN()),
  prongEbal3D(std::numeric_limits<float>::signaling_NaN()),
  prongs2D(std::numeric_limits<int>::signaling_NaN()),
  prongEbal2D(std::numeric_limits<float>::signaling_NaN()),
  eiso3sig(std::numeric_limits<float>::signaling_NaN()),
  rvp12(std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  SRRvp::~SRRvp(){  }
  
  void SRRvp::setDefault()
  {
    pid         = -5;
    ncell       = -5;
    recoE       = -5;
    longtr      = -5;
    longtrfrac  = -5;
    mipfrac     = -5;
    miphits     = -5;
    epl20frac   = -5;
    efrac2plwin = -5;
    efrac6plwin = -5;
    efrac2sigrd = -5;
    prongs3D    = -5;
    prongEbal3D = -5;
    prongs2D    = -5;
    prongEbal2D = -5;
    eiso3sig    = -5;
    rvp12       = -5;
    
  }


} // end namespace caf
////////////////////////////////////////////////////////////////////////
