////////////////////////////////////////////////////////////////////////
// \file    SRSLid.cxx
// \brief   This class contains the output of the LIDBuilder module.
// \version $Id: SRJMEid.cxx,v 1.3 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRSLid.h"

#include<limits>


namespace caf 
{
  
  SRSLid ::SRSLid():
  ann(std::numeric_limits<float>::signaling_NaN()),
  anne(std::numeric_limits<float>::signaling_NaN()),
  ismuon(std::numeric_limits<int>::signaling_NaN()),
  eglll(std::numeric_limits<float>::signaling_NaN()),
  egllt(std::numeric_limits<float>::signaling_NaN()),
  emulll(std::numeric_limits<float>::signaling_NaN()),
  emullt(std::numeric_limits<float>::signaling_NaN()),
  epi0lll(std::numeric_limits<float>::signaling_NaN()),
  epi0llt(std::numeric_limits<float>::signaling_NaN()),
  eplll(std::numeric_limits<float>::signaling_NaN()),
  epllt(std::numeric_limits<float>::signaling_NaN()),
  enlll(std::numeric_limits<float>::signaling_NaN()),
  enllt(std::numeric_limits<float>::signaling_NaN()),
  epilll(std::numeric_limits<float>::signaling_NaN()),
  epillt(std::numeric_limits<float>::signaling_NaN()),
  vtxgev(std::numeric_limits<float>::signaling_NaN()),
  pi0mass(std::numeric_limits<float>::signaling_NaN()),
  shwEFrac(std::numeric_limits<float>::signaling_NaN()),
  gap(std::numeric_limits<float>::signaling_NaN()),
  costheta(std::numeric_limits<float>::signaling_NaN()),
  elll(std::numeric_limits<float>::signaling_NaN()),
  ellt(std::numeric_limits<float>::signaling_NaN()),
  mulll(std::numeric_limits<float>::signaling_NaN()),
  mullt(std::numeric_limits<float>::signaling_NaN()),
  invglll(std::numeric_limits<float>::signaling_NaN())
  {  }
 
  
  SRSLid::~SRSLid(){  }
  
  void SRSLid::setDefault()
  {
    ann      = -5.0; 
    anne     = -5.0;
    ismuon   = -5;
    eglll    = -5;
    egllt    = -5;
    emulll   = -5;
    emullt   = -5;
    epi0lll  = -5;
    epi0llt  = -5;
    eplll    = -5;
    epllt    = -5;
    enlll    = -5;
    enllt    = -5;
    epilll   = -5;
    epillt   = -5;
    vtxgev   = -5;
    pi0mass  = -5;
    shwEFrac = -5;
    gap      = -5;
    costheta = -5;
    elll     = -5;
    ellt     = -5;
    mulll    = -5;
    mullt    = -5;
    invglll  = -5;
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
