////////////////////////////////////////////////////////////////////////
// \file    SRJMEnergy.cxx
// \brief   This is a class for the NueSel energy estimate
// \version $Id: SRJMEnergy.cxx,v 1.2 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRSLidEnergy.h"




namespace caf 
{
  
  SRSLidEnergy::SRSLidEnergy():
  E(std::numeric_limits<float>::signaling_NaN()),
  depE(std::numeric_limits<float>::signaling_NaN()),
  shwE(std::numeric_limits<float>::signaling_NaN()),
  hadE(std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  SRSLidEnergy::~SRSLidEnergy(){  }
  
  void SRSLidEnergy::setDefault()
  {
    E     = -5;
    depE  = -5;
    shwE  = -5;
    hadE  = -5;
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
