////////////////////////////////////////////////////////////////////////
// \file    SRShowerPID.cxx
// \brief   Shower level PID information 
//          
// \version $Id: SRShowerPID.cxx,v 1.2 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: Jianming Bian $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include<limits>

#include "StandardRecord/SRShowerPID.h"


namespace caf 
{
  
  SRShowerPID::SRShowerPID():
    elll(std::numeric_limits<float>::signaling_NaN()),
    ellt(std::numeric_limits<float>::signaling_NaN()),
    mulll(std::numeric_limits<float>::signaling_NaN()),
    mullt(std::numeric_limits<float>::signaling_NaN()),
    pi0lll(std::numeric_limits<float>::signaling_NaN()),
    pi0llt(std::numeric_limits<float>::signaling_NaN()),
    plll(std::numeric_limits<float>::signaling_NaN()),
    pllt(std::numeric_limits<float>::signaling_NaN()),
    nlll(std::numeric_limits<float>::signaling_NaN()),
    nllt(std::numeric_limits<float>::signaling_NaN()),
    pilll(std::numeric_limits<float>::signaling_NaN()),
    pillt(std::numeric_limits<float>::signaling_NaN()),
    annepi0(std::numeric_limits<int>::signaling_NaN()),
    annepi0el(std::numeric_limits<int>::signaling_NaN())
  {  }
  
  
  SRShowerPID::~SRShowerPID(){  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
