////////////////////////////////////////////////////////////////////////
// \file    SRSlice.cxx
// \brief   An  SRSlice contains overarching information for a slice.
// \version $Id: SRSlice.cxx,v 1.4 2012-12-07 21:06:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-07 21:06:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRSlice.h"


namespace caf 
{
  SRSlice::SRSlice():
  nhit(std::numeric_limits<int>::signaling_NaN()),
  ncalhit(std::numeric_limits<int>::signaling_NaN()),
  nmiphit(std::numeric_limits<int>::signaling_NaN()),
  ncontplanes(std::numeric_limits<int>::signaling_NaN()),
  firstplane(std::numeric_limits<int>::signaling_NaN()),
  lastplane(std::numeric_limits<int>::signaling_NaN()),
  firstcell(std::numeric_limits<int>::signaling_NaN()),
  lastcell(std::numeric_limits<int>::signaling_NaN()),
  ncellsfromedge(std::numeric_limits<int>::signaling_NaN()),
  nnonnoise(std::numeric_limits<int>::signaling_NaN()),
  calE(std::numeric_limits<float>::signaling_NaN()),
  starttime(std::numeric_limits<float>::signaling_NaN()),
  endtime(std::numeric_limits<float>::signaling_NaN()), 
  meantime(std::numeric_limits<float>::signaling_NaN()),
  boxmin(std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN()),
  boxmax(std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN()),
  meanpos(std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  SRSlice::~SRSlice(){  }

  void SRSlice::setDefault()
  {
    nhit           = 0;
    ncalhit        = 0;
    nmiphit        = 0;
    ncontplanes    = 0;
    firstplane     = 0;
    lastplane      = 0;
    firstcell      = 0;
    lastcell       = 0;
    ncellsfromedge = 0;
    nnonnoise      = 0;
    calE           = -5;
    starttime      = -5;
    endtime        = -5;
    meantime       = -5;
    boxmin         = TVector3(-5555,-5555,-5555);
    boxmax         = TVector3(5555,5555,5555);
    meanpos        = TVector3(-5555,-5555,-5555);

    
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
