////////////////////////////////////////////////////////////////////////
// \file    SRSpill.cxx
// \brief   An  SRSpill contains information on the NuMI spill.
// \version $Id: SRSpill.cxx,v 1.4 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: edniner $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRSpill.h"

#include<limits>


namespace caf 
{
  SRSpill::SRSpill():
    run(std::numeric_limits<int>::signaling_NaN()),
    subrun(std::numeric_limits<int>::signaling_NaN()),
    evt(std::numeric_limits<int>::signaling_NaN()),
    det(kUNKNOWN),
    ismc(false),
    isgoodspill(false),
    spilltimesec(std::numeric_limits<unsigned long int>::signaling_NaN()),
    spilltimensec(std::numeric_limits<unsigned long int>::signaling_NaN()),
    gpsspilltimesec(std::numeric_limits<unsigned long int>::signaling_NaN()),
    gpsspilltimensec(std::numeric_limits<unsigned long int>::signaling_NaN()),
    deltaspilltimensec(std::numeric_limits<signed long long int>::signaling_NaN()),
    spillpot(std::numeric_limits<float>::signaling_NaN()),
    livetime(std::numeric_limits<float>::signaling_NaN()),
    hornI(std::numeric_limits<float>::signaling_NaN()),
    posx(std::numeric_limits<float>::signaling_NaN()),
    posy(std::numeric_limits<float>::signaling_NaN()),
    widthx(std::numeric_limits<float>::signaling_NaN()),
    widthy(std::numeric_limits<float>::signaling_NaN()),
    dibfirst(std::numeric_limits<int>::signaling_NaN()),
    diblast(std::numeric_limits<int>::signaling_NaN()),
    dibmask(std::numeric_limits<int>::signaling_NaN()),
    maskstatus(std::numeric_limits<int>::signaling_NaN()),
    nmissingdcms(std::numeric_limits<unsigned int>::signaling_NaN()),
    fracdcm3hits(std::numeric_limits<float>::signaling_NaN()),
    nouttimehits(std::numeric_limits<unsigned int>::signaling_NaN()),
    nnoisyapds(std::numeric_limits<unsigned int>::signaling_NaN()),
    nmissingdcmslg(std::numeric_limits<unsigned int>::signaling_NaN()),
    nbaddcmslg(std::numeric_limits<unsigned int>::signaling_NaN()),
    dcmedgematchfrac(std::numeric_limits<unsigned int>::signaling_NaN()),
    nmicroslices(std::numeric_limits<unsigned int>::signaling_NaN()),
    ndcms(std::numeric_limits<int>::signaling_NaN()),
    trigger(0)
  {  }
  
  
  SRSpill::~SRSpill(){  }

  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
