////////////////////////////////////////////////////////////////////////
// \file    SRTrkME.cxx
// \brief   SRTrkME gives variables describing Michel E's found around
//          at the end of a track
// \author  dpershey
// \date    2014-08-20
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRTrkME.h"


namespace caf 
{
  
  SRTrkME::SRTrkME():
  nhit(std::numeric_limits<unsigned short>::signaling_NaN()),        
  calE(std::numeric_limits<float>::signaling_NaN()),        
  deltat(std::numeric_limits<float>::signaling_NaN()),      
  disttotrack(std::numeric_limits<float>::signaling_NaN()), 
  atend(std::numeric_limits<bool>::signaling_NaN()),       
  view(),        
  meanpos(std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN()),
  trkidx(-1)
  {  }
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
