////////////////////////////////////////////////////////////////////////
// \file    SRTrueParticle.h
// \brief   An  SRTrueParticle represents a daughter particle.
// \version $Id: SRTrueParticle.h,v 1.5 2012-11-19 17:32:23 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:23 $
////////////////////////////////////////////////////////////////////////
#ifndef SRTRUEPARTICLE_H
#define SRTRUEPARTICLE_H

#include "TLorentzVector.h"

namespace caf
{
  /// The SRTrueParticle is used to represent primary daughters 
  /// of a neutrino interaction.  It is meant to be used as 
  /// part of the StandardRecord.
  class SRTrueParticle
    {
    public:
      ///  Default constructor for SRTrueParticle. 
      SRTrueParticle();
      
      /// Cosntructor for SRTrueParticle that initializes all fields.
      ~SRTrueParticle();
      
      
      int             pdg;            ///< pdg code
      float           visE;           ///< Visible Energy in detector, all summed FLSHits that made CellHits [GeV]
      float           visEinslc;      ///< Visible Energy in detector, slice summed FLSHits that made CellHits [GeV]
      float           time;           ///< Time from electron vertex [GeV]
      TLorentzVector  p;              ///< Momentum 4-vector
    };
  
} // end namespace

#endif // SRTRUEPARTICLE_H
//////////////////////////////////////////////////////////////////////////////
