////////////////////////////////////////////////////////////////////////
/// \brief   An SRTruthBranch contains vectors of SRTruth.  
///          It is intended for use in the Common Analysis File ROOT trees.
///
/// \author  Dominick Rocoo
/// \date    November 2012
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRTruthBranch.h"


namespace caf 
{
  
  SRTruthBranch::SRTruthBranch():
  nu(),
  cosmic(),
  gen(),
  allnus(),
  allcosmics(),  
  allgen(),
  faveidxeff(std::numeric_limits<short>::signaling_NaN()),
  faveidxenergy(std::numeric_limits<short>::signaling_NaN()),
  faveidxpur(std::numeric_limits<short>::signaling_NaN()),
  faveidxeffpur(std::numeric_limits<short>::signaling_NaN()),
  faveidxeffthenpur(std::numeric_limits<short>::signaling_NaN()),
  nnu(std::numeric_limits<short>::signaling_NaN()),         
  ncosmic(std::numeric_limits<short>::signaling_NaN()),     
  ngen(std::numeric_limits<short>::signaling_NaN()),        
  nallnus(std::numeric_limits<short>::signaling_NaN()),     
  nallcosmics(std::numeric_limits<short>::signaling_NaN()), 
  nallgen(std::numeric_limits<short>::signaling_NaN()), 
  global()
  {  }
  
  SRTruthBranch::~SRTruthBranch() {}
  
  
  void SRTruthBranch::setDefault()
  {
    faveidxeff          = -5;
    faveidxenergy       = -5;
    faveidxpur          = -5;
    faveidxeffpur       = -5;
    faveidxeffthenpur   = -5;
    
  }
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
