////////////////////////////////////////////////////////////////////////
// \file    SRVeto.cxx
// \brief   Veto class detailing cuts made on slices in the standard record.    
// \author  $Author: Fite $
// \date    $Date: 2014-08-06 09:11:00 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRVeto.h"

namespace caf 
{
  
  SRVeto::SRVeto():
  ncell(std::numeric_limits<int>::signaling_NaN()),
  fwddist(std::numeric_limits<float>::signaling_NaN()),
  bakdist(std::numeric_limits<float>::signaling_NaN()),
  ratio(std::numeric_limits<float>::signaling_NaN()),
  diry(std::numeric_limits<float>::signaling_NaN()),
  angle(std::numeric_limits<float>::signaling_NaN()),
  anglevar(std::numeric_limits<float>::signaling_NaN()),
  anglevarold(std::numeric_limits<float>::signaling_NaN()),
  passthru(std::numeric_limits<bool>::signaling_NaN()),
  passthruold(std::numeric_limits<bool>::signaling_NaN()),
  passangle(std::numeric_limits<bool>::signaling_NaN()),
  passanglefirstanal(std::numeric_limits<bool>::signaling_NaN()),
  keep(std::numeric_limits<bool>::signaling_NaN())
  {   }
  
  
  SRVeto::~SRVeto(){  }
  
  void SRVeto::setDefault()
  {
    ncell      = -5;
    fwddist    = -5;
    bakdist    = -5;
    ratio      = -5;
    diry       = -5;
    angle      = -5;
    anglevar   = -5;
    anglevarold= -5;
    passthru   = true;
    passthruold= true;
    passangle  = true;
    passanglefirstanal = true;
    keep       = true;
   }
} // end namespace caf
////////////////////////////////////////////////////////////////////////
