//////////////////////////////////////////////////////////////////////////
/// \brief  Spill level data quality flags
/// \author xbbu@fnal.gov
/// \date 11/10/2014
//////////////////////////////////////////////////////////////////////////
#ifndef EVENTQUALITY_H
#define EVENTQUALITY_H

#include <iostream>

namespace sumdata 
{  
  class EventQuality
  {
  public:
    
    EventQuality();
    ~EventQuality();
    
    void Print(std::ostream &stream);

    int    nmissingdcms; ///< # of missing DCMs
    double fracdcm3hits;   ///< fraction of DCM3 hits in horizontal modules
    int    nouttimehits; ///< # of out-beam-window hits
    int    nnoisyapds;   ///< # of noisy APDs
    int    nmicroslices; ///< # of micro slices

    float dcmedgematchfrac; ///< Low values mean out-of-sync detector
  };

} // end namespace sumdata

#endif //EVENTQUALITY_H
///////////////////////////////////////////////////////////////////////////////
