////////////////////////////////////////////////////////////////////////
/// \brief   Definition of object to store run related information
/// \author  brebel@fnal.gov
/// \date
////////////////////////////////////////////////////////////////////////
#include "SummaryData/RunData.h"

namespace sumdata 
{
  //---------------------------------------------------------
  RunData::RunData() 
    : fDetId(novadaq::cnv::kNDOS)
    , fDetGeometryBaseName("unknown")
    , fDetGDMLInfo("")
  {
  }
  
  //---------------------------------------------------------
  RunData::RunData(novadaq::cnv::DetId detid,
		   std::string const& geomBaseName,
                   std::string geomGDMLInfo ) 
    : fDetId(detid)
    , fDetGeometryBaseName(geomBaseName)
    , fDetGDMLInfo(geomGDMLInfo)
  {
  }
  
  //---------------------------------------------------------
  RunData::~RunData()
  {
  }
  
} // end namespace sumdata
////////////////////////////////////////////////////////////////////////////  
