////////////////////////////////////////////////////////////////////////
/// \brief   Definition of object to store run related information
/// \author  brebel@fnal.gov
/// \date
/////////////////////////////////////////////////////////////////////////
#ifndef SD_RUNDATA_H
#define SD_RUNDATA_H

#include <string>

#include "NovaDAQConventions/DAQConventions.h"

namespace sumdata {
  
  class RunData
  {
  public: 
    
    RunData(); // Default constructor
    explicit RunData(novadaq::cnv::DetId detid,
		     std::string const& geomBaseName,
                     std::string geomGDMLInfo = "" );
    ~RunData();
    
    novadaq::cnv::DetId          DetId()               const { return novadaq::cnv::DetId(fDetId); }
    std::string                  DetGeometryBaseName() const { return fDetGeometryBaseName; }
    std::string                  DetGDMLInfo()         const { return fDetGDMLInfo; }
    
  private:
    
    int                          fDetId;
    std::string                  fDetGeometryBaseName;
    std::string                  fDetGDMLInfo;
    
  };
}

#endif // SD_RUNDATA_H
/////////////////////////////////////////////////////////////////////////
