///////////////////////////////////////////////////////////////////////////
/// \brief  
/// \author vahle@wm.edu
/// \date   
/////////////////////////////////////////////////////////////////////////// 
#include "SummaryData/SpillData.h"

namespace sumdata
{
  //.....................................................................
  SpillData::SpillData():
    spilltimesec(0),
    spilltimensec(0),
    gpsspilltimesec(0),
    gpsspilltimensec(0),
    deltaspilltimensec(-9999999),
    spillpot(0.),
    hornI(0.),
    posx(-9999.),
    posy(-9999.),
    widthx(-9999.),
    widthy(-9999.),
    goodbeam(false)
  {
  }
  
  //.........................................................................
  SpillData::~SpillData()
  {
  }
  
  //.........................................................................
  void SpillData::Print(std::ostream &stream)
  {
    stream << "SpillData Information\n" 
	   << "time(sec): " << spilltimesec << "\n"
	   << "time(nsec): " << spilltimensec << "\n"
           << "delta time(nsec): " << deltaspilltimensec << "\n"
	   << "pot: " << spillpot << "\n"
	   << "horn current: " << hornI << "\n"
	   << "(X,Y) position at target: (" << posx << "," << posy << ")\n"  
	   << "Width (x,y): (" << widthx << "," << widthy << ")\n" 
	   << "Is beam good? " << goodbeam << std::endl;
  }

} // end namespace sumdata
////////////////////////////////////////////////////////////////////////////
