#ifndef TRK_CHANNEL_H
#define TRK_CHANNEL_H

#include "art/Persistency/Common/Ptr.h"
#include "GeometryObjects/OfflineChan.h"
#include "TVector3.h"

#include <vector> 

namespace rb{class CellHit;}

namespace trk
{
  /// Representation of a detector channel with positional information
  class LocatedChan : public geo::OfflineChan
  {
  public:
    LocatedChan();
    LocatedChan(int plane, int cell);
    void SetHit(art::Ptr<rb::CellHit> chit);
    art::Ptr<rb::CellHit> GetHit() const;
    void SetCenter(double x, double y, double z);
    void GetCenter(double* xyz);
    void SetHalfWidths(double dx, double dy, double dz);
    void GetHalfWidths(double* dxyz);

  protected:
    art::Ptr<rb::CellHit> fHit; ///< cellhit in this channel
    TVector3 fcenter;  ///< cell center position
    TVector3 fhalfwidths; ///< half widths of cell 
  };
  bool CompareByPlane(trk::LocatedChan a, trk::LocatedChan b);
  void SortByPlane(std::vector<trk::LocatedChan>& c);
  bool CompareByCell(trk::LocatedChan a, trk::LocatedChan b);
  void SortByCell(std::vector<trk::LocatedChan>& c);
} // namespace

#endif
