///////////////////////////////////////////////////////////////////////
/// \file TrackAlg.h
/// \brief   Track finder for cosmic rays
/// \author  brebel@fnal.gov, gsdavies@iastate.edu
/// \date
///////////////////////////////////////////////////////////////////////
#ifndef TRACKFIT_TRACKALG_H
#define TRACKFIT_TRACKALG_H

// C++ includes
#include <vector>

// ART includes
#include "art/Persistency/Common/Ptr.h"

namespace fhicl { class ParameterSet; }
namespace rb {
  class Track;
  class Cluster;
}

namespace trk {

  /// An algorithm to perform cosmic ray track fitting
  class TrackAlg {
  public:
    TrackAlg(fhicl::ParameterSet const &pset);
    virtual ~TrackAlg();

    // Take a slice and return a track
    virtual std::vector<rb::Track> MakeTrack( const rb::Cluster* slice ) = 0;

  };

}

#endif // TRACKFIT_TRACKALG_H
///////////////////////////////////////////////////////////////////////
